﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_BranchMaster, App_Web_fzytgv5r" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>tSense-IoT Manage Branch</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div id="container">
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel runat="server" ID="updFleetDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div class="clear clearfix">
                                        </div>
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>Configuration</h1>
                                                <a href="Dashboard.aspx">Home</a><span>&gt;</span><span><a href="ConfigurationSetup.aspx">Branches</a></span><span>&gt;</span><span><a
                                                    href="BranchMaster.aspx">Manage</a></span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr>
                                                        <td height="20px"></td>
                                                    </tr>
                                                    <tr>
                                                        <td align="right">
                                                            <div id="control-btn">
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>

                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnAddBranch" runat="server" ImageUrl="~/images/CSC/btn-add-branch.jpg" OnClick="lbtnAddBranch_Click" />
                                                                            <%-- <asp:LinkButton ID="lbtnAddBranch" runat="server" Text="Add Branch" OnClick="lbtnAddBranch_Click"></asp:LinkButton>--%>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="btnBack" runat="server" PostBackUrl="~/Forms/ConfigurationSetup.aspx"
                                                                                ImageUrl="~/Images/btn-back-to-configuration.jpg" />
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>
                                                            </span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlManageOrg" runat="server" Visible="false">
                                            <div class="form-box" id="divManageFleetHolder" runat="server">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/CSC/icn-branch-management.gif" alt="" /></span>Manage Branch</h1>
                                                <table width="100%" align="left" cellspacing="0" border="0" class="form-tbl">
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblBranchName" runat="server" Text="Name" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtBranchName" runat="server" MaxLength="200" onkeypress="return chkAlphaNumericWithSpace(event,this,199);"
                                                                Rows="3" TextMode="MultiLine" Width="214px" TabIndex="1"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblDisplayName" runat="server" CssClass="label" Text="Display Name"></asp:Label>
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDisplayName" runat="server" onpaste="return false;" ondrop="return false;"
                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,19);" MaxLength="20" TabIndex="2"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td valign="top">
                                                            <asp:Label ID="lblDesc" runat="server" CssClass="label" Text="Description"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDescription" runat="server" Width="214px" Rows="4" TextMode="MultiLine"
                                                                onkeypress="return chkDescription(event,this,249);"
                                                                MaxLength="250" TabIndex="5"></asp:TextBox>
                                                        </td>
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblAddress" runat="server" CssClass="label" Text="Address"></asp:Label>
                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtAddress" runat="server" Width="214px" Rows="4" TextMode="MultiLine"
                                                                onkeypress="return chkDescription(event,this,199);" onblur="disallowScriptTags(this);"
                                                                MaxLength="200" TabIndex="6"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblEmail" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtEmail" runat="server" MaxLength="200" onpaste="return false;"
                                                                ondrop="return false;" onkeypress="return chkDescription(event,this,199);" TabIndex="7"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblCity" runat="server" Text="City" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtCity" runat="server"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblPhoneNo" runat="server" CssClass="label" Text="Phone No"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtPhoneNo" runat="server" onkeypress="return chkPhone(this);" MaxLength="20"
                                                                TabIndex="9" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblMobileNo" runat="server" CssClass="label" Text="Mobile No"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtMobileNo" runat="server" MaxLength="15" onkeypress="return chkMobile(this);"
                                                                TabIndex="11" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 5px;"></td>
                                                        <td style="height: 5px;"></td>
                                                        <td style="height: 5px; vertical-align: top;">For e.g +91-xxxxx-xxxxxx
                                                        </td>
                                                        <td colspan="2" style="height: 5px;"></td>
                                                        <td style="height: 5px; vertical-align: top;">For e.g 91xxxxxxxxxx
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblWebSiteURL" runat="server" Text="Website" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtWebSiteURL" runat="server" MaxLength="150" onkeypress="return chkDescription(event,this,149);"
                                                                onpaste="return false;" ondrop="return false;" TabIndex="13"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblVATNumber" runat="server" CssClass="label" Text="VAT Number"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtVATNumber" runat="server" MaxLength="20" ondrop="return false;"
                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,19);" onpaste="return false;"
                                                                TabIndex="4"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblLatitude" runat="server" Text="Latitude" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtLatitude" MaxLength="10" onkeypress="return chkNumericwithdot(this);"
                                                                runat="server" TabIndex="3"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblLongitude" runat="server" Text="Longitude" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtLongitude" MaxLength="10" onkeypress="return chkNumericwithdot(this);"
                                                                runat="server" TabIndex="3"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblState" runat="server" Text="State"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtState" runat="server"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblCountry" runat="server" Text="Country" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox runat="server" ID="txtCountry"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblPeaktime" runat="server" Text="City Morning Peak Time" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>From:
                                                            <asp:DropDownList ID="ddlMorPeakFromTime" runat="server" CssClass="time">
                                                                <asp:ListItem>00</asp:ListItem>
                                                                <asp:ListItem>01</asp:ListItem>
                                                                <asp:ListItem>02</asp:ListItem>
                                                                <asp:ListItem>03</asp:ListItem>
                                                                <asp:ListItem>04</asp:ListItem>
                                                            </asp:DropDownList>
                                                            To:
                                                            <asp:DropDownList ID="ddlMorToPeakTime" runat="server" CssClass="time">
                                                                <asp:ListItem>00</asp:ListItem>
                                                                <asp:ListItem>01</asp:ListItem>
                                                                <asp:ListItem>02</asp:ListItem>
                                                                <asp:ListItem>03</asp:ListItem>
                                                                <asp:ListItem>04</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblEveningPeakTime" runat="server" Text="City Evening Peak Time" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>From:
                                                            <asp:DropDownList ID="ddlEveningFromPeakTime" runat="server" CssClass="time">
                                                                <asp:ListItem>00</asp:ListItem>
                                                                <asp:ListItem>01</asp:ListItem>
                                                                <asp:ListItem>02</asp:ListItem>
                                                                <asp:ListItem>03</asp:ListItem>
                                                                <asp:ListItem>04</asp:ListItem>
                                                            </asp:DropDownList>
                                                            To:
                                                            <asp:DropDownList ID="ddlEveningToPeakTime" runat="server" CssClass="time">
                                                                <asp:ListItem>00</asp:ListItem>
                                                                <asp:ListItem>01</asp:ListItem>
                                                                <asp:ListItem>02</asp:ListItem>
                                                                <asp:ListItem>03</asp:ListItem>
                                                                <asp:ListItem>04</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblPeakSpeed" runat="server" Text="Peak Time Speed Per KM" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>Minutes/KM :
                                                            <asp:DropDownList ID="ddlPeakSpeed" runat="server" CssClass="time">
                                                                <asp:ListItem>1</asp:ListItem>
                                                                <asp:ListItem>2</asp:ListItem>
                                                                <asp:ListItem>3</asp:ListItem>
                                                                <asp:ListItem>4</asp:ListItem>
                                                                <asp:ListItem>5</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblNormalTimeSpeed" runat="server" Text="Normal Time Speed Per KM" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>Minutes/KM :
                                                            <asp:DropDownList ID="ddlNormalSpeed" runat="server" CssClass="time">
                                                                <asp:ListItem>1</asp:ListItem>
                                                                <asp:ListItem>2</asp:ListItem>
                                                                <asp:ListItem>3</asp:ListItem>
                                                                <asp:ListItem>4</asp:ListItem>
                                                                <asp:ListItem>5</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="5">
                                                            <asp:Panel ID="pnlContactDetails" runat="server" GroupingText="Contact Information :">
                                                                <table>
                                                                    <tr>
                                                                        <td></td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactPersonName" runat="server" Text="Contact Person Name" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label20" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:TextBox ID="txtContactPersonName" runat="server" onkeypress="chkCharacter_only(this)"
                                                                                onpaste="return false;" ondrop="return false;" MaxLength="100" Width="250px"
                                                                                TabIndex="15"></asp:TextBox>
                                                                        </td>
                                                                        <td>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblDesignation" runat="server" CssClass="label" Text="Designation"></asp:Label>
                                                                            <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:TextBox ID="txtDesignation" runat="server" onkeypress="chkCharacter_only(this)"
                                                                                MaxLength="100" Width="250px" TabIndex="16" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td></td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactEmail" runat="server" Text="Email ID" onchange="return checkEmail(this);"
                                                                                CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:TextBox ID="txtContactEmail" runat="server" MaxLength="200" Width="250px" onkeypress="return chkDescription(event,this,199);"
                                                                                TabIndex="17" onpaste="return false;" ondrop="return false;" onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </td>
                                                                        <td>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactPhone" runat="server" CssClass="label" Text="Phone No"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:TextBox ID="txtContactPhoneNo" runat="server" MaxLength="20" onkeypress="return chkPhone(this);"
                                                                                Width="250px" TabIndex="18" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </td>
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td style="height: 5px;" colspan="5"></td>
                                                                        <td style="height: 5px; vertical-align: top;">For e.g +91-04252-267604
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </asp:Panel>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td colspan="5">
                                                            <asp:Panel ID="pnlOrganizationSettings" runat="server" GroupingText="Branch Settings :">
                                                                <table border="1" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblChangePassword" runat="server" CssClass="label" Text="Change Password After"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:DropDownList ID="ddlMonths" CssClass="time" runat="server">
                                                                                <asp:ListItem>1</asp:ListItem>
                                                                                <asp:ListItem>2</asp:ListItem>
                                                                                <asp:ListItem>3</asp:ListItem>
                                                                                <asp:ListItem>5</asp:ListItem>
                                                                                <asp:ListItem>7</asp:ListItem>
                                                                                <asp:ListItem>9</asp:ListItem>
                                                                                <asp:ListItem>12</asp:ListItem>
                                                                            </asp:DropDownList>
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblChangePass" runat="server" Text="Months Once" CssClass="label"></asp:Label>
                                                                        </td>
                                                                        <td class="split">&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </asp:Panel>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="5">
                                                            <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="Label13" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <td></td>
                                                            <td style="padding: 0; margin: 0">
                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:ImageButton ID="ibtUpdateOrg" runat="server"
                                                                                ImageUrl="~/images/btn-save.jpg" TabIndex="33" OnClick="ibtUpdateOrg_Click" />
                                                                        </td>
                                                                        <td></td>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnCancel" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                                TabIndex="34" OnClick="lbtnCancel_Click" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td style="padding: 0; margin: 0">&nbsp;
                                                            </td>
                                                            <td style="padding: 0; margin: 0">&nbsp;
                                                            </td>
                                                            <td style="padding: 0; margin: 0">&nbsp;
                                                            </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlOrgList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="left-col">
                                                    <h1>

                                                        <img src="../images/CSC/icn-branch-management.gif" alt="" />Branch Details</h1>
                                                </div>

                                            </div>

                                            <dxw:ASPxGridView ID="gvBranchList" runat="server" Width="100%" EnableTheming="true"
                                                KeyFieldName="AddressId" CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css"
                                                CssPostfix="Office2003_Blue">
                                                <Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>
                                                <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="AddressId" Caption="AddressId" VisibleIndex="0"
                                                        Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="AddressName" Caption="AddressName" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgOrgDisplayName" src="../images/CSC/icn-branch-name.gif" alt="" />
                                                            </span>
                                                            <span class="label">&nbsp;Branch Name</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="DisplayName" Caption="Display Name" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgOrgDisplayName" src="../images/icn-org-display-name.gif" alt="" />
                                                            </span><span class="label">&nbsp;Display Name</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Address" Caption="Address" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgAddress" src="../images/icn-address.jpg" alt="" /></span> <span class="label">&nbsp;Address</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="CountryName" Caption="Country Name" HeaderStyle-HorizontalAlign="Center"
                                                        HeaderStyle-VerticalAlign="Middle" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgCountryName" src="../images/icn-country-name.gif" alt="" />
                                                            </span><span class="label">&nbsp;Country Name</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="EmailID" Caption="Email" HeaderStyle-HorizontalAlign="Center"
                                                        HeaderStyle-VerticalAlign="Middle" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgEmail" src="../images/icn-email-users.gif" alt="" />
                                                            </span><span class="label">&nbsp;Email</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ContactPerson" Caption="Contact Person"
                                                        HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <img id="imgContactPerson" src="../images/icn-contact-person.gif" alt="" />
                                                            </span><span class="label">&nbsp;Contact Person</span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:ImageButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("AddressId") %>'
                                                                AlternateText="Edit" CommandName="Edit" ImageUrl="~/images/icn-edit.gif" ToolTip="Click here to Edit"
                                                                ImageAlign="Middle" />
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                <SettingsText EmptyDataRow="No branch details found" />
                                            </dxw:ASPxGridView>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvOrganizationList"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                    \viewkind4\uc1\pard\qc\b\fs28 Organization Details\par
                                                    \pard\par
                                                    \par
                                                    }
                                                    ">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <!-- Content Ends Here -->
                    </div>
                       <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                </Triggers>
                <Triggers>
                    <%--  <asp:PostBackTrigger ControlID="btnExport" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <uc2:Footer ID="ucFooter" runat="server" />

            <script src="../js/myformvalidations.js" type="text/javascript"></script>

            <script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>
    </form>
</body>
</html>
