﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ManualEntry, App_Web_nomsokpt" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dxwtl" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Fleet Maintenance</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
    <script language="javascript" type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="updService" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6">
                                                <img class="icon" src="../images/fleetmaintenance-icon.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                                </h1>
                                                <a href="Dashboard.aspx">
                                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label>
                                                </a>
                                                <span>&gt;</span>
                                                <span>
                                                    <a href="ManualEntry.aspx">
                                                        <asp:Label ID="lblMaintenanceService" Text="Manual Entry" runat="server"></asp:Label>
                                                    </a>
                                                </span>
                                            </div>
                                            <div class="col-sm-6 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="ibtnManualEntry" runat="server" ImageUrl="~/images/btn-add-manualentry.png"
                                                        CausesValidation="False" OnClientClick="ShowPopUp();" OnClick="ibtnManualEntry_Click" />
                                                    <asp:ImageButton ID="ibtnBackToFleetMain" runat="server" CausesValidation="false"
                                                        ImageUrl="~/images/btnFleetMaintenance.png" PostBackUrl="~/Forms/FleetMaintenancePanel.aspx" />
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlManualEntryInfo" runat="server" CssClass="ControlShow">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/icn-manualentry.png" alt="" />
                                                    </span>
                                                    <asp:Label ID="lblUnPlannedServices" runat="server" Text="Manual Entry"></asp:Label>
                                                </h1>
                                                <div class="form-tbl rptFormTbl">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <%--<td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" /></td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:DropDownList ID="ddlFleet" runat="server" AutoPostBack="true"
                                                                    OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" /></td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblVehicle" runat="server" Text="Vehicle"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:DropDownList ID="ddlVehicle" runat="server" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" /></td>--%>
                                                        </div>
                                                        <div class="form-group">
                                                            <%--  <td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" />
                                                    </td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblFromDate" runat="server" Text="From Date"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtStartDate" runat="server" CssClass="date form-control" oncopy="return false"
                                                                    oncut="return false" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                    onpaste="return false" ToolTip="dd/MMM/yyyy"></asp:TextBox>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" />
                                                    </td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblToDate" runat="server" Text="To Date"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtEndDate" runat="server" CssClass="date form-control" oncopy="return false"
                                                                    oncut="return false" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                    onpaste="return false" ToolTip="dd/MMM/yyyy"></asp:TextBox>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" />
                                                    </td>--%>
                                                        </div>
                                                        <div class="form-group">
                                                            <%--  <td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" />
                                                    </td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblEngineHours" runat="server" Text="Running Hours"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtEngineHours" runat="server" CssClass="form-control" MaxLength="7" oncopy="return false"
                                                                    ondrop="return false" onpaste="return false" onkeypress="return chkDecNums(event, this);" />
                                                                <cc1:FilteredTextBoxExtender ID="ftEngineHours" FilterType="Numbers" runat="server"
                                                                    ValidChars="1234567890" TargetControlID="txtEngineHours">
                                                                </cc1:FilteredTextBoxExtender>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" />
                                                    </td>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDistanceTravelled" runat="server" Text="Distance Travelled"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-10 nullpadding">
                                                                    <asp:TextBox ID="txtDistanceTravelled" runat="server" CssClass="form-control" MaxLength="6"
                                                                        oncopy="return false" ondrop="return false" onpaste="return false" onkeypress="return chkDecNums(event, this);" />
                                                                </div>
                                                                <div class="col-xs-2 padding-width-md">
                                                                    <asp:Label ID="lblKmsorMiles" runat="server"></asp:Label>
                                                                    <cc1:FilteredTextBoxExtender ID="ftDistanceTravelled" FilterType="Numbers" runat="server"
                                                                        ValidChars="1234567890" TargetControlID="txtDistanceTravelled">
                                                                    </cc1:FilteredTextBoxExtender>
                                                                </div>
                                                            </div>
                                                            <%-- <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" />
                                                    </td>--%>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblComments" runat="server" Text="Comments"></asp:Label>
                                                                <span class="redtxt">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtComments" CssClass="form-control" runat="server" TextMode="MultiLine"
                                                                    MaxLength="250" onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblRequiredField" runat="server" Text="Required field"></asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-xs-9">
                                                                <asp:ImageButton ID="ibtnSave" ImageUrl="~/images/btn-save.jpg" runat="server"
                                                                    OnClientClick="return ValidationManualEntry();" OnClick="ibtnSave_Click1" />&nbsp;&nbsp;
                                                                <asp:ImageButton ID="ibtnCancel" ImageUrl="~/images/btn-cancel.jpg" runat="server"
                                                                    OnClick="ibtnCancel_Click1" OnClientClick="ShowPopUp();" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlManualEntryDetailsList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px"></span>
                                                    </div>
                                                    <div class="right-col">
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span>
                                                        <asp:ImageButton ID="ibtnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="ibtnExport_Click" />
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvManualEntry" runat="server" Width="100%" KeyFieldName="ManualEntryID"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue">
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="300" />
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="VehicleId" Caption="Vehicle ID" VisibleIndex="0"
                                                                Visible="false">
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="VehicleName" Caption="Vehicle Name" VisibleIndex="1"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="25%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" Visible="false" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblVehicleName" runat="server" Font-Bold="false" Text="Vehicle Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="True" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="FromDateSort" Caption="From Date" VisibleIndex="2"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="10%" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/vehicledesc-icon.gif"
                                                                            Visible="false" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblFromDate" runat="server" Font-Bold="false"
                                                                        Text="From Date"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblFromDate" runat="server" Font-Bold="false" Text='<%# Eval("FromDate") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="FromDate" Caption="From Date" VisibleIndex="2"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="10%" CellStyle-HorizontalAlign="Center"
                                                                Visible="false">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/vehicledesc-icon.gif"
                                                                            Visible="false" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblFromDate" runat="server" Font-Bold="false"
                                                                        Text="From Date"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblFromDate" runat="server" Font-Bold="false" Text='<%# Eval("FromDate") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="ToDateSort" Caption="To Date" VisibleIndex="3"
                                                                HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgSeverity" runat="server" ImageUrl="../images/icn-severity.gif"
                                                                            Visible="false" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblToDate" runat="server" Font-Bold="false"
                                                                        Text="To Date"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblToDate" runat="server" Font-Bold="false" Text='<%# Eval("ToDate") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="ToDate" Caption="To Date" VisibleIndex="3"
                                                                HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" CellStyle-HorizontalAlign="Center"
                                                                Visible="false">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgSeverity" runat="server" ImageUrl="../images/icn-severity.gif"
                                                                            Visible="false" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblToDate" runat="server" Font-Bold="false"
                                                                        Text="To Date"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblToDate" runat="server" Font-Bold="false" Text='<%# Eval("ToDate") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="EngineHours" Caption="Running Hours" VisibleIndex="4"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%"
                                                                CellStyle-Wrap="True">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgEmailUserNameList" ImageUrl="../images/icn-email-users.gif" runat="server"
                                                                            Visible="false" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblEngineHours" runat="server" Font-Bold="false"
                                                                        Text="Running Hours"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="Kilometers" Caption="Distance Travelled"
                                                                VisibleIndex="5" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center"
                                                                Width="15%" CellStyle-Wrap="True">
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblKilometerRun" runat="server" Font-Bold="false" Text='<%# Eval("Kilometers") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="Comments" Caption="Comments" VisibleIndex="5"
                                                                HeaderStyle-HorizontalAlign="Center" Width="33%" CellStyle-Wrap="True">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgSMSUserNameList" ImageUrl="../images/icn-sms-users.gif" runat="server"
                                                                            Visible="false" />
                                                                    </span><span class="label">
                                                                        <asp:Label ID="lblComments" runat="server" Font-Bold="false" Text="Comments"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Manual Entry details found" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvManualEntry"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                                    {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\qc\ul\b\f0\fs28 Manual Entry Details\par\pard\ulnone\f1\par\par}"
                                                    DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                    <Styles>
                                                        <Default VerticalAlign="Middle">
                                                        </Default>
                                                        <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                            ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                        </Header>
                                                        <Cell VerticalAlign="Middle">
                                                        </Cell>
                                                    </Styles>
                                                    <PageHeader VerticalAlignment="None">
                                                        <Font Bold="False" Size="10pt"></Font>
                                                    </PageHeader>
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="manageNotificationPanel col-xs-9 nullpadding">
                <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="7" />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <asp:Panel ID="pnlAddEditServiceCategory" runat="server" Style="display: none" CssClass="landmarkPanel">
                <asp:UpdatePanel ID="upServiceCategory" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblServiceCategoryHeading" Text="Add / Edit Service Package" runat="server"></asp:Label></h1>
                                <div class="close">
                                    <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="CategoryPopup(false);"
                                        ImageUrl="~/Images/popup-close.gif" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div class="popup-content">
                                <div class="form-tbl">
                                    <div class="form-group">
                                        <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                            <asp:Label ID="lblCategoryName" runat="server" Text="Service Package Name" CssClass="label"></asp:Label>
                                            <span class="redtxt">*</span>
                                        </div>
                                        <td>
                                            <asp:TextBox ID="txtCategoryName" runat="server" MaxLength="50" onpaste="return false"
                                                ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,49);"
                                                CssClass="form-control" TabIndex="1"></asp:TextBox>
                                        </td>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                            <asp:Label ID="lblDescription" runat="server" Text="Description" CssClass="label"></asp:Label>
                                        </div>
                                        <td>
                                            <asp:TextBox ID="txtDescription" TextMode="MultiLine" runat="server" Rows="5" TabIndex="2"
                                                CssClass="form-control" MaxLength="250" onkeypress="return chkDescription(event,this,249);"
                                                onblur="return disallowScriptTags(this);"></asp:TextBox>
                                        </td>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3"></div>
                                        <div class="col-sm-9">
                                            <asp:ImageButton ID="ibtnSaveServiceCategory" runat="server" CausesValidation="true"
                                                TabIndex="5" ImageUrl="~/images/btn-save.jpg" />
                                            <asp:ImageButton ID="ibtnCancelCatetory" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                CausesValidation="false" TabIndex="7" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <%--<asp:Panel ID="pnlAddEditServiceCategory" runat="server" Style="display: none; position: absolute; top: 150px; left: 200px; width: 425px; height: 210px; z-index: 100">
                <asp:UpdatePanel ID="upServiceCategory" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div id="con">
                            <table cellpadding="0" cellspacing="0" border="0" width="98%" class="popup">
                                <tr>
                                    <td class="top-l">&nbsp;
                                    </td>
                                    <td class="top-m">&nbsp;
                                    </td>
                                    <td class="top-r">&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="left">&nbsp;
                                    </td>
                                    <td>
                                        <div class="top">
                                            <h1>
                                                <asp:Label ID="lblServiceCategoryHeading" Text="Add / Edit Service Package" runat="server"></asp:Label></h1>
                                            <div class="close">
                                                <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="CategoryPopup(false);"
                                                    ImageUrl="~/Images/popup-close.gif" />
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="popup-cont">
                                            <table class="form-tbl" width="100%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lblCategoryName" runat="server" Text="Service Package Name" CssClass="label"></asp:Label>
                                                        <span class="redtxt">*</span>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCategoryName" runat="server" MaxLength="50" onpaste="return false"
                                                            ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,49);"
                                                            Width="200" TabIndex="1"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lblDescription" runat="server" Text="Description" CssClass="label"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtDescription" TextMode="MultiLine" runat="server" Rows="5" TabIndex="2"
                                                            Width="200" MaxLength="250" onkeypress="return chkDescription(event,this,249);"
                                                            onblur="return disallowScriptTags(this);"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td>
                                                        <table cellpadding="0" cellspacing="0" border="0" style="padding-left: 0px">
                                                            <tr>
                                                                <td style="padding-left: 0px">
                                                                    <asp:ImageButton ID="ibtnSaveServiceCategory" runat="server" CausesValidation="true"
                                                                        TabIndex="5" ImageUrl="~/images/btn-save.jpg" />
                                                                </td>
                                                                <td>
                                                                    <asp:ImageButton ID="ibtnCancelCatetory" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                        CausesValidation="false" TabIndex="7" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td class="right">&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="bottom-l">&nbsp;
                                    </td>
                                    <td class="bottom-m">&nbsp;
                                    </td>
                                    <td class="bottom-r">&nbsp;
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>--%>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                    <br />
                    <img alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script type="text/javascript" language="javascript" src="../js/DateValidations.js"></script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
