﻿<%@ page language="C#" autoeventwireup="true" inherits="StudentMaster, App_Web_2kzanxwp" %>

<%--<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>--%>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Student Master</title>
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <%-- <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>--%>

    <script type="text/javascript">
        function GenerateClearButton(sender, e) {
            $("#calDOJ1_container").hide();
            $("#calInsurance1_container").hide();
            $("#ceValidity1_container").hide();
            $("#ceDOB1_container").hide();
            $('#ajax__calendar_clear_button').remove();
            if ($('#ajax__calendar_clear_button').length == 0) {
                $(sender._today).parent();
                $(sender._today).parent().after("<div id='ajax__calendar_clear_button' style='text-align:right'><span id='clear' style='cursor:pointer'>Clear</span></div>");
                $('#clear').bind("click", sender, function (e) {
                    sender._textbox.set_Value('');
                });
            }
        }

        var _selectNumber = 0;
        var _all = false;
        var _handle = true;
        function OnAllCheckedChanged(s, e) {
            if (s.GetChecked())
                gvStudent.SelectRows();
            else
                gvStudent.UnselectRows();
        }

        function OnGridSelectionChanged(s, e) {
            cbAll.SetChecked(s.GetSelectedRowCount() == s.cpVisibleRowCount);

            if (e.isChangedOnServer == false) {
                if (e.isAllRecordsOnPage && e.isSelected)
                    _selectNumber = s.GetVisibleRowsOnPage();
                else if (e.isAllRecordsOnPage && !e.isSelected)
                    _selectNumber = 0;
                else if (!e.isAllRecordsOnPage && e.isSelected)
                    _selectNumber++;
                else if (!e.isAllRecordsOnPage && !e.isSelected)
                    _selectNumber--;

                if (_handle) {
                    cbPage.SetChecked(_selectNumber == s.GetVisibleRowsOnPage());
                    _handle = false;
                }
                _handle = true;
            }
            else {
                cbPage.SetChecked(cbAll.GetChecked());
            }
        }

        function OnPageCheckedChanged(s, e) {
            _handle = false;
            if (s.GetChecked())
                gvStudent.SelectAllRowsOnPage();
            else
                gvStudent.UnselectAllRowsOnPage();
        }

        function OnGridEndCallback(s, e) {
            _selectNumber = s.cpSelectedRowsOnPage;
        }


    </script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails" UpdateMode="Always">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="StudentMaster.aspx"><asp:Label ID="lblManageStudents" Text="Manage Students"
                                                        runat="server"></asp:Label></a></span>
                                            </div>
                                            <div class="col-sm-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:LinkButton ID="LinkButton1" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ParentAppMaster.aspx"
                                                        PostBackUrl="~/Forms/ParentAppMaster.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="ParentApp">
                                                                <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                    Parent Mobile Users Settings
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                    <asp:ImageButton ID="lbtnAddDriver1" runat="server" ImageUrl="~/images/btn-add-drivers.jpg" Visible="false" />
                                                    <asp:LinkButton ID="ibtnStudentDetails" runat="server" CssClass="MultilingualBtn"
                                                        OnClick="ibtnStudentDetails_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddGeozone">
                                                                <div id="AddDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Student Details
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;                                                            
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlStudentInfo" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/icn-driver-information.gif" alt="" />
                                                    </span>
                                                    <asp:Label ID="lblCapDrvInformation" Text="Student Information" runat="server"></asp:Label>
                                                </h1>
                                                <div class="form-tbl col-sm-12">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <asp:Panel ID="pnlStudentInfromation" runat="server" GroupingText="Student Information :">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStudentID" runat="server" CssClass="label" Text="Student ID"></asp:Label>
                                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtStudentID" runat="server" MaxLength="20" TabIndex="1" CssClass="form-control"
                                                                                onkeyup="if(document.getElementById('ibtnAddStudent') != null){usernameChecker(this.value);}"
                                                                                onblur="return OnTextChangeAlert();"></asp:TextBox>
                                                                            <asp:HiddenField ID="hdnChecking" runat="server" />
                                                                            <asp:HiddenField ID="hdnStudentIDExist" runat="server" />
                                                                            <span id="spanAvailability" style="position: absolute; background-color: whitesmoke;"></span>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStudentFirstName" runat="server" Text="First Name" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtStudentFirstName" MaxLength="100" TabIndex="2" runat="server"
                                                                                ondrop="return false;" onkeypress="return chkCharacter_only_School(event);" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStudentMiddleName" runat="server" Text="Middle Name"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtStudentMiddleName" MaxLength="20" TabIndex="3" runat="server"
                                                                                ondrop="return false;" onkeypress="return chkCharacter_only_School(event);" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStudentLastName" runat="server" Text="Last Name" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label3" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtStudentLastname" runat="server" TabIndex="4" MaxLength="20" ondrop="return false;"
                                                                                onkeypress="return chkCharacter_only_School(event);" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblGender" runat="server" CssClass="label" Text="Gender"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <div class="col-xs-4">
                                                                                <asp:RadioButton ID="rbtnGednerMale" Checked="true" runat="server" Text="Male" GroupName="Gender" CssClass="radio" TabIndex="5" />
                                                                            </div>
                                                                            <div class="col-xs-8">
                                                                                <asp:RadioButton ID="rbtnGednerFeMale" runat="server" Text="FeMale" GroupName="Gender" CssClass="radio" TabIndex="6" />
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="Label1" runat="server" Text="RFID" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label13" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtRFID" MaxLength="20" TabIndex="7" runat="server" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblGrade" runat="server" CssClass="label" Text="Grade"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <%--<asp:DropDownList ID="ddlGrade" runat="server" TabIndex="9" CssClass="form-control05px">
                                                                                <asp:ListItem>KG1</asp:ListItem>
                                                                                <asp:ListItem>KG2</asp:ListItem>
                                                                                <asp:ListItem>1</asp:ListItem>
                                                                                <asp:ListItem>2</asp:ListItem>
                                                                                <asp:ListItem>3</asp:ListItem>
                                                                                <asp:ListItem>4</asp:ListItem>
                                                                                <asp:ListItem>5</asp:ListItem>
                                                                                <asp:ListItem>6</asp:ListItem>
                                                                                <asp:ListItem>7</asp:ListItem>
                                                                                <asp:ListItem>8</asp:ListItem>
                                                                                <asp:ListItem>9</asp:ListItem>
                                                                                <asp:ListItem>10</asp:ListItem>
                                                                                <asp:ListItem>11</asp:ListItem>
                                                                                <asp:ListItem>12</asp:ListItem>
                                                                            </asp:DropDownList>--%>
                                                                            <dxw:ASPxComboBox ID="ddlGrade" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlGrade" EnableTheming="true" Theme="Office2003Blue"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" TabIndex="8">
                                                                                <Items>
                                                                                    <%--<dxw:ListEditItem Text="KG1" Value="KG1" />
                                                                                        <dxw:ListEditItem Text="KG2" Value="KG2" />
                                                                                        <dxw:ListEditItem Text="1" Value="1" />
                                                                                        <dxw:ListEditItem Text="2" Value="2" />
                                                                                        <dxw:ListEditItem Text="3" Value="3" />
                                                                                        <dxw:ListEditItem Text="4" Value="4" />
                                                                                        <dxw:ListEditItem Text="5" Value="5" />
                                                                                        <dxw:ListEditItem Text="6" Value="6" />
                                                                                        <dxw:ListEditItem Text="7" Value="7" />
                                                                                        <dxw:ListEditItem Text="8" Value="8" />
                                                                                        <dxw:ListEditItem Text="9" Value="9" />
                                                                                        <dxw:ListEditItem Text="10" Value="10" />
                                                                                        <dxw:ListEditItem Text="11" Value="11" />
                                                                                        <dxw:ListEditItem Text="12" Value="12" />--%>
                                                                                    <%-- <dxw:ListEditItem Text="PKG-A" Value="PKG-A" />
                                                                                        <dxw:ListEditItem Text="PKG-B" Value="PKG-B" />
                                                                                        <dxw:ListEditItem Text="PKG-C" Value="PKG-C" />
                                                                                        <dxw:ListEditItem Text="LKG-A" Value="LKG-A" />
                                                                                        <dxw:ListEditItem Text="LKG-B" Value="LKG-B" />
                                                                                        <dxw:ListEditItem Text="LKG-C" Value="LKG-C" />
                                                                                        <dxw:ListEditItem Text="UKG-A" Value="UKG-A" />
                                                                                        <dxw:ListEditItem Text="UKG-B" Value="UKG-B" />
                                                                                        <dxw:ListEditItem Text="UKG-C" Value="UKG-C" />
                                                                                        <dxw:ListEditItem Text="I-A" Value="I-A" />
                                                                                        <dxw:ListEditItem Text="I-B" Value="I-B" />
                                                                                        <dxw:ListEditItem Text="I-C" Value="I-C" />
                                                                                        <dxw:ListEditItem Text="II-A" Value="II-A" />
                                                                                        <dxw:ListEditItem Text="II-B" Value="II-B" />
                                                                                        <dxw:ListEditItem Text="II-C" Value="II-C" />
                                                                                        <dxw:ListEditItem Text="III-A" Value="III-A" />
                                                                                        <dxw:ListEditItem Text="III-B" Value="III-B" />
                                                                                        <dxw:ListEditItem Text="III-C" Value="III-C" />
                                                                                        <dxw:ListEditItem Text="IV-A" Value="IV-A" />
                                                                                        <dxw:ListEditItem Text="IV-B" Value="IV-B" />
                                                                                        <dxw:ListEditItem Text="IV-C" Value="IV-C" />
                                                                                        <dxw:ListEditItem Text="V-A" Value="V-A" />
                                                                                        <dxw:ListEditItem Text="V-B" Value="V-B" />
                                                                                        <dxw:ListEditItem Text="V-C" Value="V-C" />
                                                                                        <dxw:ListEditItem Text="VI-A" Value="VI-A" />
                                                                                        <dxw:ListEditItem Text="VI-B" Value="VI-B" />
                                                                                        <dxw:ListEditItem Text="VI-C" Value="VI-C" />
                                                                                        <dxw:ListEditItem Text="VII-A" Value="VII-A" />
                                                                                        <dxw:ListEditItem Text="VII-B" Value="VII-B" />
                                                                                        <dxw:ListEditItem Text="VII-C" Value="VII-C" />
                                                                                        <dxw:ListEditItem Text="VIII-A" Value="VIII-A" />
                                                                                        <dxw:ListEditItem Text="VIII-B" Value="VIII-B" />
                                                                                        <dxw:ListEditItem Text="VIII-C" Value="VIII-C" />
                                                                                        <dxw:ListEditItem Text="IX-A" Value="IX-A" />
                                                                                        <dxw:ListEditItem Text="IX-B" Value="IX-B" />
                                                                                        <dxw:ListEditItem Text="IX-C" Value="IX-C" />
                                                                                        <dxw:ListEditItem Text="X-A" Value="X-A" />
                                                                                        <dxw:ListEditItem Text="X-B" Value="X-B" />
                                                                                        <dxw:ListEditItem Text="X-C" Value="X-C" />
                                                                                        <dxw:ListEditItem Text="XI-A" Value="XI-A" />
                                                                                        <dxw:ListEditItem Text="XI-B" Value="XI-B" />
                                                                                        <dxw:ListEditItem Text="XI-C" Value="XI-C" />
                                                                                        <dxw:ListEditItem Text="XII-A" Value="XII-A" />
                                                                                        <dxw:ListEditItem Text="XII-B" Value="XII-B" />
                                                                                        <dxw:ListEditItem Text="XII-C" Value="XII-C" />--%>
                                                                                </Items>
                                                                            </dxw:ASPxComboBox>
                                                                            <%--<asp:TextBox ID="txtGrade" runat="server" TabIndex="9" CssClass="form-control"></asp:TextBox>--%>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblSchoolCode" runat="server" CssClass="label" Text="School Code"></asp:Label>
                                                                            <asp:Label ID="Label10" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <dxw:ASPxComboBox ID="ddlSchoolCode" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlSchoolCode" EnableTheming="true" Theme="Office2003Blue"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="false" TabIndex="9">
                                                                            </dxw:ASPxComboBox>
                                                                            <%--<asp:DropDownList ID="ddlSchoolCode" runat="server" TabIndex="10" CssClass="form-control05px" AutoPostBack="true"
                                                                                OnSelectedIndexChanged="GetStationName">
                                                                            </asp:DropDownList>--%>
                                                                            <%--<asp:TextBox ID="txtSchoolCode" runat="server" TabIndex="10" CssClass="form-control" MaxLength="20"></asp:TextBox>--%>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblGuardianFirstName" runat="server" Text="Guardian First Name"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtGuardianFirstName" runat="server" TabIndex="10" ondrop="return false;"
                                                                                MaxLength="50" onkeypress="return chkCharacter_only_School(event);" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblRelationShip" runat="server" Text="Relationship with Student"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtRelationship" runat="server" MaxLength="20" TabIndex="11" ondrop="return false;"
                                                                                onkeypress="return chkCharacter_only(event);" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="Label8" runat="server" Text="SMS Notification Settings"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <dxw:ASPxComboBox ID="ddlSMSNotificationSettings" runat="server" ValueType="System.String"
                                                                                CssClass="form-control" ClientInstanceName="ddlSMSNotificationSettings"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableTheming="true" Theme="Office2003Blue" EnableIncrementalFiltering="true" TabIndex="12" SelectedIndex="0">
                                                                                <Items>
                                                                                    <dxw:ListEditItem Text="None" Value="0" />
                                                                                    <dxw:ListEditItem Text="Onward Trip" Value="1" />
                                                                                    <dxw:ListEditItem Text="Return Trip" Value="2" />
                                                                                    <dxw:ListEditItem Text="Both" Value="3" />
                                                                                </Items>
                                                                            </dxw:ASPxComboBox>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <asp:Panel ID="pnlContactDetails" runat="server" GroupingText="Contact Information :">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblContact" runat="server" Text="Mobile" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtMobile" runat="server" MaxLength="14" onkeypress="return isNumberKey(event);"
                                                                                CssClass="form-control" TabIndex="13" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblAlternateMobileNo" runat="server" Text="Alternate Contact Number(Mobile)"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtAlternateMobile" runat="server" MaxLength="14" onkeypress="return isNumberKey(event);"
                                                                                CssClass="form-control" TabIndex="14" ondrop="return false;"></asp:TextBox>
                                                                            <asp:CompareValidator ID="cmpvalidator1" runat="server" ControlToCompare="txtMobile" ControlToValidate="txtAlternateMobile"
                                                                                Display="Dynamic" Type="Integer" Operator="NotEqual" ErrorMessage="Mobile No and Alternate Contact No cannot be same"
                                                                                SetFocusOnError="true" ValidationGroup="dbopr"></asp:CompareValidator>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblAddress1" runat="server" CssClass="label" Text="Address 1"></asp:Label>
                                                                            <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtAddress1" runat="server" Rows="4" TextMode="MultiLine" TabIndex="15"
                                                                                CssClass="form-control" MaxLength="200"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblAddress2" runat="server" CssClass="label" Text="Address2"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtAddress2" runat="server" MaxLength="200" TextMode="MultiLine"
                                                                                TabIndex="16" CssClass="form-control" Rows="4"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblEmailAddress" runat="server" CssClass="label" Text="Email Address"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtEmailAddress" runat="server" MaxLength="50" onkeypress="return chkDescription(event,this,199);"
                                                                                CssClass="form-control" TabIndex="17" ondrop="return false;" onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblRegion" runat="server" CssClass="label" Text="Region / Area"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtRegion" runat="server" CssClass="form-control" MaxLength="100" TabIndex="18"></asp:TextBox>
                                                                            <%-- <span class="dropdown">
                                                                                <dxw:ASPxComboBox ID="ddlEmirates" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                    Height="10px" ClientInstanceName="ddlEmirates" EnableTheming="true" Theme="Office2003Blue"
                                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue" 
                                                                                    EnableIncrementalFiltering="true" AutoPostBack="false" TabIndex="22">
                                                                                    <Items>
                                                                                        <dxw:ListEditItem Text="-select-" />
                                                                                        <dxw:ListEditItem Text="Abu Dhabi" />
                                                                                        <dxw:ListEditItem Text="Dubai" />
                                                                                        <dxw:ListEditItem Text="Sharjah" />
                                                                                        <dxw:ListEditItem Text="Ajman" />
                                                                                        <dxw:ListEditItem Text="Umm Al Qaiwain" />
                                                                                        <dxw:ListEditItem Text="Ras Al Khaimah" />
                                                                                        <dxw:ListEditItem Text="Fujairah" />
                                                                                    </Items>
                                                                                </dxw:ASPxComboBox>
                                                                            </span>--%>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblCity" runat="server" CssClass="label" Text="City / Village"></asp:Label>
                                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtCity" runat="server" MaxLength="100" TabIndex="19" ondrop="return false;"
                                                                                CssClass="form-control" onkeypress="return chkCharacter_only(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblCountry" runat="server" CssClass="label" Text="Country"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <dxw:ASPxComboBox ID="ddlCountry" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlCountry" SelectedIndex="0" EnableTheming="true" Theme="Office2003Blue"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="false" TabIndex="20">
                                                                            </dxw:ASPxComboBox>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-12">
                                                                <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblActive" runat="server" CssClass="label" Text="Transportation Users (Y / N)"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <div class="col-xs-3">
                                                                        <asp:RadioButton ID="rdbActiveYes" runat="server" Text="Yes" GroupName="Active" Checked="true" CssClass="radio" TabIndex="21" />
                                                                    </div>
                                                                    <div class="col-xs-9">
                                                                        <asp:RadioButton ID="rdbActiveNo" runat="server" Text="No" GroupName="Active" CssClass="radio" TabIndex="22" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <asp:Panel ID="pnlTransport" runat="server" GroupingText="Transportation Details:">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStationID" runat="server" CssClass="label" Text="Station ID"></asp:Label>
                                                                            <asp:Label ID="Label11" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <dxw:ASPxComboBox ID="ddlStationID" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlStationID" EnableTheming="true" Theme="Office2003Blue"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="false" TabIndex="23">
                                                                            </dxw:ASPxComboBox>
                                                                            <%--<asp:DropDownList ID="ddlStationID" runat="server" TabIndex="31" CssClass="form-control" OnSelectedIndexChanged="StationID"
                                                                                AutoPostBack="true" AppendDataBoundItems="true">
                                                                            </asp:DropDownList>--%>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblGeozoneCaption" runat="server" Text="Geozone"></asp:Label>
                                                                            <asp:Label ID="lblGeozoneCaptionMandatory" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:DropDownList ID="ddlGeozone" runat="server" TabIndex="5" CssClass="form-control">
                                                                            </asp:DropDownList>
                                                                            <%--<asp:DropDownList ID="ddlStationName" runat="server" TabIndex="32" CssClass="form-control05px"
                                                                                AutoPostBack="true" AppendDataBoundItems="true" OnSelectedIndexChanged="StationName">                                                                               
                                                                            </asp:DropDownList>--%>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-xs-3 col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblPickUpTime" runat="server" Text="Pickup Time"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <div class="time1 Responsivetime">
                                                                                <%--<MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                                Hour="7" Font-Size="10pt" Height="20px" SelectedTimeFormat="TwentyFour" TabIndex="35">
                                                                            </MKB:TimeSelector>--%>
                                                                                <MKB:TimeSelector ID="tsfromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                                    Hour="8" Font-Size="10pt" SelectedTimeFormat="Twelve" TabIndex="25">
                                                                                </MKB:TimeSelector>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-3 col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblDropoffTime" runat="server" Text="Dropoff Time"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <div class="time1 Responsivetime">
                                                                                <MKB:TimeSelector ID="tstoHrs" runat="server" AmPm="PM" DisplaySeconds="False" Hour="3"
                                                                                    Font-Size="10pt" SelectedTimeFormat="Twelve" TabIndex="26">
                                                                                </MKB:TimeSelector>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblLandMarkName" runat="server" CssClass="label" Text="Nearest Landmark"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtLandamrk" runat="server" TabIndex="24" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblRequ" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                            <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                        </div>
                                                                        <%--   <td colspan="4">
                                                                        <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClientClick="ShowPopUp();"
                                                                            TabIndex="16" ImageUrl="~/images/btn-manage-notification.jpg" Visible="false" />
                                                                        <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                            OnClientClick="ShowPopUp();">
                                                                            <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                                <div class="ManageNotification">
                                                                                    <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Manage Notifications
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>--%>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-xs-9">
                                                                <asp:ImageButton ID="ibtnUpdateDriver1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                    TabIndex="17" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateStudent" runat="server" CssClass="MultilingualBtn"
                                                                    TabIndex="24" OnClick="ibUpdate_Click" OnClientClick="return ValidateStudentInfo();" ValidationGroup="dbopr">
                                                                    <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                &nbsp;
                                                            <asp:ImageButton ID="ibtnAddDriver1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                TabIndex="18" Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddStudent" runat="server" CssClass="MultilingualBtn" TabIndex="25"
                                                                    OnClick="ibSave_Click" OnClientClick="return ValidateStudentInfo();" ValidationGroup="dbopr">
                                                                    <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="btnDriverCancel1" runat="server" TabIndex="19" ImageUrl="~/images/btn-cancel.jpg"
                                                                    Visible="false" />&nbsp;
                                                            <asp:LinkButton ID="btnStudentCancel" runat="server" CssClass="MultilingualBtn" TabIndex="26"
                                                                OnClick="ibCancel_Click">
                                                                <span id="Span5" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix"></div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlStudentDetailsList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 gridheader">
                                                        <div class="col-sm-6 padding-width-md-left">
                                                            <span class="icon">
                                                                <img src="../images/icn-user-name.gif" alt="" />
                                                            </span>
                                                            <span class="txt">
                                                                <asp:Label ID="lblCapDrvDetails" runat="server" Text="Student Details"></asp:Label>
                                                            </span>
                                                        </div>
                                                        <div class="col-sm-6 nullpadding">
                                                            <div class="pull-right">
                                                                <span class="txt">
                                                                    <asp:ImageButton ID="ibtnBulkDelete1" runat="server" ImageUrl="~/images/delete-icon.gif" Visible="false" />
                                                                    <asp:LinkButton ID="ibtnBulkDelete" runat="server" CssClass="MultilingualBtn" OnClick="ibtnDelete_click"
                                                                        OnClientClick="return DeleteRowCount();">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Delete">
                                                                                <div id="divDelete" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Delete
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                                <span class="txt" style="display: none;">
                                                                    <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/images/delete-icon.gif" Visible="false" />
                                                                    <asp:LinkButton ID="lnkbtnDeleteAll" runat="server" CssClass="MultilingualBtn" OnClick="ibtnDeleteAll_click"
                                                                        OnClientClick="return DeleteAllRowCount();" Visible="false">
                                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Delete">
                                                                                <div id="divDeleteAll" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Delete All
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                                <span class="txt">
                                                                    <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                                        Visible="false" />
                                                                    <asp:LinkButton ID="ibtnBulkUpdate" runat="server" OnClientClick="popUpAdvancedSearch(1);HidePopUp();return false;"
                                                                        CssClass="MultilingualBtn" Visible="true">
                                                                        <span id="Span10" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Import">
                                                                                <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Import
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                                <span class="dropdown padding-width-sm-right">
                                                                    <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                        ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                        CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue" Style="display: none">
                                                                        <Items>
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        </Items>
                                                                    </dxw:ASPxComboBox>
                                                                </span>
                                                                <span class="txt">
                                                                    <asp:ImageButton ID="ibtnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                        Visible="false" />
                                                                    <asp:LinkButton ID="ibtnExport" runat="server" CssClass="MultilingualBtn" OnClick="ibtnExport_Click">
                                                                        <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Export">
                                                                                <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Export
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvStudent" ClientInstanceName="gvStudent" runat="server"
                                                        Width="100%" KeyFieldName="StudentMasterID" Settings-ShowFilterRow="true"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvStudent_OnHtmlRowCreated">
                                                        <%--<ClientSideEvents EndCallback="function(s, e) { GridRowCount();}" /> OnCustomJSProperties="grid_CustomJSProperties--%>
                                                        <Settings VerticalScrollBarMode="Auto" ShowVerticalScrollBar="true" VerticalScrollableHeight="250" HorizontalScrollBarMode="Hidden" />
                                                        <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                            <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                Width="11px" />
                                                            <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                Width="11px" />
                                                            <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                Width="11px" />
                                                            <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                Width="11px" />
                                                        </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="Student Name" FieldName="StudentName" Width="180"
                                                                VisibleIndex="1" FixedStyle="Left">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-user-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblCaptionStudentName" runat="server" Text="Student Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblStudentName" runat="server" Text='<%# Eval("StudentName") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="StudentID" FieldName="StudentID" Width="150" VisibleIndex="2" FixedStyle="Left">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-user-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblStudentID" runat="server" Text="Student ID"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lbl" runat="server" Text='<%# Eval("StudentID") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="RFID" FieldName="RFID" Width="200" VisibleIndex="2" FixedStyle="None">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/key-details.png" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblStudentID" runat="server" Text="RFID"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lbl" runat="server" Text='<%# Eval("RFID") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Fleet Name" FieldName="FleetName" Width="150"
                                                                VisibleIndex="3">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/fleet-icon.gif" alt="" align="middle" />&nbsp;
                                                                        <asp:Label ID="lblFleetName" runat="server" Font-Bold="false" Text="Fleet Name"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblStationName" runat="server" Text='<%# Eval("FleetName") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="School Name" FieldName="SchoolName" Width="200"
                                                                VisibleIndex="5">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/school.png" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblSchoolCode" runat="server" Font-Bold="false" Text="School Name"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblSchool" runat="server" Text='<%# Eval("SchoolName") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Nearest Landmark" FieldName="LandmarkName" Width="150"
                                                                ReadOnly="true" VisibleIndex="6">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/landmark-icon.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblLandmark" runat="server" Text="Nearest LandMark"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblLandmark" runat="server" Text='<%# Eval("Landmarkname") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Mobile No" FieldName="ContactNo" Width="150" VisibleIndex="8">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                                        <asp:Label ID="lblMobileNo" runat="server" Font-Bold="false" Text="Contact No"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblContact" runat="server" Text='<%# Eval("ContactNo") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Alternate Contact No" FieldName="AlternateContactNo" Width="150" VisibleIndex="8">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                                        <asp:Label ID="lblAlternateMobileNo" runat="server" Font-Bold="false" Text="Alternate Contact No"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblAlternateContact" runat="server" Text='<%# Eval("AlternateContactNo") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <%-- <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="ibView" runat="server" OnClientClick="ShowPopUp();" OnClick="ibView_Click"
                                                                CommandArgument='<%# Eval("StudentMasterID") %>' Style="text-decoration: none;"><img src="../images/icn-view.gif" alt="Click here to View" title="Click here to View"/></asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>--%>
                                                            <dxw:GridViewDataColumn Caption="Gender" FieldName="GenderN" Width="100" ReadOnly="true"
                                                                VisibleIndex="11">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-user-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblGender" runat="server" Text="Gender"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblGender" runat="server" Text='<%# Eval("GenderN") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Email" FieldName="EmailAddress" Width="150" ReadOnly="true"
                                                                VisibleIndex="12">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-email.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblEmail" runat="server" Text='<%# Eval("EmailAddress") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Region" FieldName="Region" Width="100" ReadOnly="true"
                                                                VisibleIndex="13">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-driver-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblRegion" runat="server" Text="Region"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblRegion" runat="server" Text='<%# Eval("Region") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Address" FieldName="AddressLine1" Width="150"
                                                                ReadOnly="true" VisibleIndex="14">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/address-icon.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblAddress" runat="server" Text="Address"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblAddress" runat="server" Text='<%# Eval("AddressLine1") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Grade" FieldName="Grade" Width="100" ReadOnly="true"
                                                                VisibleIndex="15">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/incentive-name.png" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblGrade" runat="server" Text="Grade / Class"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblGrade" runat="server" Text='<%# Eval("Grade") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="ActiveN" Caption="Status" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center" Width="100" VisibleIndex="16" ReadOnly="true">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgActiveStatus" runat="server" ImageUrl="..\Images\icn-active-status.gif"
                                                                            align="top" /></span> <span class="label"></span>
                                                                    <asp:Label ID="lblActive" runat="server" Text="Active Status"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <center>
                                                                        <div class="col-sm-12">
                                                                            <div style="display: none">
                                                                                <asp:LinkButton ID="imgActiveStatus" runat="server" alternatetext="Click to change the status"
                                                                                    ToolTip="Click to change the status" OnClick="ChangeActiveStatus" CommandArgument='<%# "1,"+Eval("StudentMasterID")+","+Eval("ActiveN") %>'
                                                                                    Visible="false">
                                                                                    <asp:Image ID="imgActiveStatusIndicator" runat="server" />
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                            <div style="vertical-align: middle">
                                                                                <asp:Label ID="lblActive" runat="server" Text='<%#Eval("ActiveN") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                            </div>
                                                                        </div>
                                                                    </center>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="PickupTime" FieldName="PickupTime" Width="100"
                                                                ReadOnly="true" VisibleIndex="18">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-timezone.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblPickupTime" runat="server" Text="PickupTime"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblPickupTime" runat="server" Text='<%# Eval("PickupTime") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="DropOffTime" FieldName="DropOffTime" Width="100"
                                                                ReadOnly="true" VisibleIndex="19">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-timezone.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblDropOffTime" runat="server" Text="DropOffTime"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblDropOffTime" runat="server" Text='<%# Eval("DropOffTime") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="SMS Settings" FieldName="SMSSettings" Width="100"
                                                                ReadOnly="true" VisibleIndex="20">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/mobile.png" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblSMSSettings" runat="server" Text="SMS Settings"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblSMSSettings" runat="server" Text='<%# Eval("SMSSettings") %>' ForeColor='<%# Eval("ActiveN").ToString() == "InActive" ? System.Drawing.Color.Gray : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataColumn Caption="Geozone" FieldName="GeozoneName" Width="200" VisibleIndex="21">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-geo-zone-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblGeozone" runat="server" Text="Geozone"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblStationID" runat="server" Text='<%# Eval("GeozoneName") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <CellStyle Wrap="True"></CellStyle>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Edit" CellStyle-HorizontalAlign="Center" Width="30"
                                                                Name="Edit" VisibleIndex="22">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="ibEdit" runat="server" CommandArgument='<%# Eval("StudentMasterID") %>'
                                                                        CommandName="Edit" OnClick="ibEdit_Click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"><img src="../images/icn-edit.gif" /></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewCommandColumn Name="Checkbox" Width="30" VisibleIndex="0" ShowSelectCheckbox="true" FixedStyle="Left">
                                                                <HeaderTemplate>
                                                                    <%--<dxw:ASPxCheckBox ID="cbAll" runat="server" ClientInstanceName="cbAll" ToolTip="Select all rows"
                                                                        BackColor="White" OnInit="cbAll_Init">
                                                                        <ClientSideEvents CheckedChanged="function OnAllCheckedChanged(s, e) {if (s.GetChecked())gvStudent.SelectRows();else gvStudent.SelectRows();}" />
                                                                    </dxw:ASPxCheckBox>
                                                                    <dxw:ASPxCheckBox ID="cbPage" runat="server" ClientInstanceName="cbPage" ToolTip="Select all rows within the page"
                                                                        OnInit="cbPage_Init">
                                                                        <ClientSideEvents CheckedChanged="OnPageCheckedChanged" />
                                                                    </dxw:ASPxCheckBox>--%>
                                                                    <%--<dxw:ASPxCheckBox ID="cbAll" runat="server" ClientInstanceName="cbAll" ToolTip="Select all rows"
                                                                        BackColor="White" OnInit="cbAll_Init">
                                                                        <ClientSideEvents CheckedChanged="OnAllCheckedChanged" />
                                                                    </dxw:ASPxCheckBox>
                                                                    <dxw:ASPxCheckBox ID="cbPage" runat="server" ClientInstanceName="cbPage" ToolTip="Select all rows within the page"
                                                                        OnInit="cbPage_Init" Visible="false">
                                                                        <ClientSideEvents CheckedChanged="OnPageCheckedChanged" /></dxw:ASPxCheckBox>--%>
                                                                    <input id="chkSelectAll" type="checkbox" runat="server" onclick="gvStudent.SelectAllRowsOnPage(this.checked);"
                                                                        style="vertical-align: middle;" title="Select/Unselect all rows on the page" />
                                                                </HeaderTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </dxw:GridViewCommandColumn>
                                                            <dxw:GridViewDataColumn Caption="Student ID" FieldName="StudentMasterID" Width="100"
                                                                ReadOnly="true" Visible="false">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-driver-name.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lbl" runat="server" Text="Student Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblStudentMasterID" runat="server" Text='<%# Eval("StudentMasterID") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <%-- <dxw:GridViewDataColumn Caption="DriverKey" FieldName="IButtonKeyName" Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span>
                                                            <img src="../images/icn-driver-information.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblDriverKey" runat="server" Font-Bold="false" Text="Driver Key"></asp:Label>
                                                        </span>
                                                    </HeaderCaptionTemplate>
                                                </dxw:GridViewDataColumn>--%>
                                                            <%--<dxw:GridViewDataTextColumn FieldName="EmailUserNameList" Caption="Email Users"
                                                    HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="20%"
                                                    CellStyle-Wrap="True">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <asp:Image ID="imgEmailUserNameList" ImageUrl="../images/icn-email-users.gif" runat="server" />
                                                        </span><span class="label">&nbsp;<asp:Label ID="lblEmailUserNameList" runat="server"
                                                            Font-Bold="false" Text="Email Users"></asp:Label>
                                                        </span>
                                                    </HeaderCaptionTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataTextColumn>--%>
                                                            <%--dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                    CellStyle-HorizontalAlign="Center">
                                                    <HeaderTemplate>
                                                    </HeaderTemplate>
                                                    <DataItemTemplate>
                                                        <asp:LinkButton ID="lbtnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update"
                                                            ImageAlign="Middle" CommandArgument='<%#Eval("StudentMasterID") %>' OnClick="lbtnEdit_click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                    </DataItemTemplate>
                                                </dxw:GridViewDataTextColumn>--%>
                                                            <%-- <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                    CellStyle-HorizontalAlign="Center">
                                                    <HeaderTemplate>
                                                    </HeaderTemplate>
                                                    <DataItemTemplate>
                                                        <asp:LinkButton ID="lbtnDelete" runat="server" AlternateText="Delete" OnClientClick="return DeleteConfirm();"
                                                            ToolTip="Click here to Delete" CommandArgument='<%#Eval("StudentMasterID") %>'
                                                            OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                    </DataItemTemplate>
                                                </dxw:GridViewDataTextColumn>--%>
                                                        </Columns>
                                                        <%--<ClientSideEvents SelectionChanged="function OnGridSelectionChanged(s, e) {cbAll.SetChecked(s.GetSelectedRowCount() == s.cpVisibleRowCount);}" />--%>
                                                        <%--   <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                EndCallback="" />--%>
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Student details found" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvStudent"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
                                                                        \viewkind4\uc1\pard\qc\ul\b\f0\fs28 Vehicle Plan Assignment\par
                                                                        \pard\ulnone\f1\par
                                                                        \par
                                                                        }
                                                                        "
                                                    DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                    <Styles>
                                                        <Default VerticalAlign="Middle">
                                                        </Default>
                                                        <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                            ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                        </Header>
                                                        <Cell VerticalAlign="Middle">
                                                        </Cell>
                                                    </Styles>
                                                    <PageHeader VerticalAlignment="None">
                                                        <Font Bold="False" Size="10pt"></Font>
                                                    </PageHeader>
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>

                                                <%--<script language="javascript" type="text/javascript">

                                                    function FitGridWidth() {

                                                        document.getElementById('gvStudent').style.width = (document.getElementById('gvStudent_DXHeaderTable').clientWidth + 20) + 'px';

                                                    }

                                                    //window.onload = FitGridWidth;

                                                </script>--%>
                                                <%--<style type="text/css">
                                                #gvStudent div
                                                {
                                                    overflow-x: hidden !important;
                                                    overflow-y: hidden !important;
                                                }
                                            </style>--%>
                                                <%--<div class="AlignControl">
                                        <br />
                                        <img src="../images/blue.png" />
                                        <asp:Label ID="BlueIcnIndicator" runat="server" Text="Inactive Driver"></asp:Label>&nbsp;
                                        &nbsp;
                                        <img src="../images/red.png" />
                                        <asp:Label ID="RedIcnIndicator" runat="server" Text="License expired Driver"></asp:Label>
                                    </div>--%>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%-- </div>--%>
                    <asp:HiddenField ID="hdnStudentID" runat="server" />
                    <asp:HiddenField ID="hdnRowCount" runat="server" />
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnDriverImage" runat="server" />
                    <%--<cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                            PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                        </cc1:ModalPopupExtender>--%>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="ibtnStudentDetails" />
                    <asp:PostBackTrigger ControlID="btnStudentCancel" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateDrivers" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateStudent" />
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                    <asp:PostBackTrigger ControlID="lbtnDownloadTemp" />
                    <asp:PostBackTrigger ControlID="ibtnBulkDelete" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" CssClass="iButtonPanelImport col-sm-5 col-md-5 col-lg-4" Style="display: none;">
                <div class="popup">
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update Student Details" runat="server"></asp:Label>
                        </h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="popUpAdvancedSearch(0);HidePopUp();return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix"></div>
                    </div>
                    <div class="popup-cont">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2 icon-label">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuStudents" runat="server" /><%--onchange="return validateCSVFileUpload(this);"--%>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClick="ibtnUpdateDrivers_Click" OnClientClick=" ShowPopUp();">
                                            <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg" Visible="false" />&nbsp;
                                    <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                        <span id="Span13" runat="server" class="MultilingualBtnspan">
                                            <div class="Cancel">
                                                <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                    Cancel
                                                </div>
                                            </div>
                                        </span>
                                    </asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template">
                                    </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />

            <script type="text/javascript">

                var usernameCheckerTimer;
                var spanAvailability = $get("spanAvailability");
                var ChkUserAvilable;

                var Caption_StudentIDExist = document.getElementById('hdnStudentIDExist').value;
                var Caption_Checking = document.getElementById('hdnChecking').value;
                function usernameChecker(username) {
                    var txtStudentID = document.getElementById('txtStudentID');
                    clearTimeout(usernameCheckerTimer);
                    if (username.length == 0) {
                        spanAvailability.innerHTML = "";
                        txtStudentID.style.backgroundColor = 'white';
                    }
                    else {
                        spanAvailability.innerHTML = "<span style='color: #ccc;'>'" + Caption_Checking + "'</span>";
                        usernameCheckerTimer = setTimeout("checkUsernameUsage('" + username + "');", 750);
                    }
                }

                function checkUsernameUsage(username) {
                    // initiate the ajax pagemethod call
                    // upon completion, the OnSucceded callback will be executed
                    PageMethods.IsUserAvailable(username, OnSucceeded);
                }

                // Callback function invoked on successful completion of the page method.
                function OnSucceeded(result, userContext, methodName) {
                    var txtStudentID = document.getElementById('txtStudentID');
                    if (methodName == "IsUserAvailable") {
                        if (result == true) {
                            spanAvailability.innerHTML = "<span style='color: DarkGreen;'></span>";
                            txtStudentID.style.backgroundColor = 'white';
                            ChkUserAvilable = 0;
                        }
                        else {
                            spanAvailability.innerHTML = "<span style='color: Red;'>'" + Caption_StudentIDExist + "'</span>";
                            txtStudentID.style.backgroundColor = 'lightyellow';
                            ChkUserAvilable = 1;
                        }
                    }
                }
                function OnTextChangeAlert() {
                    var txtStudentID = document.getElementById('txtStudentID');
                    if (ChkUserAvilable == 1) {
                        //document.getElementById('txtStudentID').focus();
                        document.getElementById('txtStudentID').value = '';
                        spanAvailability.innerHTML = "<span style='color: DarkGreen;'></span>";
                        // txtStudentID.style.backgroundColor = 'white';
                    }
                }
            </script>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript" language="javascript">
                var AlertFileType = 'files are not allowed.\n\n Please upload only xls/xlsx files.';
                var AlertSelectStudent = 'Please select one or more Student.';
                var totalRecordCount = '';
                var totalPageCount = '';
                var _selectNumber = 0;
                var _all = false;
                var _handle = true;
                function setAlertMessageFileType(Filetype) {
                    AlertFileType = Filetype;
                }
                function validateCSVFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validfileextensions = "xls";
                    var validfileextensions1 = "xlsx";
                    var flag = false;
                    // store the file name into the variable
                    filename = obj.value;
                    // extract and store the file extension into another variable
                    fileextension = filename.substr(filename.length - 3, 3);
                    // check over the valid file extensions to compare them with uploaded file
                    if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                        flag = true;

                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        alert('"' + fileextension + AlertFileType);
                        var file = document.getElementById("fuStudents");
                        file.select();
                        cmd = file.createTextRange();
                        cmd.execCommand('delete');
                        file.focus();
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                var Alert_Delete = "Do you want to really delete this student details?.";
                function setAlertMessageDelete(Delete) {
                    Alert_Delete = Delete;
                }

                function DeleteConfirm() {
                    HidePopUp();
                    return confirm(Alert_Delete);
                }
                function setAlertMessageValidation(Validation) {
                    AlertSelectStudent = Validation;
                }
                function gridSelectionValidationAlert() {
                    alert(AlertSelectStudent);
                    ShowPopUp();
                }
                function DeleteRowCount() {
                    if (gvStudent.GetSelectedRowCount() != 0) {
                        if (confirm(Alert_Delete) == true) {
                            ShowPopUp();
                            return true;
                        }
                        else {
                            HidePopUp();
                            return false;
                        }
                    }
                    else {
                        gridSelectionValidationAlert();
                        HidePopUp();
                        return false;
                    }
                }
                function DeleteAllRowCount() {

                    if (confirm(Alert_Delete) == true) {
                        ShowPopUp();
                        return true;
                    }
                    else {
                        HidePopUp();
                        return false;
                    }
                }
                function GridRowCount() {
                    totalRecordCount = gvStudent.cpRowCount;
                    totalPageCount = gvStudent.cpPageCount;
                }

                function setCaretPosition(ctrl, pos) {
                    if (ctrl.setSelectionRange) {
                        ctrl.focus();
                        ctrl.setSelectionRange(pos, pos);
                    }
                    else if (ctrl.createTextRange) {
                        var range = ctrl.createTextRange();
                        range.collapse(true);
                        range.moveEnd('character', pos);
                        range.moveStart('character', pos);
                        range.select();
                    }
                }

                $(document).ready(function () {
                    var MaxLength = 200;
                    $('#txtAddress1').keypress(function (e) {
                        if ($(this).val().length >= MaxLength) {
                            e.preventDefault();
                        }
                    });
                    $('#txtAddress2').keypress(function (e) {
                        if ($(this).val().length >= MaxLength) {
                            e.preventDefault();
                        }
                    });
                });
                var prm = Sys.WebForms.PageRequestManager.getInstance();
                prm.add_endRequest(function (s, e) {
                    var MaxLength = 200;
                    $('#txtAddress1').keypress(function (e) {
                        if ($(this).val().length >= MaxLength) {
                            e.preventDefault();
                        }
                    });
                    $('#txtAddress2').keypress(function (e) {
                        if ($(this).val().length >= MaxLength) {
                            e.preventDefault();
                        }
                    });
                });

                function popUpAdvancedSearch(PanelStatus) {
                    if (document.getElementById('pnlImportVehicles') != null) {
                        if (PanelStatus == 1)
                            document.getElementById('pnlImportVehicles').style.display = "inline-block";
                        else
                            document.getElementById('pnlImportVehicles').style.display = "none";
                    }
                }
            </script>
            <script lang="javascript" type="text/javascript" src="../js/SchoolManagement.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/FormValidations.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/UserManipulationsScript.js"></script>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
