﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TyreMaster, App_Web_1syrbojx" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Tyre Master</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading" class="col-sm-4">
                                                <img class="icon" src="../images/fleetmaintenance-icon.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkVendorMgmt" PostBackUrl="~/Forms/TyreMaster.aspx" runat="server" Text="Tyre Master"
                                                    OnClick="lnkTyreMaster_Click"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-8 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-add-vehicle.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="LinkButton1" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/TyreMakeModel.aspx">
                                                        <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddBrand">
                                                                <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                    Manage Brand & Model
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddTyre_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddVendor" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnAddTyre_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddTyre">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Tyre Details
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                        runat="server" CausesValidation="false" ImageUrl="~/images/icn-assign-vehicles.GIF"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" OnClientClick="return ShowPopUp();" PostBackUrl="~/Forms/TyreMapping.aspx">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="MapTyre">
                                                                <div id="divMap" runat="server" class="MultilingualBtnTextAlign">
                                                                    Tyre Mapping
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ImageButton2" PostBackUrl="MsgSeveritySettings.aspx" runat="server"
                                                        CausesValidation="false" ImageUrl="~/images/btnFleetMaintenance.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CausesValidation="false" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Fleet Maintenance
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlVendorInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Tyre Information"></asp:Label>
                                                </h1>
                                                <div class="form-tbl rptFormTbl">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblId" runat="server" Text="Tyre Code" CssClass="label"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak" style="vertical-align: top">
                                                                <asp:TextBox ID="txtTyreId" MaxLength="49" TabIndex="1" runat="server" ReadOnly="true"
                                                                    CssClass="form-control"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblVName" runat="server" Text="Vendor Name" CssClass="label"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtVenName" MaxLength="49" onkeypress="return chkDescription(event,this,49);"
                                                                    TabIndex="2" runat="server" CssClass="form-control" Visible="false"></asp:TextBox>
                                                                <asp:DropDownList ID="ddlVendorName" runat="server" TabIndex="2" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblBrandName" runat="server" Text="Brand Name" CssClass="label"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:DropDownList ID="ddlBrandName" AutoPostBack="true" runat="server" TabIndex="3"
                                                                    CssClass="form-control" OnSelectedIndexChanged="ddlBrandName_SelectionChanged">
                                                                </asp:DropDownList>
                                                                <%--<div class="col-xs-11 nullpadding">
                                                                    <asp:ImageButton ID="lnkAdd" runat="server" ToolTip="Click here to Add Brand Name"
                                                                        ImageUrl="../images/add-icon.gif" PostBackUrl="~/Forms/TyreMakeModel.aspx"></asp:ImageButton>
                                                                </div>--%>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblModal" runat="server" Text="Model"></asp:Label>
                                                                <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <%-- <asp:TextBox ID="txtModal" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,25);"
                                                            CssClass="form-control" MaxLength="25" TabIndex="9"></asp:TextBox>--%>
                                                                <asp:DropDownList ID="ddlModel" runat="server" TabIndex="4" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblTyreQty" runat="server" Text="Quantity"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtQuantity" runat="server" oncopy="return false" TabIndex="5" CssClass="form-control"
                                                                    MaxLength="10" ondrop="return false" onchange="Sum();" onpaste="return false"
                                                                    onkeypress="return chkNumeric_only(event);" />
                                                            </div>
                                                            <%--<cc1:CalendarExtender ID="calFCExpired" runat="server" CssClass="cal_Theme1" TargetControlID="txtFcExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                            </cc1:CalendarExtender>--%>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblCost" runat="server" Text="Cost/Tyre"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtCost" runat="server" onpaste="return false" onkeypress="return chkDecNums(event, this);"
                                                                    CssClass="form-control" MaxLength="10" TabIndex="6" onchange="Sum();"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblTotalAmount" runat="server" Text="Total Amount"></asp:Label>
                                                                <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtTotalAmount" runat="server" onpaste="return false" onkeypress="return false;"
                                                                    CssClass="form-control" MaxLength="20" TabIndex="7"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblPurchaseDate" runat="server" Text="Purchase Date"></asp:Label>
                                                                <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                <asp:TextBox ID="txtDateOfJoining" runat="server" oncopy="return false" oncut="return false"
                                                                    TabIndex="8" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                    onpaste="return false" CssClass="form-control" ToolTip="dd-MMM-yyyy">
                                                                </asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblBillNo" runat="server" Text="Tyre Bill No." CssClass="label"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtBillNo" MaxLength="25" runat="server" onkeypress="return chkDescription(event,this,25);"
                                                                    TabIndex="9" CssClass="form-control"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label2" runat="server" Text="Warranty (Months/Years)"></asp:Label>
                                                                <%-- <span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtWarranty" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,25);"
                                                                    CssClass="form-control" MaxLength="12" TabIndex="10"> </asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblLifeTime" runat="server" Text="LifeTime KM" Visible="false"></asp:Label>
                                                                <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtLifeTime" runat="server" onpaste="return false" onkeypress="return chkNumeric_only(event);"
                                                                    CssClass="form-control" MaxLength="12" TabIndex="11" Visible="false"> </asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group ControlHide">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblSize" runat="server" Text="Size" Visible="false"></asp:Label>
                                                                <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtSize" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,24);"
                                                                    CssClass="form-control" MaxLength="25" TabIndex="11" Visible="false"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblWidth" runat="server" Text="Tyre Width" Visible="false"></asp:Label>
                                                                <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtwidth" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,25);"
                                                                    CssClass="form-control" MaxLength="25" TabIndex="11" Visible="false"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-xs-9">
                                                                <asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="12" OnClientClick="return ValidateTyreMaster();"
                                                                    OnClick="ibtnUpdateTyre_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateVendor" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                    CausesValidation="false" OnClientClick="return ValidateTyreMaster();" OnClick="ibtnUpdateTyre_Click">
                                                                    <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddVendor1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="13" OnClientClick="return ValidateTyreMaster();"
                                                                    OnClick="ibtnAddTyre_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddVendor" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                    TabIndex="13" OnClientClick="return ValidateTyreMaster();" OnClick="ibtnAddTyre_Click">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                &nbsp;
                                                            <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                CausesValidation="false" TabIndex="14" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                    CausesValidation="false">
                                                                    <%--OnClientClick="return ClearData();"--%>
                                                                    <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <%--<div class="left-col" visible="false">
                                                <span class="txtAlign">
                                                <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                &nbsp;</span><span class="dropdown">
                                                    <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" Width="130px"
                                                        ShowImageInEditBox="false" ClientInstanceName="ddlFleet" SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                        CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                        AutoPostBack="true" EnableTheming="true" Theme="Office2003Blue">
                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                    </dxw:ASPxComboBox>
                                                </span> 
                                                </div>--%>
                                                <div class="right-col">
                                                    <span class="txt">
                                                        <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                            Visible="false" />
                                                        <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn" Visible="false">
                                                            <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                <div class="Import">
                                                                    <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Import
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>&nbsp; 
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;
                                                    <span class="txt">
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                            <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvTyre" runat="server" Width="100%" KeyFieldName="TyreId" SettingsBehavior-SortMode="Default"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvTyre_OnHtmlRowCreated">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="TyreCode" Caption="Tyre Code" VisibleIndex="0"
                                                            Width="10%" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/46.PNG" align="top" alt="" title="" /></span> <span class="label">
                                                                        <asp:Label ID="lblTyreCode" runat="server" Text="Tyre Code"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCode1" runat="server" Text='<%# Eval("TyreCode")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="1"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/32.PNG" alt="" title="" align="top" /></span> <span class="label">
                                                                        <asp:Label ID="lblVendorName" runat="server" Text="Vendor Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblVenName" runat="server" Text='<%# Eval("VendorName")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="true" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="BrandName" Caption="Brand Name" VisibleIndex="3"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/74.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lbLBrandName" runat="server" Text="Brand Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="model" Caption="Model" VisibleIndex="9" Width="10%"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblModal" runat="server" Text="Model"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="DateOfPurchase" Caption="Date Of Purchase" VisibleIndex="8"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/29.PNG" alt="" title="" /></span> <span class="label">
                                                                        <asp:Label ID="lblDateOfPurchase" runat="server" Text="Date Of Purchase"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreBillNo" Caption="Bill No." VisibleIndex="2"
                                                            Width="10%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-locality.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTyreBillNo" runat="server" Text="Bill No."></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Quantity" VisibleIndex="4" Width="10%" Caption="Quantity">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgDeviceID" runat="server" ImageUrl="../images/device-icon.gif" ImageAlign="top"
                                                                        AlternateText="" /></span> <span class="label">
                                                                            <asp:Label runat="server" ID="lblDeviceIdHeading" Text="Quantity"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("Quantity")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <%--   <dxw:GridViewDataColumn FieldName="Quantity" Caption="Quantity" VisibleIndex="4"
                                                    Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/city.png" alt="" title=""  /></span> <span class="label">
                                                                <asp:Label ID="lblQuantity" runat="server" Text="Quantity"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <DataItemTemplate>
                                                        <asp:Label ID="lblQuantity1" runat="server" Text='<%# Eval("Quantity")%>'>
                                                        </asp:Label>
                                                    </DataItemTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>--%>
                                                        <dxw:GridViewDataColumn FieldName="Cost" Caption="Cost/Tyre" VisibleIndex="5" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/83.PNG" alt="" title="" /></span> <span class="label">
                                                                        <asp:Label ID="lblTyreCost" runat="server" Text="Cost/Tyre"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("TyreCost")%>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreCost" Caption="Cost/Tyre" VisibleIndex="5"
                                                            Width="10%" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/83.PNG" alt="" title="" /></span> <span class="label">
                                                                        <asp:Label ID="lblTyreCost" runat="server" Text="Cost/Tyre"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("TyreCost")%>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreLifetime" Caption="Lifetime KM" VisibleIndex="10"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/43.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblLifetime" runat="server" Text="Lifetime KM"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Warranty" Caption="Warranty" VisibleIndex="11"
                                                            Width="8%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/Last Executed On.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblWarranty" runat="server" Text="Warranty"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" VisibleIndex="12"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("TyreId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnUpdateTyre_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center" VisibleIndex="13"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--Delete();--%>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                    CommandArgument='<%#Eval("TyreId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreWidth" Caption="Tyre Width" VisibleIndex="10"
                                                            Visible="false" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblTyreWidth" runat="server" Text="Tyre Width"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TotalAmounts" Caption="Total Amount" VisibleIndex="7"
                                                            Visible="true" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" /></span> <span class="label">
                                                                        <asp:Label ID="lblTotalAmount" runat="server" Text="Total Amount"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("Total")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Total" Caption="Total Amount" VisibleIndex="7"
                                                            Visible="false" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblTyreSize" runat="server" Text="Total Amount"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsBehavior AllowSort AllowDragDrop="false" />
                                                    <SettingsText EmptyDataRow="No Tyre details found" />
                                                    <SettingsPager PageSize="25">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvTyre"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                                {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Vendor Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Tyre Entry Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                    <cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVendor" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVendor" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%--<asp:PostBackTrigger ControlID="gvTyre_cell3_4_lnkLegend" /> --%>
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" CssClass="iButtonPanelImport col-sm-5 col-md-5 col-lg-4" Style="display: none;">
                <div class="popup">
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update School Details" runat="server"></asp:Label>
                        </h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="popUpAdvancedSearch(0);HidePopUp();return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix"></div>
                    </div>
                    <div class="popup-cont">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2 icon-img">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuDrivers" runat="server" onchange="return validateCSVFileUpload(this);" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClick="ibtnUpdateDrivers_Click" OnClientClick=" ShowPopUp();">
                                            <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg" Visible="false" />&nbsp;
                                        <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                            <span id="Span13" runat="server" class="MultilingualBtnspan">
                                                <div class="Cancel">
                                                    <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Cancel
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template">
                                    </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function validateCSVFileUpload(obj) {

                    var AlertFileType = 'Invalid file format... Please upload only .xls/.xlsx files.';
                    var fileName = new String();
                    var fileExtension = new String();
                    var validfileextensions = "xls";
                    var validfileextensions1 = "xlsx";
                    var flag = false;
                    // store the file name into the variable
                    filename = obj.value;
                    // extract and store the file extension into another variable
                    fileextension = filename.substr(filename.length - 3, 3);
                    // check over the valid file extensions to compare them with uploaded file
                    if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                        flag = true;

                    }
                    else {
                        TrinetraCustomAlerts(AlertFileType);
                    }
                }
                function popup_Shown(s, e) {

                    popup.ShowAtPos(s, e);
                }
                function calSelectiondays() {

                    // aspxCalTodayClick('popup_calDriverScheduler');
                    aspxCalClearClick('popup_calDriverScheduler');

                    //var selecteddate = new Date(s.GetSelectedDate());
                    // alert('dfgfgdfg'); return false;
                    //var selectedays = document.getElementById('hdnselectedays').value;

                    //                if (selectedays > 2) {
                    //                    document.getElementById('hdnselectedays').value = 0;
                    //                    selectedays = 0;
                    //                    TrinetraCustomAlerts('Only 2 days can be maintenance days in a month client');
                    //                }
                    //                else {
                    //                    selectedays++;
                    //                    alert(selectedays, selecteddate);
                    //                    document.getElementById('hdnselectedays').value = selectedays;
                    //                    selectedays = selectedays;
                    //                }
                }
                function Sum() {

                    if (document.getElementById("txtCost").value != "" && document.getElementById("txtQuantity").value != "")

                        document.getElementById("txtTotalAmount").value = document.getElementById("txtCost").value * document.getElementById("txtQuantity").value;

                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
