﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VendorMgmt, App_Web_nomsokpt" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton><span>&gt;</span><asp:LinkButton
                                                    ID="lnkVendorMgmt" PostBackUrl="VendorMgmt.aspx" runat="server" Text="Vendor Management"
                                                    OnClick="lnkVendorMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr>
                                                        <td>
                                                            <div>
                                                                <table cellpadding="0" cellspacing="0" border="0" class="ManageGeozoneTableAlign">
                                                                    <tr height="20px">
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddVendor_Click"
                                                                                ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                                            <asp:LinkButton ID="lbtnAddVendor" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                                OnClick="lbtnAddVendor_Click">
                                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="AddVehicle">
                                                                                        <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Add Vendor
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td></td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                                                runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                                                Visible="false" />
                                                                            <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                                                CausesValidation="false" PostBackUrl="~/Forms/VendorVehicleMapping.aspx">
                                                                                <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="SeveritySettings">
                                                                                        <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Vehicle Assignment
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                                                ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                                            <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                                PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                                                <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="Back">
                                                                                        <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Back to Configuration
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVendorInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon" style="padding-top: 5">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" /></span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Vendor Information"></asp:Label></h1>
                                                <table cellspacing="5px" border="0" class="form-tbl">
                                                    <tr style="height: 3px; padding-left: 15px">
                                                        <td colspan="7"></td>
                                                    </tr>
                                                    <tr style="padding-left: 15px; padding-bottom: 25px">
                                                        <td style="height: 8px; padding-left: 35px"></td>
                                                        <td style="vertical-align: top; padding-top: 2px">
                                                            <asp:Label ID="lblVName" runat="server" Text="Vendor Name" CssClass="label"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td style="vertical-align: top">
                                                            <asp:TextBox ID="txtVenName" MaxLength="49" onkeypress="return chkDescription(event,this,49);"
                                                                TabIndex="1" runat="server" CssClass="textboxcss"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="rfvVehName" ValidationGroup="vgVeh" ControlToValidate="txtVenName"
                                                                ErrorMessage="Vendor name required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblworkorder" runat="server" Text="Work Order" CssClass="label"></asp:Label>
                                                            <span style="color: red">*</span>
                                                            <%-- <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtworkorder" MaxLength="50" runat="server" TextMode="MultiLine" Height="30px"
                                                                onkeypress="return chkDescription(event,this,49);" TabIndex="2" CssClass="textboxcss"></asp:TextBox>
                                                            <%--<asp:RequiredFieldValidator ID="rfvVin" ValidationGroup="vgVeh" ControlToValidate="txtVIN"
                                                            ErrorMessage="VIN required" Display="None" runat="server"></asp:RequiredFieldValidator>--%>
                                                        </td>

                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td style="padding-top: 2px">
                                                            <asp:Label ID="lblcontractfrom" runat="server" Text="Contract Period From"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtcontractfrom" runat="server" onkeypress="return false" onpaste="return false"
                                                                CssClass="date" TabIndex="3" Width="150"></asp:TextBox>
                                                            <%--<cc1:CalendarExtender ID="calFromdate" runat="server" CssClass="cal_Theme1" TargetControlID="txtInsuranceDate"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblContractTo" runat="server" Text="Contract Period To"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtContractTo" runat="server" onkeypress="return false" onpaste="return false"
                                                                CssClass="date" Width="150" TabIndex="4"></asp:TextBox>
                                                            <%--<cc1:CalendarExtender ID="calPermit" runat="server" CssClass="cal_Theme1" TargetControlID="txtPermitExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                        </td>

                                                        <td rowspan="5"></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblDHT" runat="server" Text="Duty Hours" CssClass="label"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlDHT" runat="server" TabIndex="5" Width="150px">
                                                                <asp:ListItem Text="12" Value="12"></asp:ListItem>
                                                                <asp:ListItem Text="24" Value="24"></asp:ListItem>
                                                            </asp:DropDownList>
                                                            &nbsp;
                                                        </td>
                                                        <td></td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblKmMonth" runat="server" Text="Monthly Distance (Kms)" CssClass="label"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtKmMonth" MaxLength="10" onkeypress="return chkNumeric_only(event);"
                                                                TabIndex="6" runat="server" CssClass="textboxcss"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="rfvKmMonth" ValidationGroup="vgVeh" ControlToValidate="txtKmMonth"
                                                                ErrorMessage="Fixed Km / Month required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblFixRateMonth" runat="server" Text="Monthly Rate (INR)"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtFixRateMonth" runat="server" oncopy="return false" TabIndex="7"
                                                                CssClass="textboxcss" ondrop="return false" onpaste="return false" MaxLength="10"
                                                                onkeypress="return chkDecNums(event, this);" />
                                                        </td>
                                                        <td></td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblExtraCostHR" runat="server" Text="Cost / Extra Hour (INR)"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtExtraCostHR" runat="server" onkeypress="return chkDecNums(event, this);"
                                                                CssClass="textboxcss" MaxLength="10" onpaste="return false" TabIndex="8"></asp:TextBox>
                                                        </td>
                                                        <%--<cc1:CalendarExtender ID="calFCExpired" runat="server" CssClass="cal_Theme1" TargetControlID="txtFcExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblLitKM" runat="server" Text="Mileage (Kms)"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtLitKM" runat="server" onpaste="return false" onkeypress="return chkNumeric_only(event);"
                                                                TabIndex="9" CssClass="textboxcss" MaxLength="10"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblExtraCostKM" runat="server" Text="Cost / Extra Km (INR)"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtExtraCostKM" runat="server" oncopy="return false" TabIndex="10"
                                                                CssClass="textboxcss" ondrop="return false" onpaste="return false" MaxLength="10"
                                                                onkeypress="return chkDecNums(event, this);" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblFuelcostlit" runat="server" Text="Fuel Cost / Litre"></asp:Label>
                                                            <span style="color: red">*</span>
                                                            <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtFuelcostlit" runat="server" onpaste="return false" onkeypress="return chkDecNums(event, this);"
                                                                CssClass="textboxcss" MaxLength="10" TabIndex="11"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClick="lnkLegend_Click"
                                                                TabIndex="12" ImageUrl="~/images/btn-manage-notification.jpg"
                                                                Visible="false" />
                                                            <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                OnClientClick="return calSelectiondays();ShowPopUp();" OnClick="btnLegend_Click">
                                                                <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                    <div class="ManageNotification">
                                                                        <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Manage Maintenance Days
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            <%--<asp:Label ID="lblMainDays" runat="server" Text="Maintenance Days"></asp:Label>
                                                        <span style="color: red">*</span>--%>
                                                        </td>
                                                        <td>
                                                            <%--<asp:Calendar ID="Calendar1" runat="server" Width="220px" Height="100px"></asp:Calendar>--%>
                                                            <%--<asp:LinkButton ID="lnkLegend" runat="server" Text="Select / View" OnClick="lnkLegend_Click"
                                                            OnClientClick="ShowPopUp();"></asp:LinkButton>--%>
                                                        </td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 5px;"></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                        <td colspan="3"></td>
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left"></td>
                                                        <td></td>
                                                        <td valign="top">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                            ValidationGroup="vgVeh" TabIndex="14" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                            OnClick="ibtnUpdateVendor_Click" Visible="false" />
                                                                        <asp:LinkButton ID="ibtnUpdateVendor" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                            CausesValidation="false" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                            OnClick="ibtnUpdateVendor_Click">
                                                                            <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Update">
                                                                                    <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Update
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        <asp:ImageButton ID="ibtnAddVendor1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                            ValidationGroup="vgVeh" TabIndex="13" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                            OnClick="ibtnAddVendor_Click" Visible="false" />
                                                                        <asp:LinkButton ID="ibtnAddVendor" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                            TabIndex="13" OnClientClick="return ValidateVendorInfo(true,true,true);" OnClick="ibtnAddVendor_Click">
                                                                            <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Save">
                                                                                    <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        <%--  </td>
                                                                <td>--%>&nbsp;
                                                                    <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false" TabIndex="15" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                        <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                            CausesValidation="false">
                                                                            <%--OnClientClick="return ClearData();"--%>
                                                                            <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Cancel">
                                                                                    <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Cancel
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>&nbsp;
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                </table>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                                <div id="grid-dsply">
                                                    <div id="top">
                                                        <%--<div class="left-col" visible="false">
                                                 <span class="txtAlign">
                                                    <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                    &nbsp;</span><span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" Width="130px"
                                                            ShowImageInEditBox="false" ClientInstanceName="ddlFleet" SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            AutoPostBack="true">
                                                            <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                        </dxw:ASPxComboBox>
                                                    </span> 
                                            </div>--%>
                                                        <div class="right-col">
                                                            <span class="dropdown">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp;<span class="txt">
                                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                    <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <dxw:ASPxGridView ID="gvVendor" runat="server" Width="100%" EnableViewState="true" KeyFieldName="VendorId"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvVendor_OnHtmlRowCreated" OnDataBinding="gvVendor_DataBinding">
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="0"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblVendorNameCaption" runat="server" Text="Vendor Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="WorkOrder" Caption="Work Order" VisibleIndex="1"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblWrkOdrCaption" runat="server" Text="Work Order"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="ContractFrom" Caption="Contract From" VisibleIndex="2"
                                                                Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/calendar-rht-icon.gif" alt="" title="" align="middle" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Contract From"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="ContractTo" Caption="Contract To" VisibleIndex="3"
                                                                Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Contract To"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="DutyHourType" Caption="maintenance Days" VisibleIndex="4"
                                                                Width="10%" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-model-name.gif" alt="" title="" align="middle" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblMDaysCaption" runat="server" Text="maintenance Days"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%-- --%>
                                                                    <asp:LinkButton ID="lnkLegend" runat="server" Text="View maintenance Days" OnClick="lnkLegend_Click"
                                                                        OnClientClick="return calSelectiondays();ShowPopUp();" CommandArgument='<%# Eval("VendorId") %>'></asp:LinkButton>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="5" CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVendor_click" CommandArgument='<%# Eval("VendorId") %>'
                                                                        Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" Width="3%" Name="Edit" CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("VendorId") %>'
                                                                        OnClientClick="return ShowPopUp();" OnClick="btnUpdateVendor_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <%--Delete();--%>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                        CommandArgument='<%#Eval("VendorId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Vendors details found" />
                                                        <SettingsBehavior AllowFocusedRow="false" />
                                                    </dxw:ASPxGridView>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVendor"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\f0\fs20                                                                                      \b\f1\fs28 Vendor Details    \par
\par
\par
}
"
                                                        DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                        <Styles>
                                                            <Default VerticalAlign="Middle">
                                                            </Default>
                                                            <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                                ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                            </Header>
                                                            <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                                ForeColor="Black">
                                                            </Cell>
                                                        </Styles>
                                                        <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                            <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                        </PageHeader>
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </asp:Panel>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVendor" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVendor" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="btnAddNotifictions" />
                    <%--<asp:PostBackTrigger ControlID="gvVendor_cell3_4_lnkLegend" /> --%>
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                <ContentTemplate>
                    <dxw:ASPxPopupControl ID="popup" ClientInstanceName="popup" runat="server" Width="525px" Height="80px" AllowDragging="True"
                        Border-BorderColor="#99BBE8" BackColor="#DFE9F5" EnableDefaultAppearance="False" ShowCloseButton="true" CloseAction="CloseButton"
                        PopupHorizontalAlign="OutsideLeft" Top="150" HeaderText="Note: Maximum of 2 days can be selected for Maintenance Days in a Month"
                        HeaderStyle-Font-Bold="true" HeaderStyle-BackColor="#DFE9F5" LoadContentViaCallback="OnFirstShow">
                        <ClientSideEvents Init="function(s,e) { popup.BringToFront(); }" />
                        <ContentStyle CssClass="content">
                        </ContentStyle>
                        <ContentCollection>
                            <dxw:PopupControlContentControl runat="server">
                                <%--<asp:Panel runat="server" ID="pnlInfoWindow" Style="width: 100%; background-color: #DFE9F5;">
                                    <table cellpadding="0" cellspacing="0" width="99%" class="popup">
                                        <tr>
                                            <td id="NotificationPnltopl" runat="server" class="top-l">&nbsp;
                                            </td>
                                            <td class="top-m">&nbsp;
                                            </td>
                                            <td id="NotificationPnltopr" runat="server" class="top-r">&nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="NotificationPnlLeft" runat="server" class="left">&nbsp;
                                            </td>
                                            <td>
                                                <div class="top">
                                                    <h1>
                                                        <div style="width: 15px; height: 15px; background-color: #2F5084; padding-right: 5px; float: left">
                                                        </div>
                                                        &nbsp;<asp:Label runat="server" ID="lblinfopnl" Text="Maintenance Days" Width="100px"></asp:Label>
                                                        <h1></h1>
                                                        <div class="clear clearfix">
                                                        </div>
                                                        <h1></h1>
                                                        <h1></h1>
                                                        <h1></h1>
                                                    </h1>
                                                </div>--%>
                                <div class="popup-content">
                                    <table class="form-tbl" width="100%" border="0" cellspacing="0" cellpadding="0">
                                        <tr>
                                            <td style="padding: 0px; margin: 0px;">
                                                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                                    <tr>
                                                        <td style="line-height: 150%">
                                                            <%-- <asp:Label ID="lblDayLightText" runat="server" Text="Info"></asp:Label>--%>
                                                            <dxw:ASPxCalendar ID="calDriverScheduler" runat="server" OnDayCellPrepared="dxDriver_DayRender"
                                                                ShowClearButton="true" ShowTodayButton="true" ShowWeekNumbers="False" Font-Size="8pt"
                                                                Font-Names="Arial" ForeColor="#07519A" ClientInstanceName="calDriverScheduler" EnableDefaultAppearance="false"
                                                                EnableMultiSelect="True" SkinID="None" EnableViewState="False" BackColor="White" Width="100%"
                                                                OnSelectionChanged="calDriverScheduler_SelectionChanged" OnDataBinding="calDriverScheduler_DataBinding"
                                                                OnLoad="calDriverScheduler_Load" AutoPostBack="false" OnUnload="calDriverScheduler_Unload">
                                                                <ButtonStyle BackColor="#EBF3FB" Font-Names="Arial" Cursor="pointer">
                                                                    <HoverStyle BackColor="#E2ECF8" />
                                                                    <PressedStyle BackColor="#C4DCF4" />
                                                                    <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                </ButtonStyle>
                                                                <PrevMonthImage Height="17px" Width="19px" AlternateText="Previous month" Url="../images/leftSingleArrow.png" />
                                                                <NextMonthImage Height="17px" Width="19px" AlternateText="Next  month" Url="../images/rightSingleArrow.png" />
                                                                <BorderRight BorderStyle="None" />
                                                                <DayHeaderStyle Font-Size="12pt" ForeColor="#51A8DF">
                                                                    <BorderBottom BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    <BorderRight BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                </DayHeaderStyle>
                                                                <MonthGridPaddings Padding="0px" />
                                                                <Border BorderStyle="Solid" BorderColor="#AACCEE" BorderWidth="1px" />
                                                                <NextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightDoubleArrow.png" />
                                                                <HeaderStyle Spacing="5px" HorizontalAlign="Center" Font-Size="16pt" BackColor="#EBF3FB"
                                                                    ForeColor="#51A8DF">
                                                                    <Paddings PaddingTop="3px" PaddingRight="5px" PaddingBottom="3px" PaddingLeft="5px" />
                                                                    <BackgroundImage Repeat="RepeatX" VerticalPosition="bottom" ImageUrl="../images/headerBg.png" />
                                                                    <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    <BorderTop BorderStyle="None" />
                                                                    <BorderLeft BorderStyle="None" />
                                                                </HeaderStyle>
                                                                <FastNavFooterStyle Spacing="5px" HorizontalAlign="Center" BackColor="#EBF3FB">
                                                                    <Paddings Padding="10px" />
                                                                    <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    <BorderTop BorderStyle="None" />
                                                                </FastNavFooterStyle>
                                                                <WeekNumberStyle ForeColor="#51A8DF">
                                                                </WeekNumberStyle>
                                                                <FastNavMonthStyle Font-Italic="False" Cursor="pointer">
                                                                    <Paddings PaddingTop="5px" PaddingRight="2px" PaddingBottom="5px" PaddingLeft="2px" />
                                                                    <HoverStyle BackColor="#E2ECF8">
                                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    </HoverStyle>
                                                                    <SelectedStyle BackColor="#C4DCF4" />
                                                                </FastNavMonthStyle>
                                                                <DayOtherMonthStyle ForeColor="#C9DEF4">
                                                                    <BackgroundImage ImageUrl="../images/otherMonthDayBg.png" />
                                                                </DayOtherMonthStyle>
                                                                <PrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftDoubleArrow.png" />
                                                                <DayStyle VerticalAlign="Top" Cursor="default">
                                                                    <Paddings Padding="3px" />
                                                                    <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    <BorderTop BorderStyle="None" />
                                                                    <BorderLeft BorderStyle="None" />
                                                                </DayStyle>
                                                                <FastNavPrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftSingleArrow.png" />
                                                                <FastNavYearStyle Cursor="pointer">
                                                                    <Paddings PaddingTop="2px" Padding="4px" />
                                                                    <HoverStyle BackColor="#E2ECF8">
                                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                    </HoverStyle>
                                                                    <SelectedStyle BackColor="#C4DCF4" />
                                                                </FastNavYearStyle>
                                                                <BorderBottom BorderStyle="None" />
                                                                <FastNavNextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightSingleArrow.png" />
                                                                <DaySelectedStyle BackColor="#E2ECF8" />
                                                                <FastNavStyle MonthYearSpacing="8px" HorizontalAlign="Center" VerticalAlign="Top"
                                                                    Font-Size="12pt" Font-Bold="False" BackColor="#EBF3FB" ImageSpacing="12px">
                                                                    <Paddings Padding="10px" />
                                                                    <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                                </FastNavStyle>
                                                                <%--<ClientSideEvents SelectionChanged="function(s, e) {calSelectiondays(s,e);}" />--%>
                                                                <%--<SettingsLoadingPanel Enabled="true" />--%>
                                                            </dxw:ASPxCalendar>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <h1>
                                                    <div style="width: 15px; height: 15px; background-color: #2F5084; padding-right: 5px; float: left">
                                                    </div>
                                                    &nbsp;
                                                    <asp:Label runat="server" ID="lblinfopnl" Text="Maintenance Days"></asp:Label>
                                                </h1>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <%--</td>
                                            <td id="NotificationPnlRight" runat="server" class="right">&nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="NotificationPnlbottoml" runat="server" class="bottom-l">&nbsp;
                                            </td>
                                            <td class="bottom-m">&nbsp;
                                            </td>
                                            <td id="NotificationPnlbottomr" runat="server" class="bottom-r">&nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>--%>
                            </dxw:PopupControlContentControl>
                        </ContentCollection>
                        <Border BorderColor="#99BBE8" />
                    </dxw:ASPxPopupControl>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script type="text/javascript" src="../js/myformvalidations.js"></script>

            <script type="text/javascript" src="../js/FormValidations.js"></script>

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>

            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>

            <script type="text/javascript">

                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);

                }
                function popup_Shown(s, e) {

                    popup.ShowAtPos(s, e);
                }
                function calSelectiondays() {

                    // aspxCalTodayClick('popup_calDriverScheduler');
                    aspxCalClearClick('popup_calDriverScheduler');

                    //var selecteddate = new Date(s.GetSelectedDate());
                    // alert('dfgfgdfg'); return false;
                    //var selectedays = document.getElementById('hdnselectedays').value;
                    //                if (selectedays > 2) {
                    //                    document.getElementById('hdnselectedays').value = 0;
                    //                    selectedays = 0;
                    //                    TrinetraCustomAlerts('Only 2 days can be maintenance days in a month client');
                    //                }
                    //                else {
                    //                    selectedays++;
                    //                    alert(selectedays, selecteddate);
                    //                    document.getElementById('hdnselectedays').value = selectedays;
                    //                    selectedays = selectedays;
                    //                }
                }

            </script>

        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
