﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_AMSMgmt, App_Web_b3oa0bmv" enableeventvalidation="false" %>

<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkVendorMgmt" PostBackUrl="AMS_TypeMstr.aspx" runat="server" Text="Accident Master"
                                                    OnClick="lnkVendorMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddType_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                    </div>
                                    <asp:Panel ID="pnlType" runat="server">
                                        <asp:Panel ID="pnlTypeInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Accident Information"></asp:Label>
                                                </h1>
                                                <div class="form-tbl padding-sm-lrt">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <div class="col-sm-2 icon-img padding-width-sm">
                                                                <asp:Label ID="lblVName" runat="server" Text="Accident Type" CssClass="label"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 col-md-2 padding-width-sm">
                                                                <asp:TextBox ID="txtAccitype" MaxLength="49" onkeypress="return chkDescription(event,this,49);"
                                                                    TabIndex="1" runat="server" CssClass="form-control"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 icon-img padding-width-sm">
                                                                <asp:Label ID="lblAcciDesc" runat="server" Text="Accident Type Description"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 col-md-2 padding-width-sm">
                                                                <asp:TextBox ID="txtAcciDesc" runat="server" oncopy="return false" TabIndex="7" CssClass="form-control"
                                                                    ondrop="return false" onpaste="return false" MaxLength="149" onkeypress="return chkDescription(event,this,149);" />
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="ReasonGrpddl" runat="server" visible="false">
                                                            <div class="col-sm-2 icon-img padding-width-sm">
                                                                <asp:Label ID="lblReasonGrp" runat="server" Text="Accident Reason Type"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 col-md-2 padding-width-sm">
                                                                <asp:DropDownList ID="ddlReasonTyp" runat="server" AutoPostBack="false" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-3 padding-width-sm override-col-width">
                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-2"></div>
                                                            <div class="col-xs-10">
                                                                <asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="14" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                    OnClick="ibtnUpdateType_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateType" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                    CausesValidation="false" OnClientClick="return ValidateAMSInfo();"
                                                                    OnClick="ibtnUpdateType_Click">
                                                                    <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddVendor1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="13" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnSaveType" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                    TabIndex="13" OnClientClick="return ValidateAMSInfo();" OnClick="ibtnSaveType_Click">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                    CausesValidation="false" TabIndex="15" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                    CausesValidation="false">
                                                                    <%--OnClientClick="return ClearData();"--%>
                                                                    <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlAccidentType" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 gridheader">
                                                        <div class="col-sm-5">
                                                            <span class="icon">
                                                                <asp:Image ID="Image2" runat="server" ImageUrl="../images/vehicle-icon.gif" alt="" />
                                                            </span>
                                                            <span class="txt">
                                                                <asp:Label ID="Label3" runat="server" Text="Accident Type"></asp:Label>
                                                            </span>
                                                        </div>
                                                        <div class="col-sm-7">
                                                            <div class="pull-right">
                                                                <span class="txt">
                                                                    <asp:LinkButton ID="lbtnAddType" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                        OnClick="lbtnAddType_Click">
                                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                            <div class="AddVehicle">
                                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Add Accident Type
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click" Visible="false">
                                                                    <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvAccType" runat="server" Width="100%" EnableViewState="true" KeyFieldName="AccidentTypeId"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAccType_OnHtmlRowCreated">
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="AccidentTypeName" Caption="Accident Type" VisibleIndex="0"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblTypeNameCaption" runat="server" Text="Accident Type"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="AccidentTypeDesc" Caption="Accident Type Description"
                                                                VisibleIndex="1" Width="10%" CellStyle-Wrap="True">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblreasonDescCaption" runat="server" Text="Accident Type Description"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="5"
                                                                CellStyle-HorizontalAlign="Center" Visible="false">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVendor_click" CommandArgument='<%# Eval("AccidentTypeId") %>'
                                                                        Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" Width="3%" Name="Edit"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="btnUpdateType" runat="server" CommandArgument='<%# Eval("AccidentTypeId") %>'
                                                                        OnClientClick="return ShowPopUp();" OnClick="btnUpdateType_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                        CommandArgument='<%#Eval("AccidentTypeId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="130" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Accident Type details found" />
                                                        <SettingsBehavior AllowFocusedRow="false" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <div class="clear clearfix"></div>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvAccType"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                    {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Vendor Details\par\par\par}"
                                                    DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                    <Styles>
                                                        <Default VerticalAlign="Middle">
                                                        </Default>
                                                        <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                            ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                        </Header>
                                                        <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                            ForeColor="Black">
                                                        </Cell>
                                                    </Styles>
                                                    <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                        <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                    </PageHeader>
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                            </div>
                                        </asp:Panel>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlAction" runat="server">
                                        <asp:Panel ID="pnlActionGrid" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 gridheader">
                                                        <div class="col-sm-5">
                                                            <span class="icon">
                                                                <asp:Image ID="Image1" runat="server" ImageUrl="../images/vehicle-icon.gif" alt="" />
                                                            </span>
                                                            <span class="txt">
                                                                <asp:Label ID="Label2" runat="server" Text="Accident Corrective Action"></asp:Label>
                                                            </span>
                                                        </div>
                                                        <div class="col-sm-7">
                                                            <div class="pull-right">
                                                                <span class="txt">
                                                                    <asp:LinkButton ID="lnkAddAction" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                        OnClick="lbtnAddAction_Click">
                                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                            <div class="AddVehicle">
                                                                                <div id="Div3" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Add Corrective Action
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvCorctAction" runat="server" Width="100%" EnableViewState="true" KeyFieldName="CorrectiveActionId"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvCorctActionOnHtmlRowCreated">
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="CorrectiveActionName" Caption="Corrective Action Name" VisibleIndex="0"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblTypeNameCaption" runat="server" Text="Corrective Action Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="CorrectiveActionDesc" Caption="Corrective Action Description"
                                                                VisibleIndex="1" Width="10%" CellStyle-Wrap="True">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblTypeDescCaption" runat="server" Text="Corrective Action Description"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="5"
                                                                CellStyle-HorizontalAlign="Center" Visible="false">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVendor_click" CommandArgument='<%# Eval("CorrectiveActionId") %>'
                                                                        Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" Width="3%" Name="Edit"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="btnUpdateCrct" runat="server" CommandArgument='<%# Eval("CorrectiveActionId") %>'
                                                                        OnClientClick="return ShowPopUp();" OnClick="btnUpdateCrct_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <%--Delete();--%>
                                                                    <asp:LinkButton ID="lbtnDeleteCrct" runat="server" OnClientClick="return ShowPopUp();"
                                                                        CommandArgument='<%#Eval("CorrectiveActionId") %>' OnClick="lbtnDeleteCrct_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="130" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Accident Corrective Action details found" />
                                                        <SettingsBehavior AllowFocusedRow="false" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                        </asp:Panel>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlAccReason" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-xs-12 gridheader">
                                                    <div class="col-sm-5">
                                                        <span class="icon">
                                                            <asp:Image ID="Image3" runat="server" ImageUrl="../images/vehicle-icon.gif" alt="" />
                                                        </span>
                                                        <span class="txt">
                                                            <asp:Label ID="Label4" runat="server" Text="Accident Reasons"></asp:Label>
                                                        </span>
                                                    </div>
                                                    <div class="col-sm-7">
                                                        <div class="pull-right">
                                                            <span class="txt">
                                                                <asp:LinkButton ID="lnkReasons" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                    OnClick="lbtnAddReason_Click">
                                                                    <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                        <div class="AddVehicle">
                                                                            <div id="Div4" runat="server" class="MultilingualBtnTextAlign">
                                                                                Add Accident Reasons
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvAccReason" runat="server" Width="100%" EnableViewState="true" KeyFieldName="AccidentReasonId"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAccReasonOnHtmlRowCreated">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="AccidentReasonName" Caption="Accident Reason Name" VisibleIndex="0"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTypeNameCaption" runat="server" Text="Accident Reason Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="AccidentReasonDesc" Caption="Accident Reason Description"
                                                            VisibleIndex="1" Width="10%" CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTypeDescCaption" runat="server" Text="Accident Reason Description"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="AccidentReasonGroupName" Caption="Accident Reason Group"
                                                            VisibleIndex="2" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTypeDescCaption" runat="server" Text="Accident Reason Group"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="5"
                                                            CellStyle-HorizontalAlign="Center" Visible="false">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVendor_click" CommandArgument='<%# Eval("AccidentReasonId") %>'
                                                                    Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>

                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" Width="3%" Name="Edit"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnUpdateReasn" runat="server" CommandArgument='<%# Eval("AccidentReasonId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnUpdateReasn_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--Delete();--%>
                                                                <asp:LinkButton ID="lbtnDeleteReasn" runat="server" OnClientClick="return ShowPopUp();"
                                                                    CommandArgument='<%#Eval("AccidentReasonId") %>' OnClick="lbtnDeleteReasn_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="130" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Accident Corrective Action details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />

                                                </dxw:ASPxGridView>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left"></div>
                            <div class="clear clearfix"></div>
                        </div>
                        <div id="right"></div>
                        <div class="clear clearfix"></div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" CssClass="ControlHide" Text="Test" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnSaveType" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateType" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%--<asp:PostBackTrigger ControlID="gvVendor_cell3_4_lnkLegend" /> --%>
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                function ValidateAMSInfo() {
                    var isError = false;
                    var alertMessage = '';
                    var Name = document.getElementById('txtAccitype');
                    var Desc = document.getElementById('txtAcciDesc');
                    var DescMsg = document.getElementById('lblAcciDesc').innerHTML.toString();
                    var NameMsg = document.getElementById('lblVName').innerHTML.toString();
                    if (RemoveSpaces(Name).length == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Enter ' + NameMsg;
                    }
                    if (RemoveSpaces(Desc).length == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Enter ' + DescMsg;
                    }
                    if (isError) {
                        TrinetraCustomAlerts(alertMessage);
                        return false;
                    }
                    else {
                        return true;
                    }
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
