﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_AuditTrail, App_Web_s0rgnh11" enableeventvalidation="false" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dxT" %>--%>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Audit trail Settings</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScmAudittrail" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="upAudittrail" runat="server">
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%--<asp:PostBackTrigger ControlID="btnExport" />--%>
                </Triggers>
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Do not delete 'btnTest' Button -->
                                <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" OnClick="btnTest_Click" />
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="AuditTrail.aspx"><asp:Label ID="lblManageCaption" Text="Audit Trail Settings"
                                                        runat="server"></asp:Label></a></span><%--<span>&gt;</span><span><a href="ConfigurationSetup.aspx">User 
                                            Groups</a></span>--%>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right Pull-Right-BottomPadding">
                                                <div class="pull-right btn-wrap">

                                                    <asp:HyperLink ID="btnBack1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlAuditTrailInformations" runat="server">
                                            <%--CssClass="ControlShowSendCommands"--%>
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon txt">
                                                        <asp:Image runat="server" ID="imgAuditTrailInformation" ImageUrl="../images/icn-manage-AuditTrial.gif" />
                                                        <asp:Label ID="lblAuditPanelCaption" runat="server" Text="Audit Trail Settings"></asp:Label></span>
                                                </h1>
                                                <div id="grid-dsply">
                                                    <div class="fleetContent">

                                                        <asp:HiddenField ID="hdnSelectedTablesList" runat="server" />
                                                        <asp:HiddenField ID="hdnSelectedColumnsListInsert" runat="server" />
                                                        <asp:HiddenField ID="hdnSelectedColumnsListUpdate" runat="server" />
                                                        <asp:HiddenField ID="hdnSelectedColumnsListDelete" runat="server" />
                                                        <div class="table-responsive">
                                                            <asp:GridView ID="gvTablesList" runat="server" AllowPaging="False" AllowSorting="False"
                                                                AutoGenerateColumns="False" BackColor="#CCCCCC" CellPadding="0" CellSpacing="1"
                                                                GridLines="None" OnRowDataBound="gvTablesList_RowDataBound" Width="100%" ClientIDMode="AutoID">
                                                                <Columns>
                                                                    <asp:TemplateField>
                                                                        <HeaderTemplate>
                                                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td>&nbsp;&nbsp;&nbsp;
                                                                                    </td>
                                                                                    <td style="width: 5%;">
                                                                                        <asp:CheckBox ID="chkTables" runat="server" TabIndex="3" onclick="SelectAllTables(this.checked);" ClientIDMode="AutoID" />
                                                                                    </td>
                                                                                    <td style="width: 94%;">
                                                                                        <asp:Label ID="lblTablesList" runat="server" Text="Tables"></asp:Label>
                                                                                        &nbsp;
                                                                                            <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td>
                                                                                        <img id="imgExpandCollapse" runat="server" onclick="ExpandOrCollapse_AuditTrail(this.id);" src="../images/gvCollapsedButton.png" />
                                                                                    </td>
                                                                                    <td style="width: 5%;">
                                                                                        <asp:CheckBox ID="chkTableID" runat="server" TabIndex="3" ClientIDMode="AutoID"
                                                                                            onclick="SelectOrUnSelectHeader_AuditTrail(this.id, this.checked);UnCheckColumns(this.id, this.checked);" />
                                                                                        <asp:HiddenField ID="hdnTableID" runat="server" Value='<%# Eval("TableId") %>' />
                                                                                    </td>
                                                                                    <td style="width: 60%;">Table :&nbsp;
                                                                                                <asp:Label ID="lblTableName" runat="server" Text='<%# Eval("TableName") %>'></asp:Label>
                                                                                    </td>
                                                                                    <td style="width: 40%;">Module :&nbsp;
                                                                                                <asp:Label ID="lblTriModuleName" runat="server" Text='<%# Eval("ModuleName") %>'></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr id="trColumnsList" runat="server" class="ControlHide" style="padding-bottom: 5px">
                                                                                    <td></td>
                                                                                    <td colspan="3" style="margin: 0px; padding: 0px">
                                                                                        <asp:GridView ID="gvColumnsList" runat="server" AllowPaging="False" AllowSorting="False"
                                                                                            AutoGenerateColumns="False" BackColor="#CCCCCC" CellPadding="0" CellSpacing="1"
                                                                                            GridLines="None" OnRowDataBound="gvColumnsList_RowDataBound" Width="100%">
                                                                                            <Columns>
                                                                                                <%--<asp:TemplateField ItemStyle-Width="5%">
                                                                                                            <ItemTemplate>
                                                                                                                <asp:CheckBox ID="chkColumnCheck" runat="server" onclick="SelectOrUnSelectColumnsHead(this.id, this.checked);" ClientIDMode="AutoID" />
                                                                                                                <asp:HiddenField ID="hdnColumnID" runat="server" Value='<%# Eval("TableId") %>' />
                                                                                                            </ItemTemplate>
                                                                                                            <HeaderTemplate>
                                                                                                                <asp:CheckBox ID="chkSelectAllColumns" runat="server" onclick="SelectAllColumns(this.id,this.checked);" ClientIDMode="AutoID" />
                                                                                                                <asp:Label ID="lblSelect" runat="server" Text="Select the Column(s)" ForeColor="Red"></asp:Label>
                                                                                                            </HeaderTemplate>
                                                                                                            <HeaderStyle HorizontalAlign="Left" />
                                                                                                        </asp:TemplateField>--%>
                                                                                                <asp:BoundField DataField="ColumnName" HeaderText="Column Name" ItemStyle-Width="15%" />
                                                                                                <asp:BoundField DataField="Description" HeaderText="Description" ItemStyle-Width="50%" />
                                                                                                <asp:TemplateField ItemStyle-Width="5%" HeaderText="Insert">
                                                                                                    <ItemTemplate>
                                                                                                        <asp:CheckBox ID="chkColumnInsert" runat="server" onclick="SelectOrUnSelectColumnsHead(this.id, this.checked, 'Insert');" ClientIDMode="AutoID" />
                                                                                                        <asp:HiddenField ID="hdnColumnIDInsert" runat="server" Value='<%# Eval("ColumnId") %>' />
                                                                                                    </ItemTemplate>
                                                                                                    <HeaderTemplate>
                                                                                                        <asp:CheckBox ID="chkSelectAllColumnsInsert" runat="server" onclick="SelectAllColumns(this.id, this.checked, 'Insert');" ClientIDMode="AutoID" />
                                                                                                        <asp:Label ID="lblSelectInsert" runat="server" Text="Insert"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <HeaderStyle HorizontalAlign="Left" />
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField ItemStyle-Width="5%" HeaderText="Update">
                                                                                                    <ItemTemplate>
                                                                                                        <asp:CheckBox ID="chkColumnUpdate" runat="server" onclick="SelectOrUnSelectColumnsHead(this.id, this.checked, 'Update');" ClientIDMode="AutoID" />
                                                                                                        <asp:HiddenField ID="hdnColumnIDUpdate" runat="server" Value='<%# Eval("ColumnId") %>' />
                                                                                                    </ItemTemplate>
                                                                                                    <HeaderTemplate>
                                                                                                        <asp:CheckBox ID="chkSelectAllColumnsUpdate" runat="server" onclick="SelectAllColumns(this.id, this.checked, 'Update');" ClientIDMode="AutoID" />
                                                                                                        <asp:Label ID="lblSelectUpdate" runat="server" Text="Update"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <HeaderStyle HorizontalAlign="Left" />
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField ItemStyle-Width="5%" HeaderText="Delete">
                                                                                                    <ItemTemplate>
                                                                                                        <asp:CheckBox ID="chkColumnDelete" runat="server" onclick="SelectOrUnSelectColumnsHead(this.id, this.checked, 'Delete');" ClientIDMode="AutoID" />
                                                                                                        <asp:HiddenField ID="hdnColumnIDDelete" runat="server" Value='<%# Eval("ColumnId") %>' />
                                                                                                    </ItemTemplate>
                                                                                                    <HeaderTemplate>
                                                                                                        <asp:CheckBox ID="chkSelectAllColumnsDelete" runat="server" onclick="SelectAllColumns(this.id, this.checked, 'Delete');" ClientIDMode="AutoID" />
                                                                                                        <asp:Label ID="lblSelectDelete" runat="server" Text="Delete"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <HeaderStyle HorizontalAlign="Left" />
                                                                                                </asp:TemplateField>
                                                                                            </Columns>
                                                                                            <EmptyDataTemplate>
                                                                                                No Columns found.
                                                                                            </EmptyDataTemplate>
                                                                                            <RowStyle CssClass="fleetCon" />
                                                                                            <FooterStyle CssClass="fleetFoot" />
                                                                                            <AlternatingRowStyle CssClass="fleetConalt" />
                                                                                            <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                                            <HeaderStyle CssClass="fleetHead" />
                                                                                            <EmptyDataRowStyle CssClass="fleetHead" />
                                                                                        </asp:GridView>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </ItemTemplate>
                                                                    </asp:TemplateField>
                                                                </Columns>
                                                                <EmptyDataTemplate>
                                                                    No Tables found.
                                                                </EmptyDataTemplate>
                                                                <RowStyle CssClass="fleetCon" />
                                                                <FooterStyle CssClass="fleetFoot" />
                                                                <AlternatingRowStyle CssClass="fleetConalt" />
                                                                <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                <HeaderStyle CssClass="fleetHead" />
                                                                <EmptyDataRowStyle CssClass="fleetHead" />
                                                            </asp:GridView>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12 form-box NullPadding">
                                                        <div class="col-sm-12 form-group NullPadding">
                                                            <div class="col-sm-2 caption" style="padding-top: 10px">
                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4" style="padding-top: 10px">
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-12 form-group NullPadding">
                                                            <div class="col-sm-2 caption">
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:LinkButton ID="btnSaveAuditTrail" runat="server" CssClass="MultilingualBtn" OnClick="btnSaveAuditTrail_Click"
                                                                    OnClientClick="return ValidateAuditTrailInformation(true);">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveAuditTrailButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:LinkButton ID="btnEditAuditTrail" runat="server" CssClass="MultilingualBtn" OnClick="btnEditAuditTrail_Click"
                                                                    OnClientClick="return ValidateAuditTrailInformation(true);">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="EditAuditTrailButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:LinkButton ID="btnCancelAuditTrail" runat="server" CssClass="MultilingualBtn"
                                                                    OnClick="btnCancelAuditTrail_Click">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="CancelAuditTrailDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <asp:Panel ID="pnlAuditTrailDetails" runat="server" CssClass="ControlShowSendCommands">
                                            <%--<div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="txt" id="userGrpDetails" runat="server">User Group Details</span>
                                                    </div>
                                                    <div class="right-col">
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span>&nbsp;<span class="txt">
                                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                OnClick="btnExport_Click" Visible="false" />
                                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Export">
                                                                        <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Export
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>
                                                    </div>
                                                </div>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvAuditTrailDetails"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                    \viewkind4\uc1\pard\qc\b\fs28 User Details\par
                                                                    \pard\par
                                                                    \par
                                                                    }
                                                                    ">
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                                <dxw:ASPxGridView ID="gvAuditTrailDetails" ClientInstanceName="gvAuditTrailDetails"
                                                    KeyFieldName="AuditTrailId" runat="server" EnableTheming="true" Theme="Office2003Blue"
                                                    CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                    Width="100%" AutoGenerateColumns="False" OnHtmlRowCreated="gvAuditTrailDetails_HtmlRowCreated">
                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="TableName" Width="44%" FieldName="TableName"
                                                            VisibleIndex="1">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgTableName" src="../images/icn-AuditTrail-name.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTableName" runat="server" Text="Table Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="TableDescription" Width="46%" FieldName="Description"
                                                            VisibleIndex="2" CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgDescription" src="../images/icn-UserGroup-desc.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblDescription" runat="server" Text="Description"></asp:Label></span>
                                                            </HeaderCaptionTemplate>                                                            
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Insert" Width="8%" VisibleIndex="3">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblInsertCaption" runat="server" Text="Insert"></asp:Label></span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Update" Width="8%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Name="Edit" VisibleIndex="4">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblUpdateCaption" runat="server" Text="Update"></asp:Label></span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="8%">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblDeleteCaption" runat="server" Text="Delete"></asp:Label></span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                    <Settings ShowStatusBar="Auto" ShowFilterRow="false" ShowGroupPanel="false" />
                                                    <SettingsText EmptyDataRow="No Data Identified" />
                                                    <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="true" AllowDragDrop="true"
                                                        AllowGroup="true" AllowFocusedRow="false" />
                                                    <SettingsPager PageSize="10" Mode="ShowPager" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>--%>
                                            <%--<dxT:ASPxTreeList ID="treeList" runat="server" KeyFieldName="ColumnId" ParentFieldName="TableId"
                                                AutoGenerateColumns="False" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue">
                                                <Styles AlternatingNode-Enabled="True" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header SortImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <Columns>
                                                    <dxT:TreeListDataColumn FieldName="TableName" Caption="Name" VisibleIndex="0" />
                                                    <dxT:TreeListDataColumn FieldName="Description" Caption="Description" VisibleIndex="1" />
                                                    <dxT:TreeListCheckColumn FieldName="TableId" Caption="Insert"></dxT:TreeListCheckColumn>
                                                    <dxT:TreeListCheckColumn FieldName="TableId" Caption="Delete"></dxT:TreeListCheckColumn>
                                                    <dxT:TreeListCheckColumn FieldName="TableId" Caption="Update"></dxT:TreeListCheckColumn>
                                                </Columns>
                                                <SettingsBehavior AutoExpandAllNodes="True" ExpandCollapseAction="NodeDblClick" />
                                            </dxT:ASPxTreeList>--%>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>

            <%--<script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>--%>

            <script type="text/javascript" language="javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
