﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ConfigurationSetupCSS, App_Web_ptlzuz3l" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div id="container">
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content">
                                    <div id="heading">
                                        <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                        <h1>Configuration</h1>
                                        <a href="Dashboard.aspx">Home</a><span>&gt;</span><span><a href="ConfigurationSetup.aspx">Configuration
                                        Panel</a></span>
                                    </div>
                                    <div id="control-box">
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <div class="form-box">
                                    <h1>
                                        <span class="icon">
                                            <img src="../images/configurations-icon.gif" />
                                        </span>Configuration Panel</h1>
                                    <asp:UpdatePanel ID="updConfigPanel" runat="server">
                                        <ContentTemplate>
                                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td colspan="3"></td>
                                                </tr>
                                                <tr>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%">
                                                        <div id="divVehicleMgmt" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-vehicle-management.gif" /></span> Vehicle Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="trManageVehicles" runat="server">
                                                                    <td class="label">
                                                                        <a href="VehicleInfo.aspx">
                                                                            <img src="../images/btn-manage-vehicles.jpg" /></a>
                                                                    </td>
                                                                    <td>Create / Update vehicle details
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%">

                                                        <div id="divUserMgmt" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/usermanage-icon.gif" /></span> User Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="trManageUserGroup" runat="server">
                                                                    <td>
                                                                        <a href="UserGroups.aspx">
                                                                            <img src="../images/btn-manage-usergroup.jpg" /></a>

                                                                    </td>
                                                                    <td>Create / Update the User Groups
                                                                    </td>

                                                                </tr>
                                                                <tr id="trGroupAssignment" runat="server">
                                                                    <td class="label">
                                                                        <a href="GroupUserAssignment.aspx">
                                                                            <img src="../images/btn-group-assignment.jpg" /></a>
                                                                    </td>
                                                                    <td>Assign users to the group
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%">
                                                        <div id="div1" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-vendor-management.gif" /></span> Vendor Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="tr1" runat="server">
                                                                    <td class="label">
                                                                        <a href="VendorMaster.aspx">
                                                                            <img src="../images/btn-manage-vendors.jpg" />
                                                                        </a>
                                                                    </td>
                                                                    <td>Create / Update the Vendors
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr2" runat="server">
                                                                    <td>
                                                                        <a href="DriverMaster.aspx">
                                                                            <img src="../images/btn-manage-drivers.jpg" /></a>
                                                                    </td>
                                                                    <td>Create / Update the Drivers
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr3" runat="server">
                                                                    <td>
                                                                        <a href="VehicleAssignment.aspx">
                                                                            <img src="../images/btn-vehicle-assignment.jpg" />
                                                                        </a>
                                                                    </td>
                                                                    <td>Assign the vehicles to the vendors
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr4" runat="server">
                                                                    <td>
                                                                        <a href="VendorRouteAssignment.aspx">
                                                                            <img src="../images/btn-route-assignment.jpg" />
                                                                        </a>
                                                                    </td>
                                                                    <td>Assign the routes to the vendors
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%">
                                                        <div id="div2" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-route-management.gif" /></span> Route Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="tr5" runat="server">
                                                                    <td class="label">
                                                                        <a href="RouteMaster.aspx">
                                                                            <img src="../images/btn-manage-routes.jpg" />
                                                                        </a>
                                                                    </td>
                                                                    <td>Create / Update the Routes
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr6" runat="server">
                                                                    <td>
                                                                        <a href="LocalityMaster.aspx">
                                                                            <img src="../images/btn-manage-localities.jpg" />
                                                                        </a>
                                                                    </td>
                                                                    <td>Create / Update the Localities
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr7" runat="server">
                                                                    <td>
                                                                        <a href="LocalityAssignment.aspx">
                                                                            <img src="../images/btn-locality-assignment.jpg" /></a>
                                                                    </td>
                                                                    <td>Assign the Localities to the Routes.
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="4">&nbsp;
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%" style="vertical-align: top">
                                                        <div id="divOrganizationMgt" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-branch-management.gif" /></span>Branch Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="trManageOrganization" runat="server">
                                                                    <td class="label">
                                                                        <a href="BranchMaster.aspx">
                                                                            <img src="../images/btn-manage-branches.jpg" /></a>

                                                                    </td>
                                                                    <td>Create / Update the Branch Details
                                                                    </td>
                                                                </tr>
                                                                <tr id="tr9" runat="server">
                                                                    <td class="label">
                                                                        <a href="ShiftMaster.aspx">Shift Master</a>

                                                                    </td>
                                                                    <td>Create / Update the shift Details
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="40%" style="vertical-align: top">
                                                        <div id="div3" runat="server" class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-manage-zone.gif" /></span> Zone Management</h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="tr8" runat="server">
                                                                    <td class="label">
                                                                        <a href="ZoneMaster.aspx">
                                                                            <img src="../images/btn-manage-zone.jpg" /></a>
                                                                    </td>
                                                                    <td>Create / Update zone details
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>&nbsp;
                                                    </td>
                                                </tr>
                                            </table>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <!-- Content Ends Here -->
        </div>
        <uc2:Footer ID="Footer1" runat="server" />

    </form>
</body>
</html>
