﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_InvOrderRequest, App_Web_njfubv5l" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Manage Order Request</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/InventoryMgmt.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true" ScriptMode="Release">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton><span>&gt;</span>
                                                <asp:LinkButton ID="lnkItemMgmt" PostBackUrl="InvOrderRequest.aspx" runat="server" Text="Order Request"
                                                    OnClick="lnkItemMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddItem_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddItem" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnAddItem_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Order Request
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                        runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" PostBackUrl="~/Forms/VendorVehicleMapping.aspx" Visible="false">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="SeveritySettings">
                                                                <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Vehicle Assignment
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlItemInfo" runat="server" Visible="false" DefaultButton="ibtnAddItem">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon" style="padding-top: 5">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" /></span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Order Request Details"></asp:Label>
                                                </h1>
                                                <div class="form-tbl padding-sm-lrt">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label2" runat="server" Text="Order Request No"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:Label ID="Label3" runat="server" Text="-Auto Gen-" ForeColor="Red" Font-Italic="true"></asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblOrderDatecap" runat="server" Text="Order Date"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:Label ID="lblOrderDate" runat="server"></asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDueDate" runat="server" Text="Due Date"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-2 col-md-1 padding-width-sm">
                                                                <asp:TextBox ID="txtDueDate1" runat="server" onpaste="return false" AutoComplete="off"
                                                                    TabIndex="1" CssClass="FutureDate form-control" MaxLength="18" Text="0" onkeypress="return CalendarTab(event);"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div id="dvGrid">
                                                                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                                                    <ContentTemplate>
                                                                        <%--<asp:Panel ID="Panel1" runat="server" GroupingText="Order Item Details" DefaultButton="ibtnAdd">
                                                                            </asp:Panel>--%>
                                                                        <div class="panel panel-default override-col-width">
                                                                            <div class="panel-heading padding-sm">
                                                                                <strong>
                                                                                    <span id="lblPolicyName">Order Item Details</span>
                                                                                </strong>
                                                                            </div>
                                                                            <div id="tblOrderEntry" runat="server">
                                                                                <div class="form-tbl padding-sm-lrt">
                                                                                    <div class="">
                                                                                        <div class="form-group">
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblItemType" runat="server" Text="Item Type"></asp:Label>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                                <asp:DropDownList ID="ddlDHT" runat="server" TabIndex="2" AutoPostBack="true"
                                                                                                    CssClass="form-control" OnSelectedIndexChanged="ddlDHT_SelectedIndexChanged">
                                                                                                </asp:DropDownList>
                                                                                            </div>
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblItemname" runat="server" Text="Item Name"></asp:Label>
                                                                                                <span style="color: red">*</span>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                                <asp:TextBox ID="txtItemname" runat="server" MaxLength="149" AutoCompleteType="Disabled" CssClass="form-control"
                                                                                                    onblur="fun_ItemCode(this,'txtItemname');fun_val(this,'txtItemname');" TabIndex="3"></asp:TextBox>
                                                                                                <cc1:AutoCompleteExtender ID="AutoCompleteExtender1" runat="server" BehaviorID="BAutoCompleteExtender1"
                                                                                                    FirstRowSelected="false" ServiceMethod="GetItems" MinimumPrefixLength="1" CompletionInterval="100"
                                                                                                    EnableCaching="false" CompletionSetCount="10" TargetControlID="txtItemname" CompletionListElementID="divItems"
                                                                                                    CompletionListCssClass="autocomplete_completionListElement" CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem"
                                                                                                    CompletionListItemCssClass="autocomplete_listItem" OnClientItemSelected="GetItemNo">
                                                                                                </cc1:AutoCompleteExtender>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="form-group">
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblcapItemcode" runat="server" Text="Item Code"></asp:Label>
                                                                                                <span style="color: red">*</span>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                                <asp:Label ID="lblItemcode" runat="server" />
                                                                                                <%--<asp:TextBox ID="txtItemcode" runat="server" onpaste="return false" CssClass="form-control"
                                                                                                    onkeypress="return CalendarTab(event);" TabIndex="2"></asp:TextBox>--%>
                                                                                                <div id="divItems" style="background-color: White"></div>
                                                                                            </div>
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblunitprice" runat="server" Text="Unit Price"></asp:Label>
                                                                                                <span style="color: red">*</span>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                                <asp:TextBox ID="txtUnitprice" runat="server" onpaste="return false" onkeypress="return CalendarTab(event);"
                                                                                                    MaxLength="18" TabIndex="4" CssClass="form-control"></asp:TextBox>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="form-group">
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblQty" runat="server" Text="Required Qty." CssClass="label"></asp:Label>
                                                                                                <span style="color: red">*</span>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                                <asp:TextBox ID="txtQty" runat="server" onpaste="return false" onkeypress="return chkNumeric_only(event);"
                                                                                                    MaxLength="6" TabIndex="5" CssClass="form-control" onblur="fun_val(this,'txtQty');"></asp:TextBox>
                                                                                            </div>
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblTxAmt" runat="server" Text="Tot Amount (Rs.)"></asp:Label>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                                <asp:TextBox ID="txtTolAmt" runat="server" onpaste="return false" onkeypress="return CalendarTab(event);"
                                                                                                    MaxLength="18" CssClass="form-control" onblur="fun_val(this, 'txtTolAmt')"></asp:TextBox>
                                                                                            </div>
                                                                                            <div>
                                                                                                <asp:HiddenField ID="hdnItemNo" runat="server" />
                                                                                                <asp:HiddenField ID="hdnAvlbQty" runat="server" />
                                                                                                <asp:HiddenField ID="hdnUnitPrice" runat="server" />
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="form-group" id="Tr2" runat="server">
                                                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                                                <asp:Label ID="lblremarks" runat="server" Text="Remarks"></asp:Label>
                                                                                            </div>
                                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                                <asp:TextBox ID="txtremarks" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,249);"
                                                                                                    TabIndex="6" CssClass="form-control" MaxLength="249" TextMode="MultiLine"></asp:TextBox>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="form-group">
                                                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>
                                                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                                            </div>
                                                                                            <div>
                                                                                                &nbsp;<asp:HiddenField ID="hdnTotalAmt" runat="server" Value="0" />
                                                                                                &nbsp;<asp:HiddenField ID="hdnItemsCount" runat="server" Value="0" />
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="form-group">
                                                                                            <div class="col-xs-3"></div>
                                                                                            <div class="col-xs-9">
                                                                                                <asp:LinkButton ID="btnUserReset" runat="server" CssClass="MultilingualBtn" OnClick="btnUserReset_Click"
                                                                                                    CausesValidation="false" TabIndex="8">
                                                                                                    <span id="Span18" runat="server" class="MultilingualBtnspan">
                                                                                                        <div class="Cancel">
                                                                                                            <div id="UserCancelDiv1" runat="server" class="MultilingualBtnTextAlign">
                                                                                                                Reset
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </span>
                                                                                                </asp:LinkButton>
                                                                                                &nbsp; &nbsp;
                                                                                                <asp:LinkButton ID="ibtnAdd" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                                                    TabIndex="7" OnClick="btnAdd_click" OnClientClick="return fun_OdrItemSave();">
                                                                                                    <span id="Span17" runat="server" class="MultilingualBtnspan">
                                                                                                        <div class="AddGeozone">
                                                                                                            <div id="AddLand" runat="server" class="MultilingualBtnTextAlign">
                                                                                                                Add
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </span>
                                                                                                </asp:LinkButton>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-box">
                                                                                <h1>
                                                                                    <asp:Label ID="lblRouteDetails" runat="server" Text="Items Details *"></asp:Label>
                                                                                </h1>
                                                                                <div class="table-responsive">
                                                                                    <asp:GridView ID="GridView1" runat="server" Width="100%" AutoGenerateColumns="false"
                                                                                        Font-Names="Arial" Font-Size="9pt" AlternatingRowStyle-BackColor="#FAFAFA" RowStyle-BackColor="#FFFFFF"
                                                                                        HeaderStyle-BackColor="green" AllowPaging="true" ShowFooter="true" OnRowCancelingEdit="GridView1_RowCancelingEdit"
                                                                                        OnRowEditing="GridView1_RowEditing" OnRowCommand="GridView1_RowCommand" OnRowUpdating="GridView1_RowUpdating"
                                                                                        OnRowDataBound="GridView1_RowDataBound" DataKeyNames="Index" RowStyle-Height="20px"
                                                                                        GridLines="Horizontal" CssClass="asp-gridview-responsive">
                                                                                        <HeaderStyle BackColor="#F2F2F2" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                            Height="25px" Font-Bold="false" />
                                                                                        <Columns>
                                                                                            <asp:TemplateField HeaderText="S.No." HeaderStyle-Font-Bold="false" HeaderStyle-HorizontalAlign="Center">
                                                                                                <ItemTemplate>
                                                                                                    <span>
                                                                                                        <%#Container.DataItemIndex + 1 %>
                                                                                                    </span>
                                                                                                </ItemTemplate>
                                                                                                <ItemStyle HorizontalAlign="Center" Height="18px" VerticalAlign="Middle" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="15%" HeaderText="Item code" HeaderStyle-Font-Bold="false">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblItemcode" runat="server" Text='<%# Eval("Itemcode")%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <%--<asp:TextBox ID="txtItemcode" Width="40px" MaxLength="5" runat="server" Visible="false"></asp:TextBox>--%>
                                                                                                    <asp:Label ID="lblItemcode" runat="server"></asp:Label>
                                                                                                </FooterTemplate>
                                                                                                <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="20%" HeaderText="Item Name">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblItemname" runat="server" Text='<%# Eval("ItemName")%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <EditItemTemplate>
                                                                                                    <asp:TextBox ID="txtItemname" runat="server" Text='<%# Eval("ItemName")%>' Width="180px"
                                                                                                        AutoCompleteType="Disabled" onblur="fun_ItemCode(this,'txtItemname');" MaxLength="149"></asp:TextBox>
                                                                                                    <cc1:AutoCompleteExtender ID="AutoCompleteExtender1" runat="server" BehaviorID="BAutoCompleteExtender1"
                                                                                                        FirstRowSelected="false" ServiceMethod="GetItems" MinimumPrefixLength="1" CompletionInterval="100"
                                                                                                        EnableCaching="false" CompletionSetCount="10" TargetControlID="txtItemname" CompletionListElementID="divItems"
                                                                                                        CompletionListCssClass="autocomplete_completionListElement" CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem"
                                                                                                        CompletionListItemCssClass="autocomplete_listItem" OnClientItemSelected="GetItemNo">
                                                                                                    </cc1:AutoCompleteExtender>
                                                                                                </EditItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <asp:TextBox ID="txtItemname" runat="server" MaxLength="149" Visible="false" Width="180px"
                                                                                                        onblur="fun_ItemCode(this,'txtItemname');" AutoCompleteType="Disabled"></asp:TextBox>
                                                                                                    <cc1:AutoCompleteExtender ID="AutoCompleteExtender1" runat="server" BehaviorID="BAutoCompleteExtender1"
                                                                                                        FirstRowSelected="false" ServiceMethod="GetItems" MinimumPrefixLength="1" CompletionInterval="100"
                                                                                                        EnableCaching="false" CompletionSetCount="10" TargetControlID="txtItemname" CompletionListElementID="divItems"
                                                                                                        CompletionListCssClass="autocomplete_completionListElement" CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem"
                                                                                                        CompletionListItemCssClass="autocomplete_listItem" OnClientItemSelected="GetItemNo">
                                                                                                    </cc1:AutoCompleteExtender>
                                                                                                </FooterTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="10%" HeaderText="Unit Price">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblUnitprice" runat="server" Text='<%# Eval("UnitPrice","{0:#,#0.00}")%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <EditItemTemplate>
                                                                                                    <asp:TextBox ID="txtUnitprice" runat="server" Text='<%# Eval("UnitPrice")%>' Width="110px"
                                                                                                        AutoCompleteType="Disabled" onkeypress="return CalendarTab(event);" MaxLength="18"></asp:TextBox>
                                                                                                </EditItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <asp:TextBox ID="txtUnitprice" runat="server" Visible="false" Width="110px" onkeypress="return CalendarTab(event);"
                                                                                                        MaxLength="18"></asp:TextBox>
                                                                                                </FooterTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="15%" HeaderText="Available Qty" HeaderStyle-Font-Bold="false">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblAvailQty" runat="server" Text='<%# Eval("AvailQty")%>' ForeColor='<%# Eval("AvailQty").ToString()=="0" ? System.Drawing.Color.Red : System.Drawing.Color.Green%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <ItemStyle HorizontalAlign="Center" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="10%" HeaderText="Required Qty">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblOrderQty" runat="server" Text='<%# Eval("ReqQty")%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <EditItemTemplate>
                                                                                                    <asp:TextBox ID="txtOrderQty" runat="server" Text='<%# Eval("ReqQty")%>' Width="70px"
                                                                                                        MaxLength="6" onkeypress="return chkNumeric_only(event);" AutoCompleteType="Disabled"></asp:TextBox>
                                                                                                </EditItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <asp:TextBox ID="txtOrderQty" runat="server" Visible="false" Width="70px" MaxLength="6"
                                                                                                        onkeypress="return chkNumeric_only(event);" AutoCompleteType="Disabled"></asp:TextBox>
                                                                                                </FooterTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle HorizontalAlign="Center" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="10%" HeaderText="Total Amount">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblTotalAmt" runat="server" Text='<%# String.Format("{0:#,#0.00}", Eval("TotalAmt"))%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <EditItemTemplate>
                                                                                                    <asp:Label ID="lblTotalAmt" runat="server" Text='<%# Eval("TotalAmt")%>'></asp:Label>
                                                                                                </EditItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <asp:Label ID="lblTotalAmt" runat="server" Visible="false"></asp:Label>
                                                                                                    <asp:Label ID="lblTotal" runat="server"></asp:Label>
                                                                                                </FooterTemplate>
                                                                                                <FooterStyle HorizontalAlign="Left" />
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="25%" HeaderText="Remarks">
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblRemarks" runat="server" Text='<%# Eval("Remarks")%>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField ItemStyle-Width="7%">
                                                                                                <ItemTemplate>
                                                                                                    <asp:ImageButton ID="lnk_edit" runat="server" AlternateText="Edit" ImageUrl="~/images/icn-edit.gif"
                                                                                                        Visible="false" ToolTip="Click here to Delete" CommandName="Edit" ImageAlign="Middle"
                                                                                                        CssClass="handButton" Style="cursor: pointer" OnClientClick="ShowPopUp();" />
                                                                                                    &nbsp;
                                                                                                <asp:ImageButton ID="btnDelete" runat="server" AlternateText="Delete" CommandArgument='<%#String.Format("{0}-{1}", Eval("Index"),Eval("OrderSno"))%>'
                                                                                                    ImageUrl="~/images/delete-icon.gif" OnClick="btnDeleteLandmark_click" ToolTip="Click here to Delete"
                                                                                                    ImageAlign="Middle" CssClass="handButton" Style="cursor: pointer" OnClientClick="ShowPopUp();" />
                                                                                                </ItemTemplate>
                                                                                                <EditItemTemplate>
                                                                                                    <asp:ImageButton ID="lnk_update" runat="server" AlternateText="Update" ImageUrl="~/images/save-icon.gif"
                                                                                                        ToolTip="Click here to save changes" CommandName="Update" ImageAlign="Middle"
                                                                                                        CssClass="handButton" Style="cursor: pointer" OnClientClick="return fun_ItemSave(this,'lnk_update');" />
                                                                                                    &nbsp;
                                                                                                <asp:ImageButton ID="lnk_Cancel" runat="server" AlternateText="Cancel" ImageUrl="~/images/cancel-icon.gif"
                                                                                                    ToolTip="Click here to cancel" CommandName="Cancel" ImageAlign="Middle" CssClass="handButton"
                                                                                                    Style="cursor: pointer" OnClientClick="ShowPopUp();" />
                                                                                                </EditItemTemplate>
                                                                                                <FooterTemplate>
                                                                                                    <asp:LinkButton ID="lnk_addnew" runat="server" CommandName="addnew" Visible="false">Add Item</asp:LinkButton>
                                                                                                    <asp:ImageButton ID="lnk_Save" runat="server" AlternateText="save" Visible="false"
                                                                                                        ImageUrl="~/images/save-icon.gif" ToolTip="Click here to save" CommandName="save"
                                                                                                        ImageAlign="Middle" CssClass="handButton" Style="cursor: pointer" OnClientClick="return fun_ItemSave(this,'lnk_Save');" />
                                                                                                    &nbsp;
                                                                                                <asp:ImageButton ID="lnk_Cancel" runat="server" AlternateText="Cancel" Visible="false"
                                                                                                    ImageUrl="~/images/cancel-icon.gif" ToolTip="Click here to cancel" CommandName="Cancel"
                                                                                                    ImageAlign="Middle" CssClass="handButton" Style="cursor: pointer" OnClientClick="ShowPopUp();" />
                                                                                                </FooterTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                    Font-Bold="false" />
                                                                                                <ItemStyle VerticalAlign="Middle" HorizontalAlign="Center" Height="18px" />
                                                                                            </asp:TemplateField>
                                                                                        </Columns>
                                                                                        <FooterStyle CssClass="PageFooter" />
                                                                                        <EmptyDataTemplate>
                                                                                            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                                                                                <tr style="background-color: #F2F2F2; height: 20px; vertical-align: middle">
                                                                                                    <td>No Records Found.
                                                                                                    </td>
                                                                                                </tr>
                                                                                            </table>
                                                                                        </EmptyDataTemplate>
                                                                                    </asp:GridView>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </ContentTemplate>
                                                                    <Triggers>
                                                                        <asp:AsyncPostBackTrigger ControlID="GridView1" />
                                                                    </Triggers>
                                                                </asp:UpdatePanel>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="lblCmts" runat="server" Text="Comments"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtComnts" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,299);"
                                                                    TabIndex="9" CssClass="form-control" MaxLength="299" Text="0" TextMode="MultiLine"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trAprov" runat="server">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label4" runat="server" Text="Status"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4 padding-width-sm radiobtnlst">
                                                                <asp:RadioButtonList ID="RadioButtonList1" runat="server" RepeatDirection="Horizontal" TabIndex="10">
                                                                    <asp:ListItem Selected="True" Text="Pending" Value="P"></asp:ListItem>
                                                                    <asp:ListItem Text="Approve" Value="A"></asp:ListItem>
                                                                    <asp:ListItem Text="Reject/Cancel" Value="R"></asp:ListItem>
                                                                    <%-- <asp:ListItem  Text="Closed"  Value="C"></asp:ListItem>--%>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-xs-9">
                                                                <asp:LinkButton ID="ibtnUpdateItem" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                    TabIndex="12" CausesValidation="false" OnClientClick="return OrderSave();" OnClick="ibtnUpdateItem_Click">
                                                                    <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:LinkButton ID="ibtnAddItem" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                    TabIndex="11" OnClientClick="return OrderSave();" OnClick="ibtnAddItem_Click">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                &nbsp; &nbsp; &nbsp;
                                                                    <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false" TabIndex="13">
                                                                        <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                            <div class="AlignControl" id="divLegend" runat="server">
                                                <br />
                                                <img src="../images/red.png" />
                                                <asp:Label ID="RedIcnIndicator" runat="server" Text="Item Reached zero stock availability."></asp:Label>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlItemDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="right-col">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            Visible="false" ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;
                                                    <span class="txt">
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click"
                                                            Visible="false">
                                                            <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvInvoice" runat="server" Width="100%" ClientInstanceName="gvInvoice"
                                                    EnableViewState="true" KeyFieldName="OrderNo" EnableTheming="true" Theme="Office2003Blue"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    OnHtmlRowCreated="gvInvoice_OnHtmlRowCreated" OnDataBinding="gvInvoice_DataBinding">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="OrderReqno" Caption="Order Req.#" VisibleIndex="0"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblVendorNameCaption" runat="server" Text="Order Req. #"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="OrderDate" Caption="Order Date" VisibleIndex="1"
                                                            CellStyle-Wrap="True" Width="10%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblWrkOdrCaption" runat="server" Text="Order date"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="DueDate" Caption="Due Date" VisibleIndex="2"
                                                            CellStyle-Wrap="True" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/calendar-rht-icon.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Due Date"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="OrderByName" Caption="Order By" VisibleIndex="3"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Order By"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="StatusDesc" Caption="Order Status" VisibleIndex="4"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Order Status"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="6"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewItem_click" CommandArgument='<%# Eval("OrderNo") %>'
                                                                    Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="7" Width="3%" Name="Edit"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnUpdateItem" runat="server" CommandArgument='<%# Eval("OrderNo") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnEditItem_Click" Style="text-decoration: none;"
                                                                    Visible='<%# Eval("Status").ToString()== "P" || Eval("Status").ToString() == "N"  ? true : false %>'>
                                                            <img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="8" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--Delete();--%>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                    CommandArgument='<%#Eval("OrderNo") %>' OnClick="lbtnDelete_click" Visible='<%# Eval("Status").ToString()== "P" || Eval("Status").ToString() == "N"  ? true : false %>'><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="false" />
                                                    <SettingsText EmptyDataRow="No Order Request details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvInvoice"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Item Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Inventory Entry Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddItem" />
                    <asp:PostBackTrigger ControlID="btnUserCancel" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateItem" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script src="../js/InventoryMgmt.js" type="text/javascript"></script>
            <%--<script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>--%>
            <%--<script type="text/javascript" src="../js/DriverManagementScript.js"></script>--%>
            <%--<script type="text/javascript" src="../js/myformvalidations.js"></script>--%>
            <%--<script type="text/javascript" src="../js/FormValidations.js"></script>--%>
            <script lang="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }
                function GetItemNo(source, eventArgs) {
                    document.getElementById('<%=hdnItemNo.ClientID %>').value = "";
                    document.getElementById('<%=hdnUnitPrice.ClientID %>').value = "";
                    var hItemNo = eventArgs.get_value().split("_");
                    if (hItemNo[0] != "" && hItemNo[1] != "") {
                        document.getElementById('<%=hdnItemNo.ClientID %>').value = hItemNo[0];
                        document.getElementById('<%=hdnUnitPrice.ClientID %>').value = hItemNo[1];
                        document.getElementById('<%=hdnAvlbQty.ClientID %>').value = hItemNo[3];
                    }
                    // document.getElementById('GridView1_ctl01_lblItemCode').innerHTML = hItemNo;               
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
