﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_MaintenancePlan, App_Web_nomsokpt" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dxwtl" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Fleet Maintenance</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
    <script type="text/javascript">
        function hidestatus() {
            window.status = ''
            return true
        }
        if (document.layers)
            document.captureEvents(Event.MOUSEOVER | Event.MOUSEOUT)
        document.onmouseover = hidestatus
        document.onmouseout = hidestatus
    </script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div class="vlive-reports-section maintenance">
                <div class="container-fluid">
                    <div class="row clearfix">
                        <div class="col-ks-6 HeaderTest">
                            <div class="col-ks-16">
                                <h2 class="pull-left">
                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                </h2>
                            </div>
                            <div class="col-ks-16">
                                <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                    <NodeStyle CssClass="active" />
                                </asp:SiteMapPath>
                            </div>
                        </div>
                        <div class="col-ks-10 HeaderTopButton">
                            <asp:LinkButton ID="ibtnCreatePlan" runat="server" OnClick="ibtnCreatePlan_Click" OnClientClick="ShowPopUp();"
                                CssClass="btn btn-primary btn-fa-plus" Text="&nbsp;&nbsp;Create Plan" />
                            <asp:LinkButton ID="ibtnPlanAssignment" runat="server" PostBackUrl="~/Forms/VehiclePlanAssignment.aspx"
                                CssClass="btn btn-primary btn-fa-check-square-o" Text="&nbsp;&nbsp;Plan Assignment" />
                            <asp:LinkButton ID="ibtnMaintenanceService" runat="server" PostBackUrl="~/Forms/MaintenanceService.aspx"
                                CssClass="btn btn-primary btn-fa-file-text-o" Text="&nbsp;&nbsp;Maintenance Service" />
                            <asp:LinkButton ID="lnkbtnfleetmaintenance" runat="server" CausesValidation="false" CssClass="fa-arrow-left btn btn-primary" Text="&nbsp;&nbsp;Back to Maintenance" PostBackUrl="~/Forms/FleetMaintenancePanel.aspx">
                            </asp:LinkButton>
                        </div>
                    </div>
                </div>
            </div>
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->

                    <asp:Panel ID="pnlPlanInfo" runat="server">
                        <div class="vlive-centrifugal-fan maintenance-plan" style="padding-left: 15px; padding-right: 15px;">
                            <h2>Manage Maintenance Plan</h2>
                            <div class="row ftop">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <asp:Label ID="lblPlanName" runat="server" Text="Plan Name"></asp:Label>
                                        <asp:TextBox ID="txtPlanName" runat="server" CssClass="form-control man-dat" MaxLength="100" onpaste="return false"
                                            ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"></asp:TextBox>
                                    </div>
                                    <div class="form-group">
                                        <asp:Label ID="lblOverdueReminderInterval" runat="server" Text="">Overdue Reminder Interval (<asp:Label ID="lblOverdueRIUnits" runat="server" Text="days"></asp:Label>)
                                                            
                                        </asp:Label>
                                        <asp:TextBox ID="txtOverdueReminderInterval" runat="server" MaxLength="2" onkeypress="return chkNumeric_only(event);"
                                            onpaste="return false" ondrop="return false" CssClass="form-control man-dat">
                                        </asp:TextBox>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <asp:Label ID="lblDescription" runat="server" Text="Description"></asp:Label>
                                        <asp:TextBox ID="txtDescription" runat="server" CssClass="form-control" TextMode="MultiLine"
                                            onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"
                                            MaxLength="250" Rows="3" Style="resize: none;">
                                        </asp:TextBox>
                                        <%--<textarea class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>--%>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <asp:Label ID="lblRecurringService" runat="server" Text="Recurring Service"></asp:Label>
                                        <div class="form-check">
                                            <asp:CheckBox ID="chkIsRecurring" runat="server" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ftop">
                                <div class="col-md-12">
                                    <div class="tabs">
                                        <ul class="nav nav-tabs" id="maincontent" role="tablist">
                                            <li class="active"><a href="#maintenance-plan-details" role="tab" data-toggle="tab" id="divMaintenance" runat="server">Maintenance Plan Details</a></li>
                                            <li><a href="#service-details" role="tab" data-toggle="tab" id="divSerDetails" runat="server">Service Details</a></li>
                                            <li><a href="#notification-settings" role="tab" data-toggle="tab" id="divNotificationSet" runat="server">Notification Settings</a></li>
                                        </ul>
                                        <div class="tab-content">
                                            <div class="tab-pane fade in active" id="maintenance-plan-details">
                                                <div class="row" id="tr1" runat="server">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <asp:Label ID="lblServiceType" runat="server" Text="Service Type"></asp:Label>

                                                            <asp:DropDownList ID="ddlServiceType" runat="server" onchange="ServiceTypeChanged(this);" CssClass="form-control man-dat">
                                                                <%--<asp:ListItem Text="Running Hours" Value="0"></asp:ListItem>--%>
                                                                <%--<asp:ListItem Text="Odometer" Value="1"></asp:ListItem>--%>
                                                                <asp:ListItem Text="Time Based" Value="2"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <asp:Label ID="lblServiceInterval" runat="server" Text="Service Interval"></asp:Label>
                                                            &nbsp;
                                                        <asp:Label ID="lblUnits" runat="server" Text="hrs"></asp:Label>

                                                            <asp:TextBox ID="txtServiceInterval" runat="server" MaxLength="6" ondrop="return false"
                                                                onkeypress="return chkNumeric_only(event);" onpaste="return false" CssClass="form-control man-dat"></asp:TextBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group" style="padding-top: 22px;">
                                                            <asp:DropDownList ID="ddlTimeBasedUnits" runat="server" CssClass="form-control" Style="display: none;">
                                                                <asp:ListItem Selected="True" Text="Days" Value="0"></asp:ListItem>
                                                                <asp:ListItem Text="Months" Value="1"></asp:ListItem>
                                                                <asp:ListItem Text="Years" Value="2"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" id="tr2" runat="server">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <asp:Label ID="lblNotification1" runat="server" Text="Reminder 1"></asp:Label>

                                                            <asp:DropDownList ID="ddlPercentageR1" runat="server" CssClass="form-control man-dat">
                                                                <asp:ListItem Text="20%" Value="20" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <asp:Label ID="lblNotification2" runat="server" Text="Reminder 2"></asp:Label>
                                                            <asp:DropDownList ID="ddlPercentageR2" runat="server" CssClass="form-control">
                                                                <asp:ListItem Text="None" Value="0"></asp:ListItem>
                                                                <asp:ListItem Text="20%" Value="20"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <asp:Label ID="lblNotification3" runat="server" Text="Reminder 3"></asp:Label>
                                                            <asp:DropDownList ID="ddlPercentageR3" runat="server" CssClass="form-control">
                                                                <asp:ListItem Text="None" Value="0"></asp:ListItem>
                                                                <asp:ListItem Text="20%" Value="20"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Selected="True" Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row" id="tr3" runat="server">
                                                    <div class="col-sm-4">
                                                        <div class="form-group form-group-btn">
                                                            <asp:LinkButton ID="ibtnAddToList" runat="server" CssClass="btn btn-primary btn-fa-plus" Text="&nbsp;&nbsp;Add to Plan"
                                                                OnClick="ibtnAddToList_Click" OnClientClick="return ValidateMaintPlanDetails();" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="table-responsive">
                                                            <asp:GridView ID="gvAddPolicyServiceType" runat="server" AutoGenerateColumns="False" CssClass="table table-bordered table-striped"
                                                                CellPadding="0" CellSpacing="1" GridLines="None" OnRowDataBound="gvAddPolicyServiceType_RowDataBound"
                                                                Width="100%">
                                                                <Columns>
                                                                    <asp:TemplateField HeaderText="Service Type">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="glblServiceTypeH" runat="server" Text="Service Type" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="glblServiceType" runat="server" Text='<%# (Convert.ToString(Eval("ServiceType")) == "0") ? "Running Hours" : (Convert.ToString(Eval("ServiceType")) == "1" ? "Odometer" : "Time Based") %>'
                                                                                Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </ItemTemplate>
                                                                        <ItemStyle Width="20%" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Service Interval">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="glblServiceIntervalH" runat="server" Text="Service Interval" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="glblServiceInterval" runat="server" Text='<%# Convert.ToString(Eval("ServiceInterval")) + " " + (Convert.ToString(Eval("Frequency")) == "0" ? "days" : (Convert.ToString(Eval("Frequency")) == "1" ? "months" : (Convert.ToString(Eval("Frequency")) == "2" ? "years" : (Convert.ToString(Eval("Frequency")) == "3" ? "hrs" : Convert.ToString(Eval("DistanceUnits")))))) %>'
                                                                                Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </ItemTemplate>
                                                                        <ItemStyle HorizontalAlign="Center" Width="20%" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Reminder 1">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="glblNotification1H" runat="server" Text="Reminder 1" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="glblNotification1" runat="server" Text='<%# Convert.ToString(Eval("Notification1")) + "%" %>'
                                                                                Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </ItemTemplate>
                                                                        <ItemStyle HorizontalAlign="Center" Width="19%" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Reminder 2">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="glblNotification2H" runat="server" Text="Reminder 2" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="glblNotification2" runat="server" Text='<%# Convert.ToString(Eval("Notification2")) == "0" ? "None" : Convert.ToString((Eval("Notification2")) + "%") %>'
                                                                                Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </ItemTemplate>
                                                                        <ItemStyle HorizontalAlign="Center" Width="19%" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Reminder 3">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="glblNotification3H" runat="server" Text="Reminder 3" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="glblNotification3" runat="server" Text='<%# Convert.ToString(Eval("Notification3")) == "0" ? "None" : Convert.ToString((Eval("Notification3")) + "%") %>'
                                                                                Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </ItemTemplate>
                                                                        <ItemStyle HorizontalAlign="Center" Width="19%" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField>
                                                                        <ItemTemplate>
                                                                            <asp:LinkButton ID="ibtnDeletePlan" runat="server" AlternateText="Delete" CommandArgument='<%# Convert.ToString(Eval("ServiceType")) %>'
                                                                                OnClick="ibtnDeletePlan_Click" CssClass="btn-fa-trash-o"
                                                                                ToolTip="Click here to Delete" />
                                                                        </ItemTemplate>
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                    </asp:TemplateField>
                                                                </Columns>
                                                                <AlternatingRowStyle CssClass="fleetConalt" VerticalAlign="Middle" />
                                                                <EmptyDataRowStyle CssClass="fleetHead" />
                                                                <FooterStyle CssClass="fleetFoot" />
                                                                <HeaderStyle CssClass="fleetHead" Height="25px" HorizontalAlign="Center" VerticalAlign="Middle" />
                                                                <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                <RowStyle CssClass="fleetCon" Height="25px" VerticalAlign="Middle" />
                                                            </asp:GridView>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tab-pane fade" id="service-details">
                                                <div class="row">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvServiceDetails" runat="server" Width="100%" KeyFieldName="ServiceId" AutoGenerateColumns="false" EnableViewState="false"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue" ClientInstanceName="gvServiceDetails" SettingsPager-Mode="ShowPager"
                                                            OnHtmlRowPrepared="gvServiceDetails_OnHtmlRowPrepared" OnCustomJSProperties="gvServiceDetails_CustomJSProperties">
                                                            <%--<ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(); }" />--%>
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                        Width="11px" />
                                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                        Width="11px" />
                                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                        Width="11px" />
                                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                        Width="11px" />
                                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                PageSize="5">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="ServiceId" Caption="AutoID" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn VisibleIndex="1" Width="5%" Caption="Services">
                                                                    <%--  <HeaderTemplate>
                                                                                                            <input type="checkbox" onclick="gvServiceDetails.SelectAllRowsOnPage(this.checked);"
                                                                                                                style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                                                                        </HeaderTemplate>--%>
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:CheckBox ID="chkSelectAllServices" ToolTip="Select all in the current page"
                                                                            runat="server" onclick="DevExpressGridCheckAll(6);" Text="" />
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:CheckBox ID="chkServices" runat="server" Text="" onclick="CheckListOfServiceIDs(this, 'hdnSelectedServiceIds',6);DevExpressGridCheckOrUnCheckSelectAll(6);" />
                                                                    </DataItemTemplate>
                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                    <CellStyle HorizontalAlign="Center">
                                                                    </CellStyle>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataColumn FieldName="ServiceName" Caption="Service Name" VisibleIndex="2"
                                                                    Width="25%">
                                                                    <HeaderCaptionTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td style="height: 20px; padding-top: 5px">
                                                                                    <asp:Label ID="lblgServiceNameH" runat="server" Text="Service Name"></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:HiddenField ID="hdnServiceId" runat="server" Value='<%# Eval("ServiceId") %>' />
                                                                        <asp:Label ID="lblServiceName" runat="server" Text='<%# Eval("ServiceName") %>' />
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="ServiceCategory" Caption="Service Package" VisibleIndex="3"
                                                                    Width="50%">
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="Planned Cost" VisibleIndex="4" Width="10%">
                                                                    <DataItemTemplate>
                                                                        <asp:TextBox ID="gtxtPlannedCost" runat="server" Text='<%# Eval("PlannedCost") %>'
                                                                            MaxLength="10" CssClass="form-control" oncopy="return false" ondrop="return false" onpaste="return false"
                                                                            Style="text-align: right;" onkeypress="return chkDecNums(event, this);" />
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" AllowSort="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="Planned Cost" VisibleIndex="5" Width="10%">
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="glblPlannedCost" runat="server" Width="80px" Text='<%# Eval("PlannedCost") %>'
                                                                            Style="text-align: right;" />
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" AllowSort="False" />
                                                                </dxw:GridViewDataColumn>
                                                            </Columns>
                                                            <Settings ShowFilterRow="True" ShowFilterRowMenu="True" />
                                                            <SettingsText EmptyDataRow=" No services found" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-xs-6 icon-label">
                                                        <div class="col-xs-5 col-sm-2 col-lg-1 nullpadding">
                                                            <asp:Label ID="Label14" runat="server" Font-Names="Arial,Helvetica,sans-serif" Font-Size="8" Font-Bold="true" Text="VAT(%)"></asp:Label>
                                                        </div>
                                                        <div class="col-xs-5 nullpadding">
                                                            <asp:TextBox ID="txtVAT" runat="server" Text="0" MaxLength="5" TabIndex="1" onkeypress="return chkDecNums(event, this);" CssClass="form-control"></asp:TextBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-6 icon-label">
                                                        <div class="pull-right">
                                                            <asp:LinkButton ID="ibtnCalculateCost" runat="server" Text="&nbsp;&nbsp;Calculate Cost" CssClass="btn btn-primary btn-fa-calculator"
                                                                OnClick="ibtnCalculateCost_Click" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-xs-6 icon-label">
                                                    </div>
                                                    <div class="col-xs-6 icon-label">
                                                        <div class="pull-right">
                                                            <asp:Label ID="lblTotalPlannedCostH" runat="server" Text="Total Planned Cost"></asp:Label>
                                                            <asp:Label ID="lblTotalPlannedCost" runat="server" Text="0"></asp:Label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tab-pane fade" id="notification-settings">
                                                <div class="row">
                                                    <div class="vlive-filter">
                                                        <div class="container-fluid">
                                                            <div class="vlive-centrifugal-fan maintenance-plan" style="padding-top: 0px; padding-bottom: 0px">
                                                                <h2>
                                                                    <asp:Label ID="lblNotificationComments" runat="server" Text="Unregistered Users are indicated in blue color."
                                                                        ForeColor="Blue" Font-Bold="true"></asp:Label></h2>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div id="trAssignedNotifications" runat="server" visible="false">
                                                        <div class="vlive-filter">
                                                            <div class="container-fluid">
                                                                <div class="vlive-centrifugal-fan maintenance-plan" style="padding-top: 0px;">
                                                                    <h2>Notifications List</h2>
                                                                    <div class="row ftop">
                                                                        <div class="col-md-12">
                                                                            <div class="table-responsive">

                                                                                <dxw:ASPxGridView ID="gvAssignedUsersList" ClientInstanceName="gvAssignedUsersList" runat="server"
                                                                                    AutoGenerateColumns="False" KeyFieldName="UserId" Width="100%" EnableViewState="false"
                                                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedUsersList_HtmlRowCreated">
                                                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                        CssPostfix="Office2003_Blue">
                                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                        </Header>
                                                                                        <LoadingPanel ImageSpacing="10px">
                                                                                        </LoadingPanel>
                                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                                        </PagerBottomPanel>
                                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                                        </PagerTopPanel>
                                                                                    </Styles>
                                                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                                    </SettingsPager>
                                                                                    <Columns>
                                                                                        <dxw:GridViewDataColumn Caption="User Name" FieldName="UserName" VisibleIndex="0"
                                                                                            Width="20%">
                                                                                            <HeaderCaptionTemplate>
                                                                                                <asp:Label ID="lblUserName" runat="server" Font-Bold="false" Text="User Name" Style="vertical-align: middle"></asp:Label>
                                                                                            </HeaderCaptionTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:Label ID="glblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'
                                                                                                    ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                            </DataItemTemplate>
                                                                                            <Settings AllowAutoFilter="True" />
                                                                                        </dxw:GridViewDataColumn>
                                                                                        <dxw:GridViewDataTextColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="1"
                                                                                            Width="20%">
                                                                                            <HeaderCaptionTemplate>
                                                                                                <asp:Label ID="lblGroup" runat="server" Font-Bold="false" Text="Group" Style="vertical-align: middle"></asp:Label>
                                                                                            </HeaderCaptionTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:Label ID="glblGroup" runat="server" Text='<%# Convert.ToString(Eval("GroupBelongsTo")) %>'
                                                                                                    ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                            </DataItemTemplate>
                                                                                            <Settings AllowAutoFilter="True" />
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                        <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="2"
                                                                                            Width="15%">
                                                                                            <HeaderCaptionTemplate>
                                                                                                <asp:Label ID="lblLockedStatus" runat="server" Font-Bold="false" Text="Locked Status"
                                                                                                    Style="vertical-align: middle"></asp:Label>
                                                                                            </HeaderCaptionTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:Label ID="lblUserLockedStatus" runat="server" Text='<%# Eval("LockedStatus") %>'
                                                                                                    ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                            </DataItemTemplate>
                                                                                            <Settings AllowAutoFilter="False" />
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                        <dxw:GridViewDataTextColumn VisibleIndex="3" Caption="Email" FieldName="Email" Width="45%">
                                                                                            <DataItemTemplate>
                                                                                                <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                                    <tr>
                                                                                                        <td>
                                                                                                            <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                                                                        </td>
                                                                                                        <td>
                                                                                                            <p style="white-space: nowrap">
                                                                                                                <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>' ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                                            </p>
                                                                                                        </td>
                                                                                                    </tr>
                                                                                                </table>
                                                                                            </DataItemTemplate>
                                                                                            <HeaderCaptionTemplate>
                                                                                                <table width="100%">
                                                                                                    <tr>
                                                                                                        <td width="5%" style="padding-top: 3px">
                                                                                                            <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                                                                                runat="server" onclick="DevExpressGridCheckAll(11);" Text="" />
                                                                                                        </td>
                                                                                                        <td>
                                                                                                            <center>
                                                                                                    <table>
                                                                                                        <tr>
                                                                                                            <td style="padding-left: 5px">
                                                                                                                <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label>
                                                                                                            </td>
                                                                                                        </tr>
                                                                                                    </table>
                                                                                                </center>
                                                                                                        </td>
                                                                                                    </tr>
                                                                                                </table>
                                                                                            </HeaderCaptionTemplate>
                                                                                            <Settings AllowAutoFilter="False" />
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                    </Columns>
                                                                                    <Settings ShowFilterRow="true" />
                                                                                </dxw:ASPxGridView>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="vlive-filter">
                                                        <div class="container-fluid">
                                                            <div class="vlive-centrifugal-fan maintenance-plan" style="padding-top: 0px;">
                                                                <h2>Add Users to Notifications List</h2>
                                                                <div class="row ftop">
                                                                    <div class="col-md-12">
                                                                        <div class="table-responsive">
                                                                            <dxw:ASPxGridView ID="gvUsersList" ClientInstanceName="gvUsersList" runat="server"
                                                                                AutoGenerateColumns="False" KeyFieldName="UserId" Width="100%" EnableViewState="false"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUsersList_HtmlRowCreated">
                                                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                    CssPostfix="Office2003_Blue">
                                                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                    </Header>
                                                                                    <LoadingPanel ImageSpacing="10px">
                                                                                    </LoadingPanel>
                                                                                    <PagerBottomPanel CssClass="PageFooter">
                                                                                    </PagerBottomPanel>
                                                                                    <PagerTopPanel CssClass="PageFooter">
                                                                                    </PagerTopPanel>
                                                                                </Styles>
                                                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                                </SettingsPager>
                                                                                <Columns>
                                                                                    <dxw:GridViewDataColumn Caption="User Name" FieldName="UserName" VisibleIndex="0"
                                                                                        Width="20%">
                                                                                        <HeaderCaptionTemplate>
                                                                                            <asp:Label ID="lblUserName" runat="server" Font-Bold="false" Text="User Name" Style="vertical-align: middle"></asp:Label>
                                                                                        </HeaderCaptionTemplate>
                                                                                        <DataItemTemplate>
                                                                                            <asp:Label ID="glblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'
                                                                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                        </DataItemTemplate>
                                                                                        <Settings AllowAutoFilter="True" />
                                                                                    </dxw:GridViewDataColumn>
                                                                                    <dxw:GridViewDataTextColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="1"
                                                                                        Width="20%">
                                                                                        <HeaderCaptionTemplate>
                                                                                            <asp:Label ID="lblGroup" runat="server" Font-Bold="false" Text="Group" Style="vertical-align: middle"></asp:Label>
                                                                                        </HeaderCaptionTemplate>
                                                                                        <DataItemTemplate>
                                                                                            <asp:Label ID="glblGroup" runat="server" Text='<%# Convert.ToString(Eval("GroupBelongsTo")) %>'
                                                                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                        </DataItemTemplate>
                                                                                        <Settings AllowAutoFilter="True" />
                                                                                    </dxw:GridViewDataTextColumn>
                                                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="2"
                                                                                        Width="15%">
                                                                                        <HeaderCaptionTemplate>
                                                                                            <asp:Label ID="lblLockedStatus" runat="server" Font-Bold="false" Text="Locked Status"
                                                                                                Style="vertical-align: middle"></asp:Label>
                                                                                        </HeaderCaptionTemplate>
                                                                                        <DataItemTemplate>
                                                                                            <%--<asp:Image ID="imgLockedStatus" runat="server" AlternateText="" ToolTip="" />--%>
                                                                                            <asp:Label ID="lblUserLockedStatus" runat="server" Text='<%# Eval("LockedStatus") %>'
                                                                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                        </DataItemTemplate>
                                                                                        <Settings AllowAutoFilter="False" />
                                                                                    </dxw:GridViewDataTextColumn>
                                                                                    <dxw:GridViewDataTextColumn VisibleIndex="3" Caption="Email" FieldName="Email" Width="45%">
                                                                                        <DataItemTemplate>
                                                                                            <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                                                <tr>
                                                                                                    <td>
                                                                                                        <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                                                                    </td>
                                                                                                    <td class="padding-width-sm-left">
                                                                                                        <p style="white-space: nowrap">
                                                                                                            <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>' ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                                        </p>
                                                                                                    </td>
                                                                                                </tr>
                                                                                            </table>
                                                                                        </DataItemTemplate>
                                                                                        <HeaderCaptionTemplate>
                                                                                            <table width="100%">
                                                                                                <center>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                                                                        runat="server" onclick="DevExpressGridCheckAll(9);" Text="" />
                                                                                                </td>
                                                                                                <td class="padding-width-sm-left">
                                                                                                    <table>
                                                                                                        <tr>
                                                                                                            <td style="padding-left: 5px">
                                                                                                                <asp:Label ID="lblEmail" runat="server" Font-Bold="false" Text="Email"></asp:Label>
                                                                                                            </td>
                                                                                                        </tr>
                                                                                                    </table>
                                                                                                </td>
                                                                                            </tr>
                                                                                            </center>
                                                                                            </table>
                                                                                        </HeaderCaptionTemplate>
                                                                                        <Settings AllowAutoFilter="False" />
                                                                                    </dxw:GridViewDataTextColumn>
                                                                                </Columns>
                                                                                <Settings ShowFilterRow="true" />
                                                                            </dxw:ASPxGridView>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <div class="pull-right">
                                                                            <asp:LinkButton ID="ibtnAddUnregisteredUsers" runat="server" OnClientClick="document.getElementById('trAddUnregisteredUser').style.display = 'block'; ClearUnregisteredUserDetails(); return false;"
                                                                                Text="&nbsp;&nbsp;Add Unregistered Users" CssClass="btn btn-primary btn-fa-unlock" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div id="trAddUnregisteredUser" style="display: none">
                                                        <div class="vlive-filter">
                                                            <div class="container-fluid">
                                                                <div class="vlive-centrifugal-fan maintenance-plan">
                                                                    <h2>
                                                                        <asp:Label ID="lblUnregisteredUserComments" runat="server" Text="Unregistered User Details can be modified by entering the User Name."
                                                                            ForeColor="Blue" Font-Bold="true"></asp:Label></h2>
                                                                    <div class="row ftop">
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblFirstName" runat="server" Text="First Name"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtFirstName" runat="server" CssClass="form-control man-dat" MaxLength="50" onkeypress="return chkCharacter_only(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblLastname" runat="server" Text="Last Name"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtLastName" runat="server" CssClass="form-control" onkeypress="return chkCharWithDot(event)"
                                                                                MaxLength="50"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblUsername" runat="server" Text="User Name"></asp:Label>

                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtUsername" runat="server" MaxLength="50" CssClass="form-control man-dat" onkeypress="return ValidateUserName(event)"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row ftop">
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblDisplayname" runat="server" Text="Display Name"></asp:Label>

                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtDispName" runat="server" CssClass="form-control man-dat" MaxLength="25" onkeypress="return ValidateUserName(event)"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblemail" runat="server" Text="Email"></asp:Label>

                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtEmail" runat="server" onkeypress="return chkDescription(event,this,199);" CssClass="form-control man-dat"
                                                                                MaxLength="200" onkeydown="return DisableEnterkey(event);" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:Label ID="lblMobile" runat="server" Text="Mobile Number"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtMobile" runat="server" MaxLength="15" onkeypress="return chkNumeric_only(event);"
                                                                                ondrop="return false;" CssClass="form-control"></asp:TextBox>&nbsp;
                                                                                    <asp:Label ID="lblMobileFormat" runat="server" Text="For e.g 919047790266"
                                                                                        Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row ftop">
                                                                        <div class="col-ks-16 ButtonAlign" align="right">
                                                                            <asp:LinkButton ID="ibtnSaveUser" runat="server" CssClass="btn btn-primary btn-fa-floppy-o"
                                                                                OnClientClick="return ValidateUnregisteredUser(false);" OnClick="ibtnSaveUser_Click" Text="&nbsp;&nbsp;Save" />
                                                                            <asp:LinkButton ID="ibtnCancelSaveUser" CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel" runat="server" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tab-pane fade" id="VehiclePlans-settings">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <asp:Panel ID="pnlAssignedVehicleList" runat="server">
                                                            <div id="grid-dsply">
                                                                <div id="top">
                                                                    <div class="col-xs-12">
                                                                        <span class="icon">
                                                                            <img src="../images/icn-vehicle-assignment.gif" alt="" />
                                                                        </span>
                                                                        <span class="txt" style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;">Assigned Vehicles</span>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix"></div>
                                                                <div class="table-responsive">
                                                                    <dxw:ASPxGridView ID="gvAssignedVehicles" runat="server" Width="100%" KeyFieldName="VehicleId"
                                                                        ClientInstanceName="gvAssignedVehicles" EnableTheming="true" Theme="Office2003Blue"
                                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue">
                                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                            CssPostfix="Office2003_Blue">
                                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                            </Header>
                                                                            <LoadingPanel ImageSpacing="10px">
                                                                            </LoadingPanel>
                                                                            <PagerBottomPanel CssClass="PageFooter">
                                                                            </PagerBottomPanel>
                                                                            <PagerTopPanel CssClass="PageFooter">
                                                                            </PagerTopPanel>
                                                                        </Styles>
                                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                            PageSize="5">
                                                                        </SettingsPager>
                                                                        <Columns>
                                                                            <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                                                Visible="false">
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="1"
                                                                                Width="20%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <table cellpadding="0" cellspacing="0" border="0">
                                                                                        <tr>
                                                                                            <td style="height: 20px; padding-top: 5px">
                                                                                                <asp:Label ID="lblgVehicleNameH" runat="server" Text="Vehicle Name"></asp:Label>
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </HeaderCaptionTemplate>
                                                                                <Settings AllowAutoFilter="True" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="IsActive" Caption="Active Status" VisibleIndex="2"
                                                                                Width="10%" CellStyle-HorizontalAlign="Center">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="glblIsActive" runat="server" Text='<%# Convert.ToString(Eval("IsActive")) == "True" ? "Active" : "Inactive" %>'></asp:Label>
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="CurrentEngineHours" Caption="Current Engine Hrs"
                                                                                VisibleIndex="3" Width="10%" CellStyle-HorizontalAlign="Center">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblCurrEngineHrs" runat="server" Text='<%# Eval("CurrentEngineHours") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="EngineHrsDueOn" Caption="Engine Hrs Due On" VisibleIndex="4"
                                                                                Width="10%" CellStyle-HorizontalAlign="Center">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblEngineHrsDueOn" runat="server" Text='<%# Eval("EngineHrsDueOn") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="CurrentOdometerReading" Caption="Current Odometer Reading"
                                                                                VisibleIndex="5" Width="18%" CellStyle-HorizontalAlign="Center" HeaderStyle-Wrap="True">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblCurrOdometerReading" runat="server" Text='<%# Eval("CurrentOdometerReading") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="OdometerReadingDueOn" Caption="Odometer Reading Due On"
                                                                                VisibleIndex="6" Width="17%" CellStyle-HorizontalAlign="Center" HeaderStyle-Wrap="True">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblOdometerReadingDueOn" runat="server" Text='<%# Eval("OdometerReadingDueOn") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="CurrentDate" Caption="Current Date" VisibleIndex="7"
                                                                                Width="7%" CellStyle-HorizontalAlign="Center">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblCurrentDate" runat="server" Text='<%# Eval("CurrentDate") == DBNull.Value ? "N/A" :Eval("CurrentDate") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="DueOnDate" Caption="Due On Date" VisibleIndex="8"
                                                                                Width="7%" CellStyle-HorizontalAlign="Center">
                                                                                <DataItemTemplate>
                                                                                    <asp:Label ID="lblDueOnDate" runat="server" Text='<%# Eval("DueOnDate") == DBNull.Value ? "N/A" :Eval("DueOnDate") %>' />
                                                                                </DataItemTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                        </Columns>
                                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                                        <SettingsText EmptyDataRow=" No Assigned Vehicles found" />
                                                                    </dxw:ASPxGridView>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <asp:HiddenField ID="hdnEmailUsers" runat="server" />
                                    <asp:HiddenField ID="hdnSMSUsers" runat="server" />
                                    <asp:HiddenField ID="hdnAssignedEmailUsers" runat="server" />
                                    <asp:HiddenField ID="hdnAssignedSMSUsers" runat="server" />
                                    <asp:HiddenField ID="hdnAssignedEmailUserIds" runat="server" />
                                    <asp:HiddenField ID="hdnAssignedSMSUserIds" runat="server" />
                                    <asp:HiddenField ID="hdnSelectedServiceIds" runat="server" />
                                </div>
                            </div>
                            <div class="row ftop">
                                <div class="col-md-12">
                                    <div class="col-md-6">
                                        <div class="req">
                                            <span class="redtxt">|</span>&nbsp;
                                                            <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                    </div>
                                </div>
                            </div>
                            <div class="row ftop">
                                <div class="col-md-12">
                                    <div class="col-ks-16 ButtonAlign" align="right">
                                        <asp:LinkButton ID="ibtSave" runat="server" OnClick="ibtSave_Click" OnClientClick="return ValidateMaintenancePlan1();" CssClass="btn btn-primary btn-fa-floppy-o" Text="&nbsp;&nbsp;Save"></asp:LinkButton>
                                        <asp:LinkButton ID="ibtCancel" runat="server" OnClick="ibtCancel_Click" OnClientClick="ShowPopUp();" CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel"></asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix"></div>
                    <asp:Panel ID="pnlPlanList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-lg-12 vlive-header_VXL">
                                        <div class="col-ks-13">
                                            <asp:Label ID="lblMaintenancePlan" runat="server" CssClass="pnlhearder" Text="Device Maintenance plan"></asp:Label>
                                        </div>
                                        <div class="col-ks-1">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl" SelectedIndex="0"
                                                ClientInstanceName="ASPxCboExport" ShowImageInEditBox="false" ItemImage-Height="12px" EnableTheming="true" Theme="Office2003Blue"
                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-2">
                                            <asp:LinkButton ID="ibtnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" Text="&nbsp;&nbsp;Export"
                                                OnClick="ibtnExport_Click" />
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvPlans" runat="server" Width="100%" KeyFieldName="PlanId" ClientInstanceName="gvPlans"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvPlans_OnHtmlRowCreated">
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="10">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="PlanId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="PlanName" Caption="Plan Name" VisibleIndex="1"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblPlanName" runat="server" Text="Plan Name"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="PlanDescription" Caption="Description" VisibleIndex="2"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblPlanDesc" runat="server" Text="Description"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TotalPlannedCost" Caption="Plan Cost" VisibleIndex="3"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblPlanCost" runat="server" Text="Plan Cost"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="Email Users" VisibleIndex="4"
                                                            Width="40%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblEmailUsers" runat="server" Text="Email Users"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--  <asp:ImageButton ID="ibtnView" runat="server" OnClick="ibtnView_Click" OnClientClick="ShowPopUp();" ImageUrl="~/images/icn-view.gif"
                                                                    CommandArgument='<%# Eval("PlanId") %>' CssClass="handButton" ToolTip="Click here to View" ></asp:LinkButton>--%>
                                                                <asp:LinkButton ID="ibtnView" runat="server" CommandArgument='<%# Eval("PlanId") %>'
                                                                    alternatetext="view" OnClientClick="ShowPopUp();" OnClick="ibtnView_Click"
                                                                    ToolTip="Click here to view" CssClass="Grid-btn-fa-binoculars">
                                                                    <%--<asp:Image ID="imgEdit" runat="server" ImageUrl="~/images/icn-view.gif" />--%>
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%-- <asp:ImageButton ID="ibtnEdit" runat="server" OnClick="ibtnEdit_Click" OnClientClick="ShowPopUp();" ImageUrl="~/images/icn-edit.gif"
                                                                    CommandArgument='<%# Eval("PlanId") %>' CssClass="handButton" ToolTip="Click here to Edit" />--%>
                                                                <asp:LinkButton ID="btnEditUser" runat="server" CommandArgument='<%# Eval("PlanId") %>'
                                                                    alternatetext="Edit" OnClientClick="ShowPopUp();" OnClick="ibtnEdit_Click"
                                                                    ToolTip="Click here to Edit" CssClass="Grid-btn-fa-pencil-square-o">
                                                                    <%--<asp:Image ID="imgEdit" runat="server" ImageUrl="~/images/icn-edit.gif" />--%>
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%-- <asp:ImageButton ID="ibtnDelete" runat="server" OnClick="ibtnDelete_Click" ImageUrl="~/images/icn-delete.gif"
                                                                    CommandArgument='<%# Eval("PlanId") %>' CssClass="handButton" ToolTip="Click here to Delete"></asp:LinkButton>--%>
                                                                <asp:LinkButton ID="ibtnDelete" runat="server" CommandArgument='<%# Eval("PlanId") %>'
                                                                    alternatetext="view" OnClientClick="ShowPopUp();" OnClick="ibtnDelete_Click"
                                                                    ToolTip="Click here to Delete" CssClass="Grid-btn-fa-trash-o">
                                                                    <%--<asp:Image ID="imgEdit" runat="server" ImageUrl="~/images/icn-delete.gif" />--%>
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="true" />
                                                    <SettingsText EmptyDataRow=" No maintenance plan found" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvPlans"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\qc\ul\b\f0\fs28 Maintenance Plan Details\par\pard\ulnone\f1\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader VerticalAlignment="None">
                                                    <Font Bold="False" Size="10pt"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <!-- Content Ends Here -->
            <asp:HiddenField ID="hdnDistance" runat="server" />
            <asp:HiddenField ID="hdnIsMainPlanDetailsSet" runat="server" Value="N" />
            <asp:HiddenField ID="hdnIsNotificationSet" runat="server" />
            <asp:Panel ID="pnlServiceDetails" runat="server" Style="display: none;" CssClass="searchPanel">
                <asp:UpdatePanel ID="upServiceDetails" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div>
                            <div class="popup">
                                <div class="top">
                                    <h1>
                                        <asp:Label ID="lblServiceDetailsHeading" Text="Service Details" runat="server"></asp:Label>
                                    </h1>
                                    <div class="close">
                                        <asp:ImageButton ID="ibtClose" runat="server" ImageUrl="~/Images/popup-close.gif"
                                            OnClientClick="document.getElementById('pnlServiceDetails').style.display='none';" />
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                                <div class="popup-cont"></div>
                            </div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="ibtSave" />
                    </Triggers>
                </asp:UpdatePanel>
            </asp:Panel>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
    <script type="text/javascript" lang="javascript" src="../js/DateValidations.js"></script>
    <script lang="javascript" type="text/javascript">
        function ServiceTypeChanged(control) {
            var isIE = CheckBrowser();
            var lblUnits = $get('<%=lblUnits.ClientID%>');
            var ddlTimeBasedUnits = $get('<%=ddlTimeBasedUnits.ClientID%>');
            lblUnits.style.display = (control.value != 2) ? "" : "none";
            ddlTimeBasedUnits.style.display = (control.value == 2) ? "block" : "none";
            if (control.value == 0) {
                if (isIE) {
                    lblUnits.innerText = "hrs";
                }
                else {
                    lblUnits.textContent = "hrs";
                }
            }
            else if (control.value == 1) {
                if (isIE) {
                    lblUnits.innerText = document.getElementById("hdnDistance").value;
                }
                else {
                    lblUnits.textContent = document.getElementById("hdnDistance").value;
                }
            }
            else {
                //document.getElementById('ddlTimeBasedUnits').value = 0;
            }
        }
        function OnGridSelectionChanged() {
            gvServiceDetails.GetSelectedFieldValues('ServiceId', OnGridSelectionComplete);
        }
        function OnGridSelectionComplete(values) {
            var counter = document.getElementById("hdnSelectedServiceIds");
            counter.value = '';
            for (var i = 0; i < values.length; i++) {
                counter.value = counter.value + values[i] + ',';
            }
        }
        // Maintenance Plan Details
        function ValidateMaintPlanDetails() {
            return ValidateMaintenancePlanDetails1($get('<%=txtServiceInterval.ClientID%>'), $get('<%=ddlPercentageR1.ClientID%>'),
                $get('<%=ddlPercentageR2.ClientID%>'), $get('<%=ddlPercentageR3.ClientID%>'));
        }
        function ClearUnregisteredUserDetails() {
            if (document.getElementById('txtFirstName') != null) {
                document.getElementById('txtFirstName').value = '';
            }
            if (document.getElementById('txtLastName') != null) {
                document.getElementById('txtLastName').value = '';
            }
            if (document.getElementById('txtUsername') != null) {
                document.getElementById('txtUsername').value = '';
            }
            if (document.getElementById('txtDispName') != null) {
                document.getElementById('txtDispName').value = '';
            }
            if (document.getElementById('txtEmail') != null) {
                document.getElementById('txtEmail').value = '';
            }
            if (document.getElementById('txtMobile') != null) {
                document.getElementById('txtMobile').value = '';
            }
        }
    </script>
    <!--Below script to load ajax Tab Control in Chrome -->
    <script type="text/javascript">
        Sys.Browser.WebKit = {};
        if (navigator.userAgent.indexOf('WebKit/') > -1) {
            Sys.Browser.agent = Sys.Browser.WebKit;
            Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
            Sys.Browser.name = 'WebKit';
        }
    </script>
</body>
</html>
