﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_MaintenanceService, App_Web_ptlzuz3l" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dxwtl" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Maintenance</title>
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />

    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="updService" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-8 HeaderTest">
                                    <div class="col-ks-16">
                                        <h2 class="pull-left">
                                            <asp:Literal ID="lblFleetMaintenanceCaption" Text="Maintenance" runat="server"></asp:Literal>
                                        </h2>
                                    </div>
                                    <div class="col-ks-16">
                                        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                            <NodeStyle CssClass="active" />
                                        </asp:SiteMapPath>
                                    </div>
                                </div>
                                <div class="col-ks-8 HeaderTopButton">
                                    <asp:LinkButton ID="ibtnCreateServices" runat="server" CssClass="btn btn-primary btn-fa-cog"
                                        OnClientClick="ShowPopUp();" OnClick="ibtnCreateServices_Click" Text="&nbsp;&nbsp;Create Services">
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="ibtnMaintenancePlan" runat="server" CssClass="btn-fa-file-text-o btn btn-primary" CausesValidation="false"
                                        PostBackUrl="~/Forms/MaintenancePlan.aspx" Text="&nbsp;&nbsp;Maintenance Plan">
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="ibtnBackToFleetMain" runat="server" CssClass="fa-arrow-left btn btn-primary" CausesValidation="false"
                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx" Text="&nbsp;&nbsp;Back to Maintenance">
                                    </asp:LinkButton>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlServiceInfo" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <h2>
                                        <asp:Label ID="lblMainServiceHeading" runat="server" Text="Manage Maintenance Service"></asp:Label></h2>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                            <asp:Label ID="lblMainServiceName" runat="server" Text="Maintenance Service Name"></asp:Label>
                                        </div>
                                        <div class="col-md-4">
                                            <asp:TextBox ID="txtMainServiceName" runat="server" CssClass="form-control man-dat" MaxLength="100" Width=""
                                                onpaste="return false" ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                            <asp:Label ID="lblServiceDescription" runat="server" Text="Description"></asp:Label>
                                        </div>
                                        <div class="col-md-4">
                                            <asp:TextBox ID="txtServiceDescription" CssClass="form-control" runat="server" Width="" Height="75px"
                                                TextMode="MultiLine" onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"
                                                MaxLength="250"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-sm-4">
                                            <div class="grytxt">
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblIndicatesMandatory" runat="server"
                                                    Text="Required Fields"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-sm-4"></div>
                                        <div class="col-sm-6">
                                            <asp:LinkButton ID="ibtnSave" runat="server" OnClientClick="return ValidateMaintenanceService(true);"
                                                OnClick="ibtnSave_Click" CssClass="btn btn-primary btn-fa-floppy-o" Text="&nbsp;&nbsp;Save" />
                                            <asp:LinkButton ID="ibtnCancel" CssClass="btn btn-primary btn-fa-ban" runat="server" OnClientClick="ShowPopUp();"
                                                OnClick="ibtnCancel_Click" Text="&nbsp;&nbsp;Cancel" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <h2>
                                        <asp:Label ID="Label1" runat="server" Text="Maintenance Service Assignment"></asp:Label></h2>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                            <asp:Label ID="lblServiceCategory" runat="server" Text="Service Package"></asp:Label>
                                        </div>
                                        <div class="col-md-4">
                                            <asp:DropDownList ID="ddlServiceCategory" CssClass="form-control man-dat" runat="server" AppendDataBoundItems="true"
                                                AutoPostBack="true" Width="" onchange="document.getElementById('divMsg').innerHTML=''; ShowPopUp();"
                                                OnSelectedIndexChanged="ddlServiceCategory_SelectedIndexChanged">
                                            </asp:DropDownList>
                                        </div>
                                        <div class="col-sm-1 col-xs-1 nullpadding">
                                            <div id="AddServiceCategory" runat="server" style="padding-top: 5px;">
                                                <asp:LinkButton ID="ibtnAddCategory" runat="server" ToolTip="Add Service Package"
                                                    Style="width: auto;" CssClass="btn-fa-plus-circle" OnClientClick="CategoryPopup(true, this);"
                                                    OnClick="ibtnAddCategory_Click"></asp:LinkButton>
                                            </div>
                                            <div id="EditServiceCategory" runat="server" style="padding-top: 5px;">
                                                <asp:LinkButton ID="ibtnEditCategory" ToolTip="Edit Service Package" runat="server"
                                                    CssClass="Grid-btn-fa-pencil-square-o" Style="width: auto;" OnClientClick="document.getElementById('divMsg').innerHTML='';"
                                                    OnClick="ibtnEditCategory_Click"></asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                    <asp:Panel ID="trCategoryServices" runat="server">
                                        <div class="">
                                            <asp:HiddenField ID="hdnSelectedServices" runat="server" />
                                            <asp:Panel runat="server" Width="100%">
                                                <div id="grid-dsply">
                                                    <div class="clearfix"></div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvCategoryServices" runat="server" Width="100%" KeyFieldName="ServiceId"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvCategoryServices_OnHtmlRowCreated">
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                PageSize="10">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="ServiceId" Caption="ServiceId" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn VisibleIndex="1" HeaderStyle-HorizontalAlign="Center"
                                                                    Width="5%" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:CheckBox ID="chkSelectAllServices" runat="server" onclick="CheckAllCheckboxesInGrid(9);" />
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:CheckBox ID="chkServices" runat="server" onclick="CheckListOfIDs(this, 'hdnSelectedServices', 1)" />
                                                                        <asp:HiddenField ID="hdnServiceID" runat="server" Value='<%# Eval("ServiceId") %>' />
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="ServiceName" Caption="Service Name" VisibleIndex="2"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="35%" CellStyle-HorizontalAlign="Left">
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:Label ID="lblServiceName" runat="server" Font-Bold="false" Text="Service Name"
                                                                            Style="vertical-align: middle"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="Description" Caption="Description" VisibleIndex="3"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="60%" CellStyle-HorizontalAlign="Left">
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:Label ID="lblDescription" runat="server" Font-Bold="false" Text="Description"
                                                                            Style="vertical-align: middle"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <SettingsText EmptyDataRow="No maintenance services found" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                            </asp:Panel>
                                        </div>
                                    </asp:Panel>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div class="grytxt">
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-4"></div>
                                        <div class="col-md-8">
                                            <asp:LinkButton ID="lbtnAssignServices" runat="server" OnClick="lbtnAssignServices_Click"
                                                OnClientClick="return ValidateServiceAssignment()" Text="&nbsp;&nbsp;Assign" CssClass="btn-fa-check-square-o btn btn-primary" />
                                            <asp:LinkButton ID="lbtnClose" CssClass="btn btn-primary btn-fa-ban" runat="server" OnClick="lbtnClose_Click" OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Close" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlNotificationSettings" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <h2>
                                        <asp:Label ID="lblNotificationSettings" runat="server" Text="Notification Settings"></asp:Label></h2>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <asp:Label ID="lblNotificationComments" runat="server" Text="Unregistered Users are indicated in blue color."
                                                ForeColor="Blue" Font-Bold="true"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-3">
                                            <asp:Label ID="lblMaintenanceServiceNameH" runat="server" Text="Maintenance Service Name :"></asp:Label>
                                        </div>
                                        <div class="col-md-4">
                                            <asp:Label ID="lblMaintenanceServiceName" runat="server"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <asp:Panel ID="trAssignedNotifications" runat="server" Visible="false">
                            <div class="vlive-filter">
                                <div class="container-fluid">
                                    <div class="vlive-centrifugal-fan maintenance-plan">
                                        <h2>Notifications List</h2>
                                        <div class="row ftop">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvAssignedUsersList" ClientInstanceName="gvAssignedUsersList"
                                                        runat="server" Width="100%" EnableViewState="false" KeyFieldName="UserId" AutoGenerateColumns="False"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedUsersList_HtmlRowCreated">
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="User Name" FieldName="UserName" VisibleIndex="0"
                                                                Width="20%" CellStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblUserName" runat="server" Font-Bold="false" Text="User Name" Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="glblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="1"
                                                                Width="20%" CellStyle-HorizontalAlign="Left">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblGroup" runat="server" Font-Bold="false" Text="Group" Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="glblGroup" runat="server" Text='<%# Convert.ToString(Eval("GroupBelongsTo")) %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="True" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="2"
                                                                Width="15%" CellStyle-HorizontalAlign="Left">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblLockedStatus" runat="server" Font-Bold="false" Text="Locked Status"
                                                                        Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Image ID="imgLockedStatus" runat="server" AlternateText="" ToolTip="" />
                                                                    <asp:Label ID="lblUserLockedStatus" runat="server" Text='<%# Eval("LockedStatus") %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn VisibleIndex="3" Caption="Email" FieldName="Email" Width="45%"
                                                                CellStyle-HorizontalAlign="Left">
                                                                <DataItemTemplate>
                                                                    <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                    <table cellpadding="0" cellspacing="0" border="0">
                                                                        <tr>
                                                                            <td>
                                                                                <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                                            </td>
                                                                            <td class="padding-width-sm-left">
                                                                                <p style="white-space: nowrap">
                                                                                    <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>' ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                </p>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </DataItemTemplate>
                                                                <HeaderCaptionTemplate>
                                                                    <table width="100%">
                                                                        <tr>
                                                                            <td width="5%" style="padding-top: 3px">
                                                                                <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                                                    runat="server" onclick="DevExpressGridCheckAll(15);" Text="" />
                                                                            </td>
                                                                            <td>
                                                                                <asp:Label ID="lblEmail" runat="server" Font-Bold="false" Text="Email"></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="False" />
                                                            </dxw:GridViewDataTextColumn>

                                                        </Columns>
                                                        <Settings ShowFilterRow="true" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <asp:HiddenField ID="hdnAssignedEmailUsers" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedSMSUsers" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedEmailUserIds" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedSMSUserIds" runat="server" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </asp:Panel>
                        <asp:Panel runat="server" Width="">
                            <div class="vlive-filter">
                                <div class="container-fluid">
                                    <div class="vlive-centrifugal-fan maintenance-plan" style="padding-bottom: 10px;">
                                        <h2>Add Users to Notifications List</h2>
                                        <div class="row ftop">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvUsersList" ClientInstanceName="gvUsersList" runat="server"
                                                        AutoGenerateColumns="False" KeyFieldName="UserId" Width="100%" EnableViewState="false"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUsersList_HtmlRowCreated">
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="User Name" FieldName="UserName" VisibleIndex="0"
                                                                Width="20%">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblUserName" runat="server" Font-Bold="false" Text="User Name" Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="glblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="1"
                                                                Width="20%">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblGroup" runat="server" Font-Bold="false" Text="Group" Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="glblGroup" runat="server" Text='<%# Convert.ToString(Eval("GroupBelongsTo")) %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="True" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="2"
                                                                Width="15%">
                                                                <HeaderCaptionTemplate>
                                                                    <asp:Label ID="lblLockedStatus" runat="server" Font-Bold="false" Text="Locked Status"
                                                                        Style="vertical-align: middle"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblUserLockedStatus" runat="server" Text='<%# Eval("LockedStatus") %>'
                                                                        ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn VisibleIndex="3" Caption="Email" FieldName="Email" Width="45%">
                                                                <DataItemTemplate>
                                                                    <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                    <table cellpadding="0" cellspacing="0" border="0">
                                                                        <tr>
                                                                            <td width="5%" style="padding-top: 3px">
                                                                                <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                                            </td>
                                                                            <td class="padding-width-sm-left">
                                                                                <p style="white-space: nowrap">
                                                                                    <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>' ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                                                </p>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </DataItemTemplate>
                                                                <HeaderCaptionTemplate>
                                                                    <table width="100%">
                                                                        <center>
                                                                                            <tr>
                                                                                                  <td width="5%" style="padding-top: 3px">
                                                                                                    <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                                                                        runat="server" onclick="DevExpressGridCheckAll(9);" Text="" />
                                                                                                </td>
                                                                                                <td class="padding-width-sm-left">
                                                                                                    <asp:Label ID="lblEmail" runat="server" Font-Bold="false" Text="Email"></asp:Label>
                                                                                                </td>
                                                                                            </tr>
                                                                                            </center>
                                                                    </table>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowFilterRow="true" />
                                                    </dxw:ASPxGridView>
                                                    <asp:HiddenField ID="hdnEmailUsers" runat="server" />
                                                    <asp:HiddenField ID="hdnSMSUsers" runat="server" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </asp:Panel>
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan" style="padding: 0px">
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div class="pull-right">
                                                <asp:LinkButton ID="ibtnSaveNotification" runat="server" OnClick="ibtnSaveNotification_Click" CssClass="btn btn-primary btn-fa-floppy-o" Text="&nbsp;&nbsp;Save" />
                                                <asp:LinkButton ID="ibtnNotificationCancel" runat="server" OnClick="lbtnClose_Click" CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel" />
                                                <asp:LinkButton ID="ibtnAddUnregisteredUsers" runat="server" OnClientClick="document.getElementById('trAddUnregisteredUser').style.display = 'block'; ClearUnregisteredUserDetails(); return false;"
                                                    CssClass="btn btn-fa-unlock btn-primary" Text="&nbsp;&nbsp;Add Unregistered Users" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="trAddUnregisteredUser" style="display: none">
                            <div class="vlive-filter">
                                <div class="container-fluid">
                                    <div class="vlive-centrifugal-fan maintenance-plan" style="padding-bottom: 5px;">
                                        <h2>
                                            <asp:Label ID="lblUnregisteredUserComments" runat="server" Text="Unregistered User Details can be modified by entering the User Name."
                                                Font-Bold="true"></asp:Label></h2>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                            <asp:Label ID="lblFirstName" runat="server" Text="First Name"></asp:Label>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtFirstName" runat="server" CssClass="form-control man-dat" MaxLength="50" onkeypress="return chkCharacter_only(event);"></asp:TextBox>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:Label ID="lblLastname" runat="server" Text="Last Name"></asp:Label>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtLastName" runat="server" CssClass="form-control" onkeypress="return chkCharWithDot(event)"
                                                MaxLength="50"></asp:TextBox>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:Label ID="lblUsername" runat="server" Text="User Name"></asp:Label>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtUsername" runat="server" MaxLength="50" CssClass="form-control man-dat" onkeypress="return ValidateUserName(event)"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                            <asp:Label ID="lblDisplayname" runat="server" Text="Display Name"></asp:Label>

                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtDispName" runat="server" CssClass="form-control man-dat" MaxLength="25" onkeypress="return ValidateUserName(event)"></asp:TextBox>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:Label ID="lblemail" runat="server" Text="Email"></asp:Label>

                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtEmail" runat="server" onkeypress="return chkDescription(event,this,199);" CssClass="form-control man-dat"
                                                MaxLength="200" onkeydown="return DisableEnterkey(event);" ondrop="return false;"></asp:TextBox>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:Label ID="lblMobile" runat="server" Text="Mobile Number"></asp:Label>
                                        </div>
                                        <div class="col-md-2">
                                            <asp:TextBox ID="txtMobile" runat="server" MaxLength="15" onkeypress="return chkNumeric_only(event);"
                                                ondrop="return false;" CssClass="form-control"></asp:TextBox>&nbsp;
                                                                        <asp:Label ID="lblMobileFormat" runat="server" Text="For e.g 919047790266"
                                                                            Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-2">
                                        </div>
                                        <div class="col-md-2">
                                        </div>
                                        <div class="col-md-2">
                                        </div>
                                        <div class="col-md-6" align="right">
                                            <asp:LinkButton ID="ibtnSaveUser" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" Text="&nbsp;&nbsp;Save"
                                                OnClientClick="return ValidateUnregisteredUser(false);" OnClick="ibtnSaveUser_Click" />
                                            <asp:LinkButton ID="ibtnCancelSaveUser" CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel" runat="server" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlServiceList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-lg-12 vlive-header_VXL">
                                        <div class="col-ks-13_5">
                                            <asp:Label ID="lblMaintenance" CssClass="pnlhearder" runat="server" Text="Device Maintenance Service"></asp:Label>
                                        </div>
                                        <div class="col-ks-1">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-1_5">
                                            <asp:LinkButton ID="ibtnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" Text="&nbsp;&nbsp;Export" OnClick="ibtnExport_Click">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                    <%--<h2>Manage Maintenance Plan</h2>--%>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvServices" runat="server" Width="100%" KeyFieldName="ServiceId"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvServices_OnHtmlRowCreated">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="13">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="ServiceId" Caption="ServiceId" VisibleIndex="0"
                                                            Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="ServiceName" Caption="Maintenance Service Name"
                                                            VisibleIndex="1" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="18%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblServiceName" runat="server" Font-Bold="false" Text="Maintenance Service Name"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Description" Caption="Description" VisibleIndex="2"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblDescription" runat="server" Font-Bold="false" Text="Description"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="EmailUserNameList" Caption="Email Users"
                                                            VisibleIndex="3" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="38%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblEmailUsers" runat="server" Font-Bold="false" Text="Email Users"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <%-- <dxw:GridViewDataTextColumn FieldName="SMSUserNameList" Caption="SMS Users" VisibleIndex="4"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="24%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon" style="padding-top: 0px">
                                                                    <asp:Image ID="imgSMSUserNameList" ImageUrl="../images/icn-sms-users.gif" runat="server" />
                                                                </span><span class="txt">
                                                                    <asp:Label ID="lblSMSUsers" runat="server" Font-Bold="false" Text="SMS Users"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>--%>
                                                        <dxw:GridViewDataTextColumn Caption="Notification" VisibleIndex="4" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibtnSetNotification" runat="server" OnClick="ibtnSetNotification_Click" OnClientClick="ShowPopUp();"
                                                                    CommandArgument='<%# Eval("ServiceId") %>'
                                                                    CssClass="Grid-btn-fa-envelope-open" ToolTip="Click here to set the Notification" />
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibtnEdit" runat="server" CommandArgument='<%# Eval("ServiceId") %>'
                                                                    OnClick="ibtnEdit_Click" OnClientClick="ShowPopUp();" CssClass="Grid-btn-fa-pencil-square-o">
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="6" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibtnDelete" runat="server" CommandArgument='<%# Eval("ServiceId") %>'
                                                                    AlternateText="Delete" CommandName="Delete" OnClick="ibtnDelete_Click" ToolTip="Click here to Delete"
                                                                    ImageAlign="Middle" CssClass="Grid-btn-fa-trash-o" Text=" ">
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="EmailList" Caption="Email List" Visible="false"
                                                            VisibleIndex="7">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="SMSList" Caption="SMS List" Visible="false"
                                                            VisibleIndex="8">
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No maintenance service details found" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvServices"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\ul\b\f0\fs28 Maintenance Service Details\par
\pard\ulnone\f1\par
\par
}
"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader VerticalAlignment="None">
                                                    <Font Bold="False" Size="10pt"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" Style="display: none; width: 90%; position: absolute; top: 150px; left: 50px; z-index: 150;">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="7" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlAddEditServiceCategory" runat="server" Style="display: none;" CssClass="edit-LandmarkPanel col-sm-8 col-md-6 col-lg-5">
                <asp:UpdatePanel ID="upServiceCategory" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblServiceCategoryHeading" Text="Add / Edit Service Package" runat="server"></asp:Label></h1>
                                <div class="close">
                                    <asp:LinkButton ID="ibtClose" runat="server" OnClientClick="CategoryPopup(false);"
                                        CssClass="Map-btn-fa-times-circle-o" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div class="">
                                <div class="form-tbl form-landmark">
                                    <div class="form-horizontal">
                                        <div>
                                            <div class="row row-Geozone" style="margin-left: 0px;">
                                                <div class="col-sm-4 padding-width-lg-left">
                                                    <asp:Label ID="lblCategoryName" runat="server" Text="Service Package Name" CssClass="label"></asp:Label>

                                                </div>
                                                <div class="col-sm-8">
                                                    <asp:TextBox ID="txtCategoryName" runat="server" CssClass="form-control man-dat" MaxLength="50" onpaste="return false"
                                                        ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,49);"
                                                        Width="" TabIndex="1"></asp:TextBox>
                                                </div>
                                            </div>
                                            <div class="row row-Geozone" style="margin-left: 0px;">
                                                <div class="col-sm-4">
                                                    <asp:Label ID="lblDescription" runat="server" Text="Description" CssClass="label"></asp:Label>
                                                </div>
                                                <div class="col-sm-8">
                                                    <asp:TextBox ID="txtDescription" TextMode="MultiLine" runat="server" Rows="5" TabIndex="2"
                                                        MaxLength="250" onkeypress="return chkDescription(event,this,249);" CssClass="form-control" Style="resize: none;"
                                                        onblur="return disallowScriptTags(this);"></asp:TextBox>
                                                </div>
                                            </div>
                                            <div class="row row-Geozone" style="margin-left: 0px;">
                                                <div class="col-sm-12" align="right">
                                                    <asp:LinkButton ID="ibtnSaveServiceCategory" runat="server" CausesValidation="true"
                                                        TabIndex="5" CssClass="btn btn-primary btn-fa-floppy-o" OnClientClick="return ValidateMaintenanceServiceCategory(true);"
                                                        OnClick="ibtnSaveServiceCategory_Click" Text="&nbsp;&nbsp;Save" />
                                                    <asp:LinkButton ID="ibtnCancelCatetory" runat="server"
                                                        CausesValidation="false" onkeydown="return setFocus(event,'txtCategoryName');"
                                                        OnClientClick="CategoryPopup(false);" TabIndex="7" CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel" />
                                                    <asp:LinkButton ID="ibtnDeleteCategory" runat="server" TabIndex="6" OnClick="ibtnDeleteCategory_Click"
                                                        CssClass="btn btn-primary btn-fa-trash-o" Text="&nbsp;&nbsp;Delete" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <div id="divMsg" runat="server" align="center" style="font-weight: bold;">
            </div>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                <br />
                <img alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
    <script language="javascript" type="text/javascript">
        function CategoryPopup(isShow, control) {
            if (document.getElementById('pnlAddEditServiceCategory') != null) {
                document.getElementById('pnlAddEditServiceCategory').style.display = (isShow) ? "block" : "none";
            }
            if (!isShow) {
                document.getElementById('ddlServiceCategory').focus();
            }
            if (isShow && control != null) {
                document.getElementById('ibtnDeleteCategory').style.display = (control.id == 'ibtnEditCategory') ? "block" : "none";
                if (control.id == 'ibtnAddCategory') {
                    document.getElementById('txtCategoryName').value = '';
                    document.getElementById('txtDescription').value = '';
                }
                return true;
            }
            return false;
        }
        function ClearUnregisteredUserDetails() {
            if (document.getElementById('txtFirstName') != null) {
                document.getElementById('txtFirstName').value = '';
            }
            if (document.getElementById('txtLastName') != null) {
                document.getElementById('txtLastName').value = '';
            }
            if (document.getElementById('txtUsername') != null) {
                document.getElementById('txtUsername').value = '';
            }
            if (document.getElementById('txtDispName') != null) {
                document.getElementById('txtDispName').value = '';
            }
            if (document.getElementById('txtEmail') != null) {
                document.getElementById('txtEmail').value = '';
            }
            if (document.getElementById('txtMobile') != null) {
                document.getElementById('txtMobile').value = '';
            }
        }
    </script>
    <script type="text/javascript" src="../JQTimePicker/jquery-2.1.1.min.js"></script>
    <link id="Link3" runat="server" href="../css/Monitor_css/bootstrap-datetimepicker.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../JQTimePicker/moment-with-locales.js"></script>
    <script type="text/javascript" src="../js/Monitor_js/bootstrap-datetimepicker.js"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
</body>
</html>
