﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ROIPanel, App_Web_njfubv5l" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head id="Head1" runat="server">
    <title>tSense-IoT ROI</title>
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content">
                                    <div id="heading" style="width: 25%">
                                        <img class="icon" src="../images/ROI_Header.png" alt="" />
                                        <h1>
                                            <asp:Literal ID="lblFleetMaintenanceCaption" Text="Return On Investment" runat="server"></asp:Literal></h1>
                                        <a href="Dashboard.aspx">
                                            <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a><span> &gt;</span><span><a
                                                href="ROI.aspx"><asp:Label ID="lblFleetMainPanelCaption" Text="Return On Investment"
                                                    runat="server"></asp:Label></a></span>
                                    </div>
                                    <div id="control-box" style="width: 70%">
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <div class="form-box">
                                    <h1>
                                        <span class="icon">
                                            <img src="../images/ROI.png" /></span><asp:Label runat="server"
                                                ID="lblFleetMainPanel" Text="ROI Panel"></asp:Label></h1>
                                    <asp:UpdatePanel ID="updConfigPanel" runat="server">
                                        <ContentTemplate>
                                            <table width="96%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="50%">
                                                        <div class="form-box">
                                                            <h1>
                                                                <span class="icon">
                                                                    <%--<img src="../images/icn-geo-zone-name.gif" />--%></span><asp:Label runat="server"
                                                                        ID="lblFleetMain" Text="Manage ROI"></asp:Label></h1>
                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-tbl">
                                                                <tr id="trMainService" runat="server">
                                                                    <td class="label">
                                                                        <asp:ImageButton ID="ibtnMaintenanceService" runat="server" PostBackUrl="~/Forms/ManageROI.aspx"
                                                                            ImageUrl="~/images/pnlMaintenanceService.png" Visible="false" />
                                                                        <asp:LinkButton ID="lnkManageROICosts" runat="server" CssClass="MultilingualBtn"
                                                                            OnClientClick="ShowPopUp();" OnClick="lnkManageROICosts_Click">
                                                                            <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                <div class="ROICosts">
                                                                                    <div id="GeozoneVehicleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        ROI Costs
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblMainService" Text="Create / Update / Delete the ROI costs"
                                                                            runat="server" CssClass="label"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                                <tr id="trMainPlan" runat="server">
                                                                    <td class="label" style="width: 180px">
                                                                        <asp:ImageButton ID="ibtnMaintenancePlan" runat="server" PostBackUrl="~/Forms/ManageVehicleCost.aspx"
                                                                            ImageUrl="~/images/pnlMaintenancePlan.png" Visible="false" />
                                                                        <asp:LinkButton ID="lnkCostAssignment" runat="server" CssClass="MultilingualBtn"
                                                                            OnClientClick="ShowPopUp();" OnClick="lnkCostAssignment_Click">
                                                                            <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                                <div class="ROICostVehicleAssignment">
                                                                                    <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Vehicle Cost Assignment
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblMainPlan" runat="server" Text="Create / Assign the ROI cost to vehicles"
                                                                            CssClass="label"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                                <tr id="trPlanAgmt" runat="server" class="ControlHide">
                                                                    <td class="label">
                                                                        <asp:ImageButton ID="ibtnPlanAssignment" runat="server" PostBackUrl="~/Forms/VehiclePlanAssignment.aspx"
                                                                            ImageUrl="~/images/pnlPlanAssignment.png" Visible="false" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblPlanAgmt" Text="Assign / Unassign vehicles to the maintenance plans"
                                                                            runat="server" CssClass="label"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                    <td width="50%"></td>
                                                    <td class="split">&nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>&nbsp;
                                                    </td>
                                                </tr>
                                            </table>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
