﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_RoutePanel, App_Web_qtyljknz" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Route</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content" class="head-part">
                                    <div id="heading" class="col-sm-12">
                                        <img class="icon" src="../images/icn-route.gif" alt="" />
                                        <h1>
                                            <asp:Literal ID="lblRouteCaption" runat="server"></asp:Literal>
                                        </h1>
                                        <%--<a href="Dashboard.aspx">Home</a>--%>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>&gt;
                                        <span>
                                            <a href="RoutePanel.aspx">Route Optimization Panel</a>
                                        </span>
                                    </div>
                                    <%--<div id="control-box">
                                    </div>--%>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <div class="form-box">
                                    <h1>
                                        <span class="icon">
                                            <%--<img src="../images/icn-route.gif" />--%>
                                        </span>
                                    </h1>
                                    <asp:UpdatePanel ID="updConfigPanel" runat="server">
                                        <ContentTemplate>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="col-sm-3"></div>
                                                    <div class="col-sm-6 nullpadding">
                                                        <asp:Panel runat="server" CssClass="form-box">
                                                            <div class="hdrTooltip" title="Drag the panel">
                                                                <h1>
                                                                    <span style="visibility: hidden;" id="configure"></span><span class="icon">
                                                                        <img src="../images/icn-route-management.gif" alt="Route Management">
                                                                    </span>
                                                                    Route Management
                                                                </h1>
                                                            </div>
                                                            <div class="form-tbl">
                                                                <div class="container-fluid padding-sm-lrt">
                                                                    <div class="trRoutePanel row">
                                                                        <div class="col-xs-5 col-sm-4 col-md-3 nullpadding">
                                                                            <a href="../Forms/RouteMaster.aspx" class="btn">
                                                                                <span style="width: 125px; vertical-align: top; text-align-top;">
                                                                                    <img style="vertical-align: bottom;" src="../imagesButton/manage-route.png" alt="">&nbsp;&nbsp;Manage Route</span>
                                                                            </a>
                                                                        </div>
                                                                        <div class="col-xs-7 col-sm-8 col-md-9 icon-label">
                                                                            Create / Update / Delete route
                                                                        </div>
                                                                    </div>
                                                                    <div class="trRoutePanel row">
                                                                        <div class="col-xs-5 col-sm-4 col-md-3 nullpadding">
                                                                            <a href="../Forms/RouteAssignment.aspx" class="btn">
                                                                                <span style="width: 125px; vertical-align: top; text-align-top;">
                                                                                    <img style="vertical-align: bottom;" src="../imagesButton/route-assignment.png" alt="">&nbsp;&nbsp;Route Assignment</span>
                                                                            </a>
                                                                        </div>
                                                                        <div class="col-xs-7 col-sm-8 col-md-9 icon-label">
                                                                            Assign route to vehicles and drivers
                                                                        </div>
                                                                    </div>
                                                                    <div class="trRoutePanel row">
                                                                        <div class="col-xs-5 col-sm-4 col-md-3 nullpadding">
                                                                            <a href="../Forms/RouteVehicleListing.aspx" class="btn">
                                                                                <span style="width: 125px; vertical-align: top; text-align-top;">
                                                                                    <img style="vertical-align: bottom;" src="../imagesButton/vehicle-schedule.png" alt="">&nbsp;&nbsp;Vehicle Schedule</span>
                                                                            </a>
                                                                        </div>
                                                                        <div class="col-xs-7 col-sm-8 col-md-9 icon-label">
                                                                            View Vehiclewise Route Assignment
                                                                        </div>
                                                                    </div>
                                                                    <div class="trRoutePanel row">
                                                                        <div class="col-xs-5 col-sm-4 col-md-3 nullpadding">
                                                                            <a href="../Forms/RouteETA.aspx" class="btn">
                                                                                <span style="width: 125px; vertical-align: top; text-align-top;">
                                                                                    <img style="vertical-align: bottom;" src="../images/route-iconETA.jpg" alt="">&nbsp;&nbsp;Route ETA</span>
                                                                            </a>
                                                                        </div>
                                                                        <div class="col-xs-7 col-sm-8 col-md-9 icon-label">
                                                                            View Active Route ETA                                                                
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                        <asp:Panel runat="server" Visible="false" CssClass="form-box ControlHide">
                                                            <h1>
                                                                <span class="icon">
                                                                    <img src="../images/icn-route.gif" />
                                                                </span>Route Optimization
                                                            </h1>
                                                            <div class="form-tbl padding-sm-lrt">
                                                                <div>
                                                                    <div class="col-sm-12 nullpadding">
                                                                        <a href="EmployeeMaster.aspx">
                                                                            <img src="../images/btn-manage-employee.jpg" />
                                                                        </a>&nbsp;Create / Update the employee profile
                                                                    </div>
                                                                </div>
                                                                <div>
                                                                    <div class="col-sm-12 nullpadding">
                                                                        <asp:LinkButton ID="hlDriverListing" runat="server" CssClass="btn" Width="135px"
                                                                            PostBackUrl="~/Forms/RosteringPanel.aspx">
                                                                    <span class="icon"><img src="../images/icn-rostering.gif" alt="" /></span>
                                                                    <span>Manage Rostering&nbsp;&nbsp;</span>
                                                                        </asp:LinkButton>&nbsp;Plans the route for the pickup / drop
                                                                    </div>
                                                                </div>
                                                                <div>
                                                                    <div class="form-group">
                                                                        <a href="RoutePanelCSS.aspx">
                                                                            <img src="../images/btn-route-optimization%20.jpg" />
                                                                        </a>&nbsp;Manage Route Optimization
                                                                    </div>
                                                                </div>
                                                                <div>
                                                                    <div class="col-sm-12 nullpadding">
                                                                        <asp:LinkButton ID="lbtnManageTrack" runat="server" CssClass="btn" Width="135px"
                                                                            PostBackUrl="~/Forms/Tracking.aspx">
                                                                        <span class="icon"><img src="../images/icn-tracking.gif" alt="" /></span>
                                                                        <span> Manage Tracking &nbsp;&nbsp;&nbsp;</span>
                                                                        </asp:LinkButton>&nbsp;Manage Tracking
                                                                    </div>
                                                                </div>
                                                                <div style="display: none;">
                                                                    <div class="col-sm-12 nullpadding">
                                                                        <asp:LinkButton ID="lbtnManageconfig" runat="server" CssClass="btn" Width="135px"
                                                                            PostBackUrl="~/Forms/ConfigurationSetup1.aspx">
                                                                        <span>Configuration Setup&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
                                                                        </asp:LinkButton>
                                                                        &nbsp;Manage Configuration setup
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                    </div>
                                                    <div class="col-sm-3"></div>
                                                </div>
                                            </div>
                                            &nbsp;
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <!-- Content Ends Here -->
        </form>
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
