<%@ page language="C#" autoeventwireup="true" inherits="Forms_ShowVehicles, App_Web_exhkzxxq" %>

<%@ PreviousPageType VirtualPath="~/Forms/MapPage.aspx" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%--<%@ Register Src="~/UserControls/New_Footer.ascx" TagPrefix="uc2" TagName="footer" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html">
<html lang="en">
<head id="Head1" runat="server">
    <%-- <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>Show Devices</title>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <link id="jcarousel" runat="server" rel="stylesheet" type="text/css" href="../css/jquery.jcarousel.css" />
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <%--Trinetra Custom Alerts--%>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script lang="javascript" type="text/javascript" src="../js/FullScreenPageScripts.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript" language="javascript"></script>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional" RenderMode="Inline">
                <ContentTemplate>
                    <asp:Timer ID="tmrRefresh" runat="server" Enabled="false" OnTick="tmrRefresh_Tick">
                    </asp:Timer>
                    <asp:Timer ID="tmrShow" runat="server" OnTick="tmrShow_Tick" Enabled="false">
                    </asp:Timer>
                    <asp:HiddenField ID="hdnInfoBubbleProcessing" runat="server" Value="" />
                    <asp:Panel ID="pnlFleetSelection" CssClass="" runat="server">
                        <asp:Timer ID="tmrCommand" runat="server" OnTick="tmrCommand_Tick" Enabled="false"
                            Interval="1000">
                        </asp:Timer>
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblVehListingHeading" runat="server" Text="Vehicle Listing"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div runat="server" id="Div_Customer">
                                                <div class="col-ks-2">
                                                    <asp:Label ID="Label1" runat="server" Text="Customer"></asp:Label>
                                                </div>
                                                <div class="col-ks-3">
                                                    <asp:DropDownList ID="ddlCustomer" runat="server" AutoPostBack="True" CssClass="form-control" OnSelectedIndexChanged="ddlCustomer_SelectedIndexChanged">
                                                        <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-ks-2">
                                                <asp:Label ID="lblFleetCaption" runat="server" Text="Fleet"></asp:Label>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:DropDownList ID="ddlFleet" runat="server" CssClass="form-control" AutoPostBack="True"
                                                    OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged" onchange="ShowPopUp();">
                                                    <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-ks-2">
                                                <asp:LinkButton ID="btnUpdate" runat="server" CssClass="MultilingualBtn"
                                                    OnClick="btnUpdate_Click" OnClientClick="ShowPopUp();" Visible="false">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="UpdatePosition">
                                                            <div id="UpdatePositionButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Update Position
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                                <asp:ImageButton ID="btnClose1" AlternateText="" runat="server" OnClientClick="self.close();"
                                                    ImageUrl="~/images/btn-close.jpg" Visible="false" />
                                                <asp:LinkButton ID="btnClose" runat="server" CssClass="MultilingualBtn" OnClientClick="self.close();" Visible="false">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Close">
                                                            <div id="CloseButDiv" runat="server" style="margin-top: -3px;" class="MultilingualBtnTextAlign">
                                                                Close
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <dxw:ASPxGridView ID="gvData" ClientInstanceName="gvData" runat="server" AutoGenerateColumns="False" Width="100%"
                                EnableTheming="true" Theme="Office2003Blue" CssFilePath="../App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                Settings-ShowFilterRow="true" Settings-ShowFilterRowMenu="true" KeyFieldName="DeviceID"
                                OnHtmlRowCreated="gvData_HtmlRowCreated" ToolTip="Right Click for more options...">
                                <ClientSideEvents Init="function(s,e) {
                                                            $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                            $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                        }"
                                    EndCallback="function(s,e) {
                                                                $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                                $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                        }" />
                                <Styles CssFilePath="../App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                    CssPostfix="Office2003_Blue">
                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                    </Header>
                                    <LoadingPanel ImageSpacing="10px">
                                    </LoadingPanel>
                                    <PagerBottomPanel CssClass="PageFooter">
                                    </PagerBottomPanel>
                                    <PagerTopPanel CssClass="PageFooter">
                                    </PagerTopPanel>
                                </Styles>
                                <SettingsLoadingPanel Mode="ShowAsPopup" />
                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                </SettingsPager>
                                <SettingsContextMenu Enabled="true" EnableGroupPanelMenu="False" ColumnMenuItemVisibility-GroupByColumn="false" ColumnMenuItemVisibility-ShowGroupPanel="false"
                                    EnableFooterMenu="False" ColumnMenuItemVisibility-ShowFooter="false" RowMenuItemVisibility-NewRow="false" RowMenuItemVisibility-EditRow="false"
                                    RowMenuItemVisibility-DeleteRow="false" EnableRowMenu="false">
                                </SettingsContextMenu>
                                <Columns>
                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="0" Name="Checkbox" Width="3%" Visible="false">
                                        <HeaderTemplate>
                                            <input id="chkSelectAll" type="checkbox" runat="server" onclick="gvData.SelectAllRowsOnPage(this.checked);"
                                                style="vertical-align: middle;" title="Select/Unselect all rows on the page" />
                                        </HeaderTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                    </dxw:GridViewCommandColumn>
                                    <dxw:GridViewDataTextColumn FieldName="DeviceID" VisibleIndex="1" Width="8%">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblDeviceIdHeading" Text="Device ID"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblDeviceID" CssClass="centerAlign" runat="server" Text='<%# Eval("DeviceID")%>'>
                                            </asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="False" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="CustomerName" VisibleIndex="1" Caption="Customer" Width="10%" HeaderStyle-HorizontalAlign="Center" Visible="false">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblDrName" Text="Customer"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblDriverName" runat="server" Text='<%# Eval("CustomerName")%>' />
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="SiteName" VisibleIndex="1" Caption="Site" Width="10%" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblSiteName" Text="Site"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblSiteNameVal" runat="server" Text='<%# Eval("SiteName")%>' />
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="VehicleDescription" VisibleIndex="2" Caption="Device Name"
                                        Width="13%" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblVehNameHeading" Text="Device Name"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblVehicleName" runat="server" Text='<%# Eval("VehicleDescription")%>'></asp:Label>
                                            <asp:HiddenField ID="lblAutoID" runat="server" Value='<%# Eval("VehicleID")%>' />
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="ControllerType" VisibleIndex="3" Caption="Controller Type" Width="10%"
                                        CellStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center" Visible="false">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblDrName" Text="Driver Name"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblDriverName" runat="server" Text='<%# Eval("ControllerType")%>' />
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="Latitude" VisibleIndex="4" Visible="False">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblLat" runat="server" Text='<%# Eval("LastLatitude") %> '></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="False" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="Longitude" VisibleIndex="5" Visible="False">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblLng" runat="server" Text='<%# Eval("LastLongitude") %> '></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="False" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataDateColumn FieldName="OriginDateTimeSort" VisibleIndex="3" Caption="Last Reported On"
                                        Width="12%" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblDateandTimeHeading" Text="Last Reported On" />
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <div class="DateStyle">
                                                <asp:Label ID="lblOriginDate" runat="server" Text='<%# Eval("OriginDateTime")%>'>
                                                </asp:Label>
                                            </div>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="True" ShowFilterRowMenu="False" />
                                    </dxw:GridViewDataDateColumn>
                                    <dxw:GridViewDataTextColumn FieldName="Address" VisibleIndex="6" Width="15%" CellStyle-Wrap="True"
                                        HeaderStyle-HorizontalAlign="Center" Caption="Address" Visible="false">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblAddressHeading" Text="Address" />
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <asp:Image ID="imgValidity" runat="server" />
                                                    </td>
                                                    <td>&nbsp;<asp:Label ID="lbladdr" runat="server" Text='<%# Eval("Address") %> '></asp:Label>
                                                    </td>
                                                </tr>
                                            </table>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="MessageDetails" VisibleIndex="7" Caption="Message Details"
                                        Width="19%" CellStyle-Wrap="True" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderCaptionTemplate>
                                            <asp:Label ID="lblMsgDetailsCaption" runat="server" Text="Message Details"></asp:Label>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblMsgDetails" runat="server" Text='<%# Eval("MessageDetails") %>'>
                                            </asp:Label>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="Status" VisibleIndex="4" Caption="Status" CellStyle-Font-Bold="true"
                                        Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                        <HeaderCaptionTemplate>
                                            <asp:Label runat="server" ID="lblStatusHeading" Text="Status" />
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <span class="icon" style="margin: 2px 4px; text-align: right">
                                                <asp:LinkButton ID="lnkclr" runat="server" CssClass="fas fa-circle" Style="font-size: small; vertical-align: middle;" ForeColor='<%# (Convert.ToString(Eval("Status")) == "Information") ? System.Drawing.ColorTranslator.FromHtml("#249cee") : (Convert.ToString(Eval("Status")) == "Warning") ? System.Drawing.ColorTranslator.FromHtml("#c7b41d"):(Convert.ToString(Eval("Status")) == "Electrical Trip") ? System.Drawing.ColorTranslator.FromHtml("#AC3DDF"):(Convert.ToString(Eval("Status")) == "Shutdown") ? System.Drawing.ColorTranslator.FromHtml("#C11515"):(Convert.ToString(Eval("Status")) == "Offline") ? System.Drawing.ColorTranslator.FromHtml("#b1b1b1"):(Convert.ToString(Eval("Status")) == "Running") ? System.Drawing.ColorTranslator.FromHtml("#1ad41a"):System.Drawing.Color.Transparent %>'></asp:LinkButton>
                                            </span>
                                            <asp:Label ID="lblStatus" runat="server" Text='<%# Eval("Status").ToString() %>'
                                                ForeColor='<%# (Convert.ToString(Eval("Status")) == "Information") ? System.Drawing.ColorTranslator.FromHtml("#249cee") : (Convert.ToString(Eval("Status")) == "Warning") ? System.Drawing.ColorTranslator.FromHtml("#c7b41d"):(Convert.ToString(Eval("Status")) == "Electrical Trip") ? System.Drawing.ColorTranslator.FromHtml("#AC3DDF"):(Convert.ToString(Eval("Status")) == "Shutdown") ? System.Drawing.ColorTranslator.FromHtml("#C11515"):(Convert.ToString(Eval("Status")) == "Offline") ? System.Drawing.ColorTranslator.FromHtml("#000"):(Convert.ToString(Eval("Status")) == "Running") ? System.Drawing.ColorTranslator.FromHtml("#1ad41a"):System.Drawing.Color.Transparent %>'></asp:Label>
                                        </DataItemTemplate>
                                        <%--<DataItemTemplate>
                                            <asp:Image ID="imgStatus" runat="server" ImageAlign="Middle"
                                                ImageUrl='<%#  
                                                            (Convert.ToString(Eval("Status")) == "Online" ? "~/images/1_.png" : Convert.ToString(Eval("Status")) == "Offline" ? "~/Images/mapit-9_.png" : Convert.ToString(Eval("Status")) == "Warning" ? "~/Images/orange-1_.png" :"~/Images/fuellow-1_.png") %>'
                                                AlternateText='<%# Convert.ToString(Eval("Status")) == "Online" ? "Online" : Convert.ToString(Eval("Status")) == "Offline" ? "Offline" : "Alarm"  %>'
                                                ToolTip='<%# Convert.ToString(Eval("Status")) == "Online" ? "Online" : Convert.ToString(Eval("Status")) == "Offline" ? "Offline" : "Alarm"  %>' />
                                        </DataItemTemplate>--%>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                </Columns>
                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="400" />
                                <SettingsText EmptyDataRow="No ESPs under the selected Site" />
                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(); }" />
                                <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                            </dxw:ASPxGridView>
                        </div>
                        <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                            <PageFooter Right="[Page # of Pages #]">
                            </PageFooter>
                        </dxw:ASPxGridViewExporter>
                        <asp:HiddenField ID="hdnAlarmIDs" runat="server" Value="" />
                    </div>
                    <div id="divMsg" runat="server" align="center" style="font-weight: bold;">
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlcmdMessage" runat="server" Style="display: none; position: absolute; top: 100px; left: 100px; width: 50%; height: 50%; z-index: 400;">
                <div class="popup">
                    <%-- <span id="NotificationPnltopl" runat="server" class="top-l">&nbsp;
                </span>
                <span id="NotificationPnltopr" runat="server" class="top-r">&nbsp;
                </span>
                <span id="NotificationPnlLeft" runat="server" class="left">&nbsp;
                </span>--%>
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblCaptionCommandStatusPanel" runat="server" Text="Command Status Panel"></asp:Label>
                        </h1>
                        <div class="close">
                            <img id="imgcmdClose" src="../images/popup-close.gif" width="15" height="15" alt=""
                                onclick="document.getElementById('pnlcmdMessage').style.display = 'none';self.close();" />
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div class="popup-cont popup-image">
                        <div class="form-tbl">
                            <div id="divFailedMsg">
                            </div>
                        </div>
                    </div>
                    <%--  <span id="NotificationPnlRight" runat="server" class="right">&nbsp;
                </span>
                <span id="NotificationPnlbottoml" runat="server" class="bottom-l">&nbsp;
                </span>
                <span id="NotificationPnlbottomr" runat="server" class="bottom-r">&nbsp;
                </span>--%>
                </div>
            </asp:Panel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad1" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg13" Text="Auto Refreshing... Please Wait..." runat="server"
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <script language="javascript" type="text/javascript">
                // Grid Functions
                function OnGridSelectionChanged() {
                    //            if (counter != null) setInnerText(counter, grid.GetSelectedRowCount().toString());
                    gvData.GetSelectedFieldValues('DeviceID', OnGridSelectionComplete);
                }
                function OnGridSelectionComplete(values) {
                    var counter = document.getElementById("hdnAlarmIDs");
                    counter.value = '';
                    for (var i = 0; i < values.length; i++) {
                        counter.value = counter.value + values[i] + ',';
                    }
                }
            </script>
            <script type="text/javascript">
                var AlertSelectVehicle = 'Please select one or more vehicles.';
                var AlertNoAutoref = 'Locations that is to be plotted may not be the latest, as Auto Refresh Frequency (Preferences) is not set. Kindly refresh the table by clicking the refresh button whenever needed to view the latest location details of vehicles.';
                function SetAlert(selectvehicle, Norefresh) {
                    AlertSelectVehicle = selectvehicle;
                    AlertNoAutoref = (Norefresh == null || Norefresh == '') ? AlertNoAutoref : Norefresh;
                }
                function gridSelectionValidationAlert() {
                    ClearOverlays();
                    TrinetraCustomAlerts(AlertSelectVehicle);
                }
            </script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <%--<uc2:footer ID="footer" runat="server" />--%>
</body>
</html>
