﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TyreMakeModel, App_Web_b3oa0bmv" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Tyre Brand and Model</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

    <style type="text/css">
        #Row1 {
            border: 3px solid blue;
            width: 94%;
            float: left;
            margin: 5px 0 5px 5px;
            height: 115px;
            text-transform: capitalize;
        }

        #Row2 {
            border: 3px solid blue;
            width: 94%;
            float: left;
            margin: 5px 0 5px 5px;
            height: 115px;
        }

        .style1 {
            height: 60%;
        }

        .style2 {
            width: 156px;
        }
    </style>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">

                                            <div id="heading" class="col-sm-6 col-md-3">
                                                <img class="icon" src="../images/fleetmaintenance-icon.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="TyreMakeModel.aspx"><asp:Label ID="lblMngDriver" Text="Tyre Brand and Model"
                                                        runat="server"></asp:Label></a></span>
                                            </div>

                                            <div class="col-sm-6 col-md-9 head-part-btns">
                                                <div class="pull-right">
                                                    <div class="TopButtonAlignment">
                                                        <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="false" ImageUrl="~/images/74.PNG"
                                                            Visible="false" />
                                                        <asp:LinkButton ID="LinkButton2" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreVendorMgmt.aspx">
                                                            <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                <div class="AddVendor">
                                                                    <div id="divd" runat="server" class="MultilingualBtnTextAlign">
                                                                        Manage Vendor
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                        &nbsp;
                                                                        <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" ImageUrl="~/images/74.PNG"
                                                                            Visible="false" />
                                                        <asp:LinkButton ID="LinkButton1" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreMaster.aspx">
                                                            <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                                <div class="AddTyre">
                                                                    <div id="dviTyre" runat="server" class="MultilingualBtnTextAlign">
                                                                        Manage Tyre
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                        &nbsp;
                                                                        <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btnFleetMaintenance.png"
                                                                            PostBackUrl="~/Forms/FleetMaintenancePanel.aspx" Visible="false" />
                                                        <asp:LinkButton ID="ibtnBackToConfig" runat="server" CausesValidation="false" CssClass="MultilingualBtn"
                                                            PostBackUrl="~/Forms/FleetMaintenancePanel.aspx">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="Back">
                                                                    <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Back to Fleet Maintenance
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6 vehicleMake">
                                                <asp:Panel ID="pnlCarMakeInputs" runat="server">
                                                    <div class="form-box" style="height: 270px">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="~/images/icn-make-name.gif" runat="server" id="imgIncenAllowance" alt="" /></span><asp:Label
                                                                    ID="lblCarMakeandModelDetailss" Text="Tyre Brand" runat="server"></asp:Label></h1>
                                                        <div class="form-tbl">

                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="lblMakeName" runat="server" Text="Brand Name" CssClass="label"></asp:Label>
                                                                    <span class="redtxt" id="Span1" runat="server">*</span>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtMakeName" runat="server" CssClass="form-control" TabIndex="1" TextMode="SingleLine" MaxLength="50"
                                                                        onpaste="return false;" ondrop="return false;" oncopy="return false"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="lblBenefits" runat="server" Text="Benefits" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtBenefits" runat="server" CssClass="form-control" TabIndex="2" TextMode="MultiLine" MaxLength="100"
                                                                        onpaste="return false;" ondrop="return false;" oncopy="return false" Height="50px"></asp:TextBox>
                                                                </div>
                                                            </div>

                                                            <div id="trRequired" runat="server">
                                                                <div class="row rowTollgate">
                                                                    <div class="col-sm-8">
                                                                        <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>
                                                                        &nbsp;
                                                                        <asp:Label ID="lblRequiredField" runat="server" Text="Required fields"></asp:Label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3"></div>
                                                                <div class="col-xs-8">
                                                                    <asp:ImageButton ID="ibtnUpdateDriver1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                        OnClick="ibtnUpdateDriver_Click" TabIndex="1" OnClientClick="ShowPopup();" Visible="false" />
                                                                    <asp:LinkButton ID="ibtnUpdateDriver" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                                        OnClick="ibtnUpdateDriver_Click" OnClientClick="return ValidationTyreMakeEntry()">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Update">
                                                                                <div id="UpdateMakeButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                    <asp:ImageButton ID="ibtnAddDriver1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                        OnClick="ibtnAddDriver_Click" OnClientClick="return ValidationTyreMakeEntry()"
                                                                        TabIndex="1" Visible="false" />
                                                                    <asp:LinkButton ID="ibtnAddDriver" runat="server" CssClass="MultilingualBtn" OnClick="ibtnAddDriver_Click"
                                                                        OnClientClick="return ValidationTyreMakeEntry()">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Save">
                                                                                <div id="AddMakeButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Save
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>&nbsp;
                                                                            <asp:ImageButton ID="btnDriverCancel1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                                OnClick="btnDriverCancel_Click" TabIndex="2" Visible="false" />
                                                                    <asp:LinkButton ID="btnDriverCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnDriverCancel_Click">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelMakeButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </asp:Panel>

                                                <asp:Panel ID="pnlCarMakeDetails" runat="server">
                                                    <div class="form-box">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="../Images/icn-make-name.gif" alt="" /></span><asp:Label ID="lblCarMakeDetails"
                                                                    runat="server" Text="Tyre Brand Details"></asp:Label>
                                                        </h1>
                                                        <div class="clearfix"></div>
                                                        <div class="table-responsive">
                                                            <dxw:ASPxGridView ID="gvCarMakeDetails" ClientInstanceName="gvCarMakeDetails" TabIndex="8" Settings-ShowFilterRow="true"
                                                                runat="server" Width="100%" KeyFieldName="BrandID" EnableTheming="true" Theme="Office2003Blue"
                                                                CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Offic2003_Blue"
                                                                OnHtmlRowCreated="gvCarMakeDetails_HtmlRowCreated">
                                                                <%--<ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />--%>
                                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                    CssPostfix="Office2003_Blue">
                                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                    </Header>
                                                                    <LoadingPanel ImageSpacing="10px">
                                                                    </LoadingPanel>
                                                                    <PagerBottomPanel CssClass="PageFooter">
                                                                    </PagerBottomPanel>
                                                                    <PagerTopPanel CssClass="PageFooter">
                                                                    </PagerTopPanel>
                                                                </Styles>
                                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                    PageSize="10">
                                                                </SettingsPager>
                                                                <Columns>
                                                                    <dxw:GridViewDataColumn Caption="BrandID" FieldName="BrandID" CellStyle-Wrap="True"
                                                                        Visible="false" Width="50%">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../images/incentive-name.png" alt="" align="top" visible="false" />&nbsp;
                                                                    <asp:Label ID="lbl" runat="server" Text="BrandID" Visible="false"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="MakeName" CellStyle-Wrap="True" FieldName="BrandName"
                                                                        Width="36%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/icn-make-name.gif" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblMakeName" runat="server" Text="Brand Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <Settings AllowAutoFilter="True" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="Benefits" CellStyle-Wrap="True" FieldName="Benefits"
                                                                        Width="36%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/22.PNG" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblBenefits" runat="server" Text="Benefits"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <Settings AllowAutoFilter="True" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Edit" CellStyle-Wrap="True" Width="7%" Name="Edit"
                                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:LinkButton ID="lbtnEdit" runat="server" alternatetext="Update" ToolTip="Click here to Update"
                                                                                OnClientClick="return ShowPopUp();" imagealign="Middle" CommandArgument='<%#Eval("BrandID")%>'
                                                                                OnClick="lbtnEdit_Click1"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Delete" CellStyle-Wrap="True" Width="7%" HeaderStyle-HorizontalAlign="Center"
                                                                        CellStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:LinkButton ID="lbtnDelete" runat="server" alternatetext="Delete" ToolTip="Click here to Delete"
                                                                                CommandArgument='<%#Eval("BrandID") %>' OnClick="lbtnDelete_Click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                </Columns>
                                                                <%--<ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                        EndCallback="" />--%>
                                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="155" />
                                                                <Settings ShowFilterRow="true" />
                                                                <SettingsBehavior AllowSort="true" />
                                                                <SettingsText EmptyDataRow="No Tyre Make details found" />
                                                            </dxw:ASPxGridView>
                                                        </div>
                                                    </div>
                                                </asp:Panel>
                                            </div>

                                            <div class="col-sm-6 vehicleModal" style="padding-right: 14px!important;">

                                                <asp:Panel ID="pnlCarModelInput" runat="server">
                                                    <div class="form-box" style="height: 270px">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="~/Images/icn-model-name.gif" runat="server" id="img1" alt="" /></span><asp:Label
                                                                    ID="Label1" Text="Tyre Model" runat="server"></asp:Label></h1>
                                                        <div class="form-tbl">
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="lblMakeNamee" runat="server" Text="Brand Name" CssClass="label"></asp:Label>
                                                                    <span class="redtxt" id="Span2" runat="server">*</span>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:DropDownList ID="ddlMakeName" runat="server" TabIndex="3" CssClass="form-control">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="lblCarModelName" runat="server" Text="Model Name" CssClass="label"></asp:Label>
                                                                    <span class="redtxt" id="Span3" runat="server">*</span>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtModelName" runat="server" CssClass="form-control" TabIndex="4" TextMode="SingleLine"
                                                                        MaxLength="50" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="Label4" runat="server" Text="Size" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtSize" runat="server" CssClass="form-control" TabIndex="4" Width="" TextMode="SingleLine"
                                                                        MaxLength="50" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="Label5" runat="server" Text="Width" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtWidth" runat="server" CssClass="form-control" TabIndex="4" Width="" TextMode="SingleLine"
                                                                        MaxLength="50" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone">
                                                                    <asp:Label ID="Label6" runat="server" Text="LifeTime(KM)" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6">
                                                                    <asp:TextBox ID="txtRemarks" runat="server" CssClass="form-control" TabIndex="4" Width="" onkeypress="return chkNumeric_only(event);"
                                                                        MaxLength="20" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div id="tr1" runat="server">
                                                                <div class="row rowTollgate">

                                                                    <div class="col-sm-8">
                                                                        <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                        &nbsp;
                                                                    <asp:Label ID="Label3" runat="server" Text="Required fields"></asp:Label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-3 col-Geozone"></div>
                                                                <div class="col-xs-8">
                                                                    <asp:ImageButton ID="ibtnUpdateModelDriver1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                        TabIndex="5" OnClick="ibtnUpdateModelDriver_Click" OnClientClick="ShowPopup();"
                                                                        Visible="false" />
                                                                    <asp:LinkButton ID="ibtnUpdateModelDriver" runat="server" CssClass="MultilingualBtn"
                                                                        OnClick="ibtnUpdateModelDriver_Click" OnClientClick="return ValidationTyreModelEntry();">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Update">
                                                                                <div id="UpdateModelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                    <asp:ImageButton ID="ibtnAddModelDriver1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                        TabIndex="6" OnClick="ibtnAddModelDriver_Click" OnClientClick="return ValidationTyreModelEntry();"
                                                                        Visible="false" />
                                                                    <asp:LinkButton ID="ibtnAddModelDriver" runat="server" CssClass="MultilingualBtn"
                                                                        OnClick="ibtnAddModelDriver_Click" OnClientClick="return ValidationTyreModelEntry();">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Save">
                                                                                <div id="AddModelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Save
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>&nbsp;
                                                                        <asp:ImageButton ID="btnDriverModelCancel1" runat="server" TabIndex="7" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClick="btnDriverModelCancel_Click" Visible="false" />
                                                                    <asp:LinkButton ID="btnDriverModelCancel" runat="server" CssClass="MultilingualBtn"
                                                                        OnClick="btnDriverModelCancel_Click">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelModelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </asp:Panel>
                                                <div class="clearfix"></div>
                                                <asp:Panel ID="pnlCarModel" runat="server">
                                                    <div id="grid-dsply">
                                                        <div id="top">
                                                            <div class="col-sm-12 padding-width-md">
                                                                <span class="icon">
                                                                    <img src="../Images/icn-model-name.gif" alt="" /></span> <span class="txt" id="lblVehicleModelDetails"
                                                                        runat="server">Tyre Model Details</span>

                                                                <div class="right-col nullpaddingRight">
                                                                    <span class="dropdown">
                                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue">
                                                                            <Items>
                                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                            </Items>
                                                                        </dxw:ASPxComboBox>
                                                                    </span>&nbsp;<span class="txt">
                                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                            OnClick="btnExport_Click" Visible="false" />
                                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Export">
                                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Export
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvCarModelDetails"
                                                            ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\f0\fs20                                                                                      \b\f1\fs28 Tyre Details    \par
\par
\par
}
">
                                                            <PageFooter Right="[Page # of Pages #]">
                                                            </PageFooter>
                                                        </dxw:ASPxGridViewExporter>
                                                        <%--                                                <h1>
                                                    <span class="icon">
                                                        <img src="..\Images\icn-model-name.gif" alt="" /></span><asp:Label ID="lblCarModel"
                                                            runat="server" Text="Vehicle Model Details"></asp:Label>
                                                </h1>--%>
                                                        <div class="clearfix"></div>
                                                        <div class="table-responsive">
                                                            <dxw:ASPxGridView ID="gvCarModelDetails" ClientInstanceName="gvCarModelDetails" TabIndex="9" runat="server" Width="100%"
                                                                KeyFieldName="ModelID" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvCarModelDetails_HtmlRowCreated">
                                                                <%--<ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />--%>
                                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                    CssPostfix="Office2003_Blue">
                                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                    </Header>
                                                                    <LoadingPanel ImageSpacing="10px">
                                                                    </LoadingPanel>
                                                                    <PagerBottomPanel CssClass="PageFooter">
                                                                    </PagerBottomPanel>
                                                                    <PagerTopPanel CssClass="PageFooter">
                                                                    </PagerTopPanel>
                                                                </Styles>
                                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                    PageSize="10">
                                                                </SettingsPager>
                                                                <Columns>
                                                                    <dxw:GridViewDataColumn Caption="ModelID" FieldName="ModelID" Visible="false" Width="">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../images/driver-allowance -details.png" alt="" align="top" visible="false" />&nbsp;
                                                                    <asp:Label ID="lbl" runat="server" Text="ModelID" Visible="false"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="ModelName" FieldName="ModelName" Width="9%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/icn-model-name.gif" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblModelName" runat="server" Text="Model Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="BrandName" FieldName="BrandName" Width="9%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/icn-make-name.gif" alt="" align="middle" />&nbsp; </span>
                                                                            <asp:Label ID="lblMakeName" runat="server" Text="Brand Name"></asp:Label>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="Size" CellStyle-Wrap="True" FieldName="Size" Width="7%"
                                                                        HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/73.PNG" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblSize" runat="server" Text="Size"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <Settings AllowAutoFilter="True" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="Width" CellStyle-Wrap="True" FieldName="Width"
                                                                        Width="7%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/icn-service-type.gif" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblWidth" runat="server" Text="Width"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <Settings AllowAutoFilter="True" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn Caption="LifeTime(KM)" CellStyle-Wrap="True" FieldName="Remarks"
                                                                        Width="10%" HeaderStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span>
                                                                                <img src="../Images/43.PNG" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblWidth" runat="server" Text="LifeTime(KM)"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <Settings AllowAutoFilter="True" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                                        CellStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:LinkButton ID="lbnEdit" runat="server" alternatetext="Update" ToolTip="Click here to Update"
                                                                                OnClientClick="return ShowPopUp();" imagealign="Middle" CommandArgument='<%#Eval("ModelID") %>'
                                                                                OnClick="lbnEdit_Click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                        CellStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:LinkButton ID="lbnDelete" runat="server" alternatetext="Delete" ToolTip="Click here to Delete"
                                                                                CommandArgument='<%#Eval("ModelID") %>' OnClick="lbnDelete_Click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                </Columns>
                                                                <%-- <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                        EndCallback="" />--%>
                                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="155" />
                                                                <Settings ShowFilterRow="true" />
                                                                <SettingsBehavior AllowSort="true" />
                                                                <SettingsText EmptyDataRow="No Tyre Model details found" />
                                                            </dxw:ASPxGridView>
                                                        </div>
                                                    </div>
                                                </asp:Panel>

                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <%--<div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>--%>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>

                    <%-- </div>--%>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnIsAllowance" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updDriverDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" />
                <br />
                <br />
                <%--<asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>--%>
                <asp:Label ID="lbl_msgProgress" runat="server" Text="Processing... Please Wait..."
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <%-- </ProgressTemplate>
        </asp:UpdateProgress>--%>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>

            <script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>

            <script type="text/javascript" language="javascript">
                var Alert_Delete = "Do you want to really delete this driver?.";

                function setAlertMessageDelete(Delete) {
                    Alert_Delete = Delete;
                }

                function DeleteConfirm() {
                    return confirm(Alert_Delete);
                }

            </script>

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopup() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>

        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
