﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_UserGroups, App_Web_kl0dgb02" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Manage User Groups</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link type="text/css" href="../NewDesign/css/build.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
    <%--<style>
        .checkbox label, .radio label {
            padding-left: 0px !important;
        }
    </style>--%>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScmUserGroup" runat="server">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <asp:UpdatePanel ID="upUserGroup" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->

                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" OnClick="btnTest_Click" />
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-6 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-10 HeaderTopButton">
                                        <asp:LinkButton ID="btnAddUser" runat="server" CssClass="btn-fa-plus btn btn-primary" OnClick="btnAddUser_Click"
                                            OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Add User Group">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtAssignUserGrp" runat="server" CssClass="btn-fa-check-square-o btn btn-primary" OnClientClick="ShowPopUp();"
                                            NavigateUrl="~/Forms/GroupUserAssignment.aspx">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtManageUsers" runat="server" CssClass="btn-fa-user btn btn-primary" NavigateUrl="~/Forms/UserManipulation.aspx"
                                            OnClientClick="ShowPopUp();">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                                <div class="col-ks-10 HeaderTopButton ControlHide">
                                    <div class="col-ks-4" align="center">
                                    </div>
                                    <div class="col-ks-4" align="center">
                                        <asp:HyperLink ID="lbtAssignUserGrp1" runat="server" ImageUrl="~/images/btn-group-assignment.jpg"
                                            NavigateUrl="~/Forms/GroupUserAssignment.aspx" OnClientClick="ShowPopUp();" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-3_5" align="center">
                                        <asp:HyperLink ID="ibtManageUsers1" runat="server" ImageUrl="~/images/btn-manage-users.jpg"
                                            NavigateUrl="~/Forms/UserManipulation.aspx" OnClientClick="ShowPopUp();" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-4_5" align="center">
                                        <asp:HyperLink ID="btnBack1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                            ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlUserGroupInformations" runat="server" CssClass="ControlShowSendCommands">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUserGroupInformation" runat="server" CssClass="pnlhearder" Text="Manage User Groups"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-4">
                                                <asp:Label ID="lblGroupName" runat="server" CssClass="label" Text="User Group Name"></asp:Label>
                                                <%--&nbsp;<asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-6">
                                                <asp:TextBox ID="txtUserGroupName" runat="server" onkeypress="return chkAlphaNumericWithSpace(event,this,29)"
                                                    MaxLength="30" TabIndex="1" onpaste="return false;" ondrop="return false;" CssClass="form-control man-dat">
                                                </asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-4">
                                                <asp:Label ID="lblGroupDes" runat="server" CssClass="label" Text="User Group Description"></asp:Label>
                                            </div>
                                            <div class="col-ks-6">
                                                <asp:TextBox ID="txtUserDescription" runat="server" CssClass="form-control" TextMode="MultiLine"
                                                    MaxLength="250" TabIndex="2" onblur="return disallowScriptTags(this);" onkeypress="return chkDescription(event,this,249);">
                                                </asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-2">
                                                <asp:CheckBox ID="chkLockUser" runat="server" onclick="ShowLockUser();" Text="Lock User" CssClass="checkbox checkbox-primary"
                                                    onkeydown="return DisableEnterkey(event);" TabIndex="31" />
                                            </div>
                                            <div id="tblLockUser">
                                                <div class="col-ks-2">
                                                    <asp:Label ID="lblUser" runat="server" Text="after"></asp:Label>
                                                </div>
                                                <div class="col-ks-6">
                                                    <asp:DropDownList ID="ddlLockUserTries" runat="server" TabIndex="32" CssClass="form-control">
                                                        <asp:ListItem Selected="True">3</asp:ListItem>
                                                        <asp:ListItem>4</asp:ListItem>
                                                        <asp:ListItem>5</asp:ListItem>
                                                        <asp:ListItem>6</asp:ListItem>
                                                        <asp:ListItem>7</asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                                <div class="col-ks-2">
                                                    <asp:Label ID="lblLockUserTries" runat="server" Text="invalid tries."></asp:Label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <asp:HiddenField ID="hdnSelectedModuleList" runat="server" />
                                            <asp:HiddenField ID="hdnSelectedOperationList" runat="server" />
                                            <div>
                                                <asp:GridView ID="gvModuleOperationsList" runat="server" AllowPaging="False" AllowSorting="False"
                                                    AutoGenerateColumns="False" CellPadding="0" CellSpacing="1" CssClass="table table-striped"
                                                    GridLines="None" OnRowDataBound="gvModuleOperationsList_RowDataBound" Width="100%" ClientIDMode="AutoID">
                                                    <Columns>
                                                        <asp:TemplateField>
                                                            <HeaderTemplate>
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="col-ks-0_5" align="center">
                                                                        </div>
                                                                        <div class="col-ks-0_5" align="center">
                                                                            <asp:CheckBox ID="chkModules" Text=" " runat="server" TabIndex="3" onclick="SelectAllModules(this.checked);" ClientIDMode="AutoID" CssClass="checkbox checkbox-primary" />
                                                                        </div>
                                                                        <div class="col-ks-10">
                                                                            <asp:Label ID="lblModuleList" runat="server" Text="Module List"></asp:Label>&nbsp;
                                                                                                    <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </HeaderTemplate>
                                                            <ItemTemplate>
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="col-ks-0_5" align="right" style="padding-top:13px;">
                                                                            <asp:LinkButton ID="imgExpandCollapse" runat="server" Text=" " OnClientClick="return ExpandOrCollpaseForNew(this.id);" class="fa-plus-circle"></asp:LinkButton>
                                                                        </div>
                                                                        <div class="col-ks-0_5" align="center">
                                                                            <asp:CheckBox ID="chkModuleID" runat="server" Text=" " onclick="ExpandOrCollpase(this.id);SelectOrUnSelectHeader(this.id, this.checked);UnCheckOperations(this.id, this.checked);" CssClass="checkbox checkbox-primary"
                                                                                TabIndex="3" ClientIDMode="AutoID" />
                                                                            <asp:HiddenField ID="hdnModuleID" runat="server" Value='<%# Eval("ModuleID") %>' />
                                                                        </div>
                                                                        <div class="col-ks-10">
                                                                            Module :&nbsp;&nbsp;<asp:Label ID="lblModuleName" runat="server" Text='<%# Eval("ModuleName") %>'></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="clearfix"></div>
                                                                    <div class="col-sm-12 ControlHide" id="trOperationsList" runat="server">
                                                                        <div class="col-md-12" align="right" style="padding-top: 10px">
                                                                            <asp:GridView ID="gvOperationsList" runat="server" AllowPaging="False" AllowSorting="False"
                                                                                AutoGenerateColumns="False" CellPadding="0" CellSpacing="1" CssClass="table table-striped"
                                                                                GridLines="None" OnRowDataBound="gvOperationsList_RowDataBound" Width="94%" BorderStyle="Groove" BorderWidth="1px">
                                                                                <Columns>
                                                                                    <asp:TemplateField ItemStyle-Width="5%">
                                                                                        <ItemTemplate>
                                                                                            <asp:CheckBox ID="chkOperationCheck" runat="server" onclick="SelectOrUnSelectOperationsHead(this.id, this.checked);" ClientIDMode="AutoID" CssClass="checkbox checkbox-primary" Text=" " />
                                                                                            <asp:HiddenField ID="hdnOperationID" runat="server" Value='<%# Eval("OperationTypeID") %>' />
                                                                                        </ItemTemplate>
                                                                                        <HeaderTemplate>
                                                                                            <asp:CheckBox ID="chkSelectAllOperations" runat="server" onclick="SelectAllOperations(this.id,this.checked);" ClientIDMode="AutoID" CssClass="checkbox checkbox-primary" Text=" " />
                                                                                            <%--<asp:Label ID="lblSelect" runat="server" Text="Select the operation(s)" ForeColor="Red"></asp:Label>--%>
                                                                                        </HeaderTemplate>
                                                                                        <HeaderStyle HorizontalAlign="Left" />
                                                                                    </asp:TemplateField>
                                                                                    <asp:BoundField DataField="OperationTypeName" HeaderText="Operation" ItemStyle-Width="25%" />
                                                                                    <asp:BoundField DataField="OperationDesc" HeaderText="Description" ItemStyle-Width="70%" />
                                                                                </Columns>
                                                                                <EmptyDataTemplate>
                                                                                    No operations found.
                                                                                </EmptyDataTemplate>
                                                                                <RowStyle CssClass="fleetCon" />
                                                                                <FooterStyle CssClass="fleetFoot" />
                                                                                <AlternatingRowStyle CssClass="fleetConalt" />
                                                                                <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                                <HeaderStyle BackColor="#7b7b7b" ForeColor="White" />
                                                                                <EmptyDataRowStyle CssClass="fleetHead" />
                                                                            </asp:GridView>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                    </Columns>
                                                    <EmptyDataTemplate>
                                                        No modules found.
                                                    </EmptyDataTemplate>
                                                    <RowStyle CssClass="fleetCon" />
                                                    <FooterStyle CssClass="fleetFoot" />
                                                    <AlternatingRowStyle CssClass="fleetConalt" />
                                                    <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                    <HeaderStyle BackColor="#7b7b7b" ForeColor="White" />
                                                    <EmptyDataRowStyle CssClass="fleetHead" />
                                                </asp:GridView>
                                            </div>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-16">
                                                <%--<asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;--%>
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-16" align="right">
                                                <asp:ImageButton ID="btnAddUserGroup1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                    OnClick="btnAddUserGroup_Click" OnClientClick="return ValidateUserGroupInformation(true);"
                                                    TabIndex="4" Visible="false" />
                                                <asp:LinkButton ID="btnAddUserGroup" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" OnClick="btnAddUserGroup_Click"
                                                    OnClientClick="return ValidateUserGroupInformation(true);">
                                                </asp:LinkButton>
                                                <asp:ImageButton ID="btnEditUserGroup1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                    OnClick="btnEditUserGroup_Click" OnClientClick="return ValidateUserGroupInformation(true);"
                                                    TabIndex="5" Visible="false" />
                                                <asp:LinkButton ID="btnEditUserGroup" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" OnClick="btnEditUserGroup_Click"
                                                    OnClientClick="return ValidateUserGroupInformation(true);" Text="&nbsp;&nbsp;Update">
                                                </asp:LinkButton>
                                                <asp:ImageButton ID="btnCancelUserGroup1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                    OnClick="btnCancelUserGroup_Click" TabIndex="6" Visible="false" />
                                                <asp:LinkButton ID="btnCancelUserGroup" runat="server" CssClass="btn btn-primary btn-fa-ban"
                                                    OnClick="btnCancelUserGroup_Click" OnClientClick="ShowPopUp();">
                                                </asp:LinkButton>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlUserGroupDetails" runat="server" CssClass="ControlShowSendCommands">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-13">
                                            <asp:Label ID="lblusergroup" runat="server" Text="User Group Details" CssClass="pnlhearder"></asp:Label>
                                            <%--<span class="pnlhearder" id="userGrpDetails" runat="server">User Group Details</span>--%>
                                        </div>
                                        <div class="col-ks-1">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-2">
                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                OnClick="btnExport_Click" Visible="false" />
                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" OnClick="btnExport_Click">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <asp:UpdatePanel ID="updgrid" runat="server" UpdateMode="Conditional">
                                            <ContentTemplate>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <div class="col-ks-16">
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvUserGroupDetails"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                    \viewkind4\uc1\pard\qc\b\fs28 User Details\par
                                                                    \pard\par
                                                                    \par
                                                                    }
                                                                    ">
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                                <dxw:ASPxGridView ID="gvUserGroupDetails" ClientInstanceName="gvUserGroupDetails"
                                                    KeyFieldName="UserGroupId" runat="server" EnableTheming="true" Theme="Office2003Blue"
                                                    CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                    Width="100%" AutoGenerateColumns="False" OnHtmlRowCreated="gvUserGroupDetails_HtmlRowCreated">
                                                    <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="UserGroupName" Width="44%" FieldName="UserGroupName"
                                                            VisibleIndex="1">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblUserGroupName" runat="server" Text="User Group Name"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                            <asp:Label ID="lblUserGroupName" runat="server" Text='<%# Eval("UserGroupName") %>'></asp:Label>
                                                        </DataItemTemplate>--%>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="UserGroupDescription" Width="46%" FieldName="UserGroupDesc"
                                                            VisibleIndex="2" CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblDescription" runat="server" Text="Description"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                            <asp:Label ID="lblDescription" runat="server" Text='<%# Eval("UserGroupDesc") %>'></asp:Label>
                                                        </DataItemTemplate>--%>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" Width="3%" VisibleIndex="3">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibnView" runat="server" OnClick="ibnView_Click" CommandArgument='<%# Eval("UserGroupId") %>' CssClass="Grid-btn-fa-binoculars"
                                                                    OnClientClick="ShowPopUp();" Style="text-decoration: none;" ToolTip="Click here to View">  </asp:LinkButton>
                                                                <%--<img src="../images/icn-view.gif" alt="View" title="Click here to View"/>--%>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Name="Edit" VisibleIndex="4">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Convert.ToString(Eval("UserGroupId"))+ "," +  Convert.ToString(Eval("IsDefaultUserGroup")) %>'
                                                                    OnClick="btnEditUser_click" CommandName="Edit" ImageAlign="Middle" OnClientClick="ShowPopUp();" CssClass="Grid-btn-fa-pencil-square-o"></asp:LinkButton>
                                                                <asp:ImageButton ID="btnEdit1" runat="server" CommandArgument='<%# Convert.ToString(Eval("UserGroupId"))+ "," +  Convert.ToString(Eval("IsDefaultUserGroup")) %>'
                                                                    AlternateText="Edit" CommandName="Delete" ImageUrl="~/images/icn-edit.gif"
                                                                    OnClick="btnEditUser_click" ImageAlign="Middle" OnClientClick="ShowPopUp();" Visible="false"
                                                                    CssClass="handButton" />
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnDelete" runat="server" CommandArgument='<%# Eval("UserGroupId") %>' CssClass="Grid-btn-fa-trash-o" CommandName="Delete" OnClick="btnDelete_click">

                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="btnDelete1" runat="server" CommandArgument='<%# Eval("UserGroupId") %>'
                                                                    AlternateText="Delete" CommandName="Delete" ImageUrl="~/images/delete-icon.gif" Visible="false"
                                                                    OnClick="btnDelete_click" ImageAlign="Middle"
                                                                    CssClass="handButton" />
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                    <Settings ShowStatusBar="Auto" ShowFilterRow="false" ShowGroupPanel="false" />
                                                    <SettingsText EmptyDataRow="No Data Identified" />
                                                    <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="true" AllowDragDrop="true"
                                                        AllowGroup="true" AllowFocusedRow="false" />
                                                    <SettingsPager PageSize="10" Mode="ShowPager" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <%--            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>--%>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>
            <%--<script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>--%>
            <script type="text/javascript" language="javascript" src="../js/GridCheckBoxMaintaining.js"></script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
