﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VehicleSummary, App_Web_s0rgnh11" enableeventvalidation="false" maintainscrollpositiononpostback="true" validaterequest="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Vehicle Summary</title>
    <%-- <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <style type="text/css">
        .header {
            background: #DFE9F5;
            border-left: 1px solid #99BBE8;
            border-right: 1px solid #99BBE8;
            border-top: 1px solid #99BBE8;
        }

        .content {
            background: #DFE9F5;
            border-left: 1px solid #99BBE8;
            border-right: 1px solid #99BBE8;
            border-bottom: 1px solid #99BBE8;
        }
    </style>
    <style type="text/css">
        .lbltrip {
            display: block;
            text-align: center;
            vertical-align: middle;
            line-height: 20px;
            height: 20px;
            width: 60px;
            font-weight: bold;
            font-stretch: wider;
        }
    </style>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/bootstrap.js" type="text/javascript"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body onload="load();">
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="360000"
                EnablePartialRendering="true">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <%-- <div class="content-wrap">--%>
                            <div id="top-content" class="head-part">
                                <%--<div class="row">--%>
                                <div id="heading" class="col-sm-3 col-md-3">
                                    <img class="icon col-Geozone" src="../images/history-icon.jpg" alt="" />
                                    <h1>
                                        <asp:Literal ID="ltrlVehicleSummaryTitle" Text="Configuration" runat="server"></asp:Literal>
                                    </h1>
                                    <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span>
                                    <span><a href="vehicleSummary.aspx">
                                        <asp:Label ID="lblVehicleSummaryMenu" Text="Vehicle Summary" runat="server"></asp:Label></a></span>
                                </div>
                                <div id="" class="col-sm-8 col-md-9">
                                    <%-- <div style="position: relative">--%>

                                    <%--<div class="clear clearfix"></div>--%>
                                    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                        <ContentTemplate>
                                            <asp:HiddenField ID="hdnlang" runat="server" />
                                            <asp:HiddenField ID="hdnMapLng" runat="server" />
                                            <asp:HiddenField ID="hdnMapType" runat="server" Value="N" />
                                            <asp:HiddenField ID="hdnInfoBubbleProcessing" runat="server" Value="" />
                                            <asp:HiddenField ID="hdnScrollPosition" runat="server" Value="" />
                                            <div class="topIconControl">
                                                <div class="row">
                                                    <div class="col-sm-4 col-md-3 col-lg-3 topControlAlign controllinebreak">
                                                        <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                            <asp:Image ID="imgFleetIcon" runat="server" class="icon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name" />
                                                        </div>
                                                        <div class="col-xs-11 col-sm-9 col-md-10 col-lg-11 padding-width-sm">
                                                            <dxw:ASPxComboBox ID="ddlFleet" runat="server" CssClass="form-control" ValueType="System.Int32"
                                                                EnableIncrementalFiltering="true" ShowImageInEditBox="false" ClientInstanceName="ddlFleet"
                                                                SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged" AutoPostBack="true"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                            </dxw:ASPxComboBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4 col-md-3 col-lg-3 topControlAlign controllinebreak">
                                                        <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                            <asp:Image ID="imgVehicleIcon" runat="server" class="icon" ImageUrl="../images/vehicle-icon.gif"
                                                                AlternateText="Vehicle" />
                                                        </div>
                                                        <div class="col-xs-11 col-sm-9 col-md-10 col-lg-11 padding-width-sm">
                                                            <dxw:ASPxComboBox ID="ddlVehicle" runat="server" CssClass="form-control" ValueType="System.Int32"
                                                                ShowImageInEditBox="false" ClientInstanceName="ddlVehicle" SelectedIndex="0"
                                                                EnableIncrementalFiltering="true" CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css"
                                                                CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue" AutoPostBack="false">
                                                            </dxw:ASPxComboBox>
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-4 col-md-3 col-lg-3 topControlAlign controllinebreak">
                                                        <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                            <img id="TimeintervalIcon" runat="server" class="icon" src="../images/icn-time.gif" alt="Time Interval"
                                                                title="Time Interval" />
                                                        </div>
                                                        <div class="col-xs-11 col-sm-9 col-md-10 col-lg-11 padding-width-sm">
                                                            <asp:DropDownList ID="ddlDates" runat="server" CssClass="cwDropdown form-control FontAlign col-Geozone" AutoPostBack="false"
                                                                TabIndex="2" />
                                                        </div>

                                                    </div>
                                                    <div class="col-sm-3 topControlAlign controllinebreak">
                                                        <div class="col-xs-1 topVehicle"></div>
                                                        <div class="col-xs-11 topVehicle btnUpdate">
                                                            <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                OnClick="btnView_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Search">
                                                                        <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Update Results
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>&nbsp;
                                                        </div>
                                                    </div>
                                                    <span class="lft-bor" id="tdPolyCaption" runat="server" style="display: none">
                                                        <asp:Label ID="lblPolyline" runat="server" Text="Polyline Style"></asp:Label>
                                                    </span>
                                                </div>
                                            </div>
                                        </ContentTemplate>
                                        <Triggers>
                                            <asp:AsyncPostBackTrigger ControlID="btnView" />
                                        </Triggers>
                                    </asp:UpdatePanel>

                                    <%-- </div>--%>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <div class="row-Geozone"></div>
                            </div>


                            <div class="row">
                                <div class="col-sm-4 grid-left">
                                    <asp:UpdatePanel ID="updExport" UpdateMode="Conditional" runat="server">
                                        <ContentTemplate>
                                            <div id="grid-dsply" style="width: 100%;">
                                                <div id="top">
                                                    <span class="txt headingVehicle">
                                                        <asp:Label ID="Label11" Text="Vehicle Summary Details" runat="server"></asp:Label>
                                                    </span>

                                                    <div style="float: right; padding-right: 10px; padding-top: 3px; width: 40px">

                                                        <span class="ControlHide">
                                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();SetExportHiddenValue();"
                                                                Visible="false">
                                                                <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Export">
                                                                        <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Export
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>
                                                    </div>
                                                    <div class="clear clearfix">
                                                    </div>
                                                </div>
                                                <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <asp:HiddenField ID="hdnGridPaging" runat="server" Value="0" />
                                                        <style type="text/css">
                                                            .DashboardNewsPanel {
                                                                width: auto !important;
                                                            }
                                                        </style>

                                                        <script type="text/javascript">
                                                            var keyValue;
                                                            function OnMoreInfoImageClick(element, CameraImg) {
                                                                //var base64Data = toBase64(CameraImg);
                                                                //document.getElementById("tImg").src = "data:image/jpg;base64," + base64Data;                                      
                                                                document.getElementById("CameraImg").src = CameraImg;
                                                                var pnlCamera = document.getElementById("PanelCamera");
                                                                pnlCamera.style.display = "block";
                                                            }
                                                            function CloseCategoryPopup() {
                                                                var pnlCamera = document.getElementById("PanelCamera");
                                                                pnlCamera.style.display = "none";
                                                            }

                                                        </script>

                                                        <div class="clear clearfix">
                                                        </div>
                                                        <div style="vertical-align: top;">

                                                            <asp:Panel runat="server" ID="pnllegends" CssClass="set-height" Style="width: 100%; padding-left: 2px">


                                                                <div class="row gridrow-space">

                                                                    <div class="col-xs-6 caption">

                                                                        <asp:Label ID="lblVehicleCaption" runat="server" Text="Vehicle Name" Font-Bold="true"></asp:Label>

                                                                    </div>

                                                                    <div class="col-xs-6 caption">

                                                                        <asp:Label ID="lblVehicleName" runat="server" Text="Vehicle Name"></asp:Label>

                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">

                                                                        <asp:Label ID="lblChasisCaption" runat="server" Text="License Plate" Font-Bold="true"></asp:Label>

                                                                    </div>
                                                                    <div class="col-xs-6">

                                                                        <asp:Label ID="lblChasisName" runat="server" Text="License Plate No"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblDriverCaption" runat="server" Text="Driver Name" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblDriverName" runat="server" Text="Driver Name"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblDriverNoCaption" runat="server" Text="Driver Contact Info" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblDriverNo" runat="server" Text="Driver Number"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastRDateCaption" runat="server" Text="Last Updated Date Time"
                                                                            Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastReportedDate" runat="server" Text="Last Updated Date Time"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblCurrentSpeedCaption" runat="server" Text="Current Speed" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">

                                                                        <asp:Label ID="lblCurrentSpeed" runat="server" Text="Speed"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblCurrentLocationCaption" runat="server" Text="Current Location"
                                                                            Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblCurrentLocation" runat="server" Text="Street Address" Width="200px"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastLandmarkCaption" runat="server" Text="Last Visited Landmark"
                                                                            Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastLandmarkName" runat="server" Text="Landmark Name"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastTGCaption" runat="server" Text="Last Visited Toll Gate" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastTollGate" runat="server" Text="Toll Gate Name"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblVTGCountCaption" runat="server" Text="No. Of Toll Gates visited" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblVTGCount" runat="server" Text="No. Of Visited Toll Gate"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblLastGeozone" runat="server" Text="Last Visited Geozone" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblVisitedGeozoneN" runat="server" Text="Geozone Name"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblGeozoneCnt" runat="server" Text="No. Of Geozone visited" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblGeozone" runat="server" Text="No. Of Visited Geozone"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblTotDistCaption" runat="server" Text="Distance Travelled" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblTotalDistance" runat="server" Text="Total Distance Travelled"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblRunningCaption" runat="server" Text="Run Time (hh:mm:ss)" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblRunning" runat="server" Text="Running hours"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblIdlingCaption" runat="server" Text="Idle Time (hh:mm:ss)" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblIdling" runat="server" Text="Idling hours"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblStopCaption" runat="server" Text="Stop Time (hh:mm:ss)" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblStop" runat="server" Text="Stop hours"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblSpeedViolationCaption" runat="server" Text="No. Of Speed Violations"
                                                                            Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblSpeedViolation" runat="server" Text="Speed Violation Count"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblAlarmCountCaption" runat="server" Text="No. Of Alarms" Font-Bold="true"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-6">
                                                                        <asp:Label ID="lblAlarmCount" runat="server" Text="Alarm Count"></asp:Label>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div style="vertical-align: top; overflow: auto; height: 15px; width: 100%; padding-top: 3px;">
                                                            <dxw:ASPxGridView ID="gvHistory" ClientInstanceName="gvHistory" runat="server"
                                                                AutoGenerateColumns="False" EnableTheming="true" Theme="Office2003Blue"
                                                                CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003Blue"
                                                                Width="600px" Visible="false" Settings-ShowFilterRow gridrow-space="true"
                                                                EnableViewState="true" KeyFieldName="TripId">
                                                            </dxw:ASPxGridView>
                                                        </div>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </div>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                                <div id="map-legend" class="mapLegendSplitScreen"
                                    style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 90px; padding-top: 0px; float: right;">
                                </div>
                                <div class="col-sm-8 map-right">
                                    <div style="width: 100%;">
                                        <div id="map-dsply" style="width: 100%;" dir="ltr">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <style type="text/css">
                                .nm_buttonPair {
                                    right: 96%;
                                }

                                @media screen and (-webkit-min-device-pixel-ratio:0) {
                                    .nm_zoomWrap {
                                        margin-right: 96%;
                                    }
                                }

                                .nm_mapSettingsWrap {
                                    display: inline-block !important;
                                    position: relative; /*z-index: 10000000;*/
                                }

                                .nm_right[aria-role="menubar"] {
                                    float: left;
                                    margin-left: 3px; /*margin-right: 94%;*/
                                }

                                .nm_dropDownMenu {
                                    float: left !important;
                                    margin-left: 1px !important;
                                }

                                .nm_menuItemMapType {
                                    float: left !important;
                                    margin-left: 1px !important;
                                }
                            </style>





                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>

                        <div id="right">
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                        TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
                    </cc1:ModalPopupExtender>
                    <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
                    <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                        <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
                    </asp:Panel>
                </div>
            </div>
            <!-- Content Ends Here -->

            <script src="../js/FormValidations.js" type="text/javascript"></script>

            <script type="text/javascript" language="javascript" src="../js/HistoryScript.js"></script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/Threading.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DateValidations.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
